{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B1表 工程变更令_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B1表 工程变更令",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.59",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "9.13",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "4.26",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "新计算式",
            "run_type": "before_analyzing",
            "expression": "\n//变更令主数据\nlet bglId=$JE.F(2300,$CURRENT_RPT);\nlet bglCode=$JE.F(2301,$CURRENT_RPT);\nlet bglShuoM=$JE.F(2310,$CURRENT_RPT);\nlet bglTp=$JE.F(2316,$CURRENT_RPT);\nlet bglName=$JE.F(2304,$CURRENT_RPT);\nlet fLen0=$JE.getFieldDataLen(bglId, $CURRENT_DATA);\nlet masterBglArr = [];\nlet masterField=[bglId,bglCode,bglShuoM,bglTp,bglName];\nlet masterKeyArr=['bglId','bglCode','bglShuoM','bglTp','bglName'];\n\n//变更令从数据\nlet bglbillsCid=$JE.F(2400,$CURRENT_RPT);\nlet bglBillsCode=$JE.F(2401,$CURRENT_RPT);\nlet bglBillsName=$JE.F(2402,$CURRENT_RPT);\nlet bglBillsUnit=$JE.F(2403,$CURRENT_RPT);\nlet bglBillsQty=$JE.F(2407,$CURRENT_RPT);\nlet bglBillsPrice=$JE.F(2404,$CURRENT_RPT);\nlet newbglBillsTp=$JE.F(12110,$CURRENT_RPT);\n\nlet newHjbglBillsTp=$JE.F(12118,$CURRENT_RPT);\n\nlet fLen1=$JE.getFieldDataLen(bglbillsCid, $CURRENT_DATA);\nlet sortBefore = [];//缓存从数据\nlet destArr=[]; //从数据根据变更令ID，清单排序后的主数据\nlet decFieldArr=[bglbillsCid,bglBillsCode,bglBillsName,bglBillsUnit,bglBillsPrice,bglBillsQty,newbglBillsTp];\nlet decKeyArr=['bglId','bglBCode','bglBName','bglBUnit','bglBPrice','bglBQty','bglTp'];\n\n\n//获取金额小数位数\n//let tempPTp=$JE.F(1156,$CURRENT_RPT);\nlet preciousTp = $JE.getFieldValue($JE.F(1156,$CURRENT_RPT),$CURRENT_DATA,0,'');\nlet sum=0;\nfor (let nIdx = 0; nIdx < fLen1; nIdx++) {\n\tlet sQty= $JE.getFieldValue(bglBillsQty, $CURRENT_DATA, nIdx, '');\t\n\tif(isNaN(sQty) || sQty === '' || sQty === null){\n\t\tsQty=0;\n\t}else{\n\t\tsQty= parseFloat(sQty);\n\t}\n\tlet sPrice= $JE.getFieldValue(bglBillsPrice, $CURRENT_DATA, nIdx, '');\n\tif(isNaN(sPrice) || sPrice === '' || sPrice === null){\n\t\tsPrice=0;\n\t}else{\n\t\tsPrice= parseFloat(sPrice);\n\t}\n\t\n\tlet sTP=Math.round(sQty*sPrice*Math.pow(10,preciousTp))/Math.pow(10,preciousTp); \n\tsum=sum+sTP;\n\t\n\t$JE.setFieldValue(newbglBillsTp, $CURRENT_DATA, nIdx, sTP);\t\t\t\n\t\n}\n$JE.setFieldValue(newHjbglBillsTp, $CURRENT_DATA, 0, sum);\t\nconsole.log(sum);\t\n\n//缓存成数组,数组元素为对象\n//dataLength:原始数据长度，fieldArr：康博士定义的字段，keysArr：数组对象字段\nfunction cacheDataArr(dataLength,fieldArr,keysArr,cacheArr){\n\tfor (let chkIdx = 0; chkIdx < dataLength; chkIdx++){\n\t\tlet newDatad={};\n\t\tfor(let i=0;i<fieldArr.length;i++){\n\t\t\tlet tempData = $JE.getFieldValue(fieldArr[i], $CURRENT_DATA, chkIdx, '');\t\t\n\t\t\tnewDatad[keysArr[i]]=tempData;\t\t\t\n\t\t}\t\n\t\tcacheArr.push(newDatad);\n\t}\n}\n\ncacheDataArr(fLen0,masterField,masterKeyArr,masterBglArr);\ncacheDataArr(fLen1,decFieldArr,decKeyArr,sortBefore);\n\n//主数据排序\nmasterBglArr.sort(function (a, b) {\n  if (a['bglCode'] === b['bglCode']) {\n    if (a['bglId'] > b['bglId']) {\n      return 1;\n    } else if (a['bglId'] < b['bglId']) {\n      return -1;\n    } else {\n      return 0;\n    }\n  } else {\n    if (a['bglCode'] > b['bglCode']) {\n      return 1;\n    } else {\n      return -1;\n    }\n  }\n});\nconsole.log(masterBglArr);\n\n//从数据根据主数据变更令id排序\nfor(let k=0; k<masterBglArr.length; k++){\n\t//console.log(masterBglArr[k]['bglId']);\n\tfor(let m=0; m<sortBefore.length; m++){\n\t\tif(sortBefore[m]['bglId']===masterBglArr[k]['bglId']){\t\t\t\n\t\t\tdestArr.push(sortBefore[m]);\t\t\n\t\t}\n\t}\n}\n\t\n//从数据根据变更令id，进行清单顺序，清单编号默认按照中文排序了，没去管1、2、10的问题\nfunction sortBy(field1,field2) {\n    return function(a,b) {\n        if(a.field1 == b.field1) return a.field2 - b.field2;\n        return a.field1 - b.field1;\n    }\n}\ndestArr.sort(sortBy(\"bglId\",\"bglBCode\")); \n\nconsole.log(destArr);\t\n\n//fieldCountArr：需要设置的字段数；dataLengthArr：数据的长度；keysArr：数组转成对象的key值存放\nfunction moveToNewFields(fieldCountArr,dataLengthArr,keysArr) {\n\tlet vCn=0;\n\tfor(let field of fieldCountArr){\t\t\n\t\tfor(let N=0; N < dataLengthArr.length ;N++){\n\t\t\t$JE.setFieldValue(field, $CURRENT_DATA, N, dataLengthArr[N][keysArr[vCn]]);\n\t\t}\n\t\tvCn++;\n\t}\n};\t\t\n//移动主数据\nmoveToNewFields(masterField,masterBglArr,masterKeyArr);\t\nmoveToNewFields(decFieldArr,destArr,decKeyArr);\n\t",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "B1 工程变更令",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "50",
                            "Right": "100",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2301,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "变更令号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "50",
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_1",
                "discrete_field_s": [
                    {
                        "FieldID": 2316,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Prefix": "  变更增减金额合计（元）：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "18.01",
                            "Bottom": "35.40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2316,
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "84.96",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "18.01",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12178,
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "55.15",
                            "Right": "70.19",
                            "Top": "71.43",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "45.26",
                            "Right": "55.15",
                            "Top": "71.43",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "  合  计",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "84.96",
                            "Top": 0,
                            "Bottom": "18.01",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "  监理组组长：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "35.40",
                            "Bottom": "52.80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "45.26",
                            "Top": "71.43",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "52.80",
                            "Bottom": "71.43",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": " 年        月          日",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "70.19",
                            "Right": "100",
                            "Top": "71.43",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "55.15",
                            "Right": "70.19",
                            "Top": "71.43",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Underline",
                        "Suffix": ":",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "3.9",
                            "Right": "32",
                            "Top": 0,
                            "Bottom": "10.72",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2304,
                        "font": "Content",
                        "control": "Content_Center",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "27.3",
                            "Right": "55.15",
                            "Top": "10.72",
                            "Bottom": "21.45",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2310,
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "3.9",
                            "Right": 100,
                            "Top": "40",
                            "Bottom": "55.65",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "32",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "10.72",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "变更理由及要点说明：",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "3.9",
                        "Right": "100.00",
                        "Top": "32.17",
                        "Bottom": "40",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "附件：附件附后",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "3.90",
                        "Right": "49.03",
                        "Top": "55.65",
                        "Bottom": "64.06",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "根据工程实际需要，现决定对",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "3.90",
                        "Right": "27.3",
                        "Top": "10.72",
                        "Bottom": "21.45",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "的设计进行变更，请按变更后的图纸组织施工。",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "55.15",
                        "Right": "100",
                        "Top": "10.72",
                        "Bottom": "21.45",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "15.04",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "15.04",
                        "Right": "45.26",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "45.26",
                        "Right": "55.15",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "3.9",
                        "Top": "40",
                        "Bottom": "55.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "100.00",
                        "Top": "64.06",
                        "Bottom": "87.54",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "100.00",
                        "Top": "21.45",
                        "Bottom": "32.17",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "0.97",
                        "Top": 0,
                        "Bottom": "10.72",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "致",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "0.97",
                        "Right": "3.90",
                        "Top": 0,
                        "Bottom": "10.72",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "0.97",
                        "Top": "10.72",
                        "Bottom": "21.45",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "0.97",
                        "Top": "32.17",
                        "Bottom": "40.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "0.97",
                        "Top": "55.65",
                        "Bottom": "64.06",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "84.96",
                        "Right": "100.00",
                        "Top": "55.65",
                        "Bottom": "64.06",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "55.15",
                        "Right": "70.19",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "70.19",
                        "Right": "84.96",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更金额（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "84.96",
                        "Right": "100.00",
                        "Top": "87.54",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 2903,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "15.04",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2904,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "15.04",
                        "Right": "45.26",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2905,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "45.26",
                        "Right": "55.15",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2906,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "55.15",
                        "Right": "70.19",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2909,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "70.19",
                        "Right": "84.96",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2912,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "84.96",
                        "Right": 100,
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1099,
                "Name": "项目_空白",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getBlank('project', '')",
                "descr": "",
                "Title": "ID: 1099"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1156,
                "Name": "标段_小数位数_金额",
                "DataType": "int",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")",
                "descr": "",
                "Title": "ID: 1156"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 2300,
                "Name": "变更令信息_变更令uuid",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"cid\")",
                "descr": "",
                "Title": "ID: 2300",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2301,
                "Name": "变更令信息_变更令号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"code\")",
                "descr": "",
                "Title": "ID: 2301"
            },
            {
                "ID": 2310,
                "Name": "变更令信息_工程变更理由及内容",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"content\")",
                "descr": "",
                "Title": "ID: 2310"
            },
            {
                "ID": 2316,
                "Name": "变更令信息_金额",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"total_price\")",
                "descr": "",
                "Title": "ID: 2316"
            },
            {
                "ID": 2304,
                "Name": "变更令信息_变更名称",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"name\")",
                "descr": "",
                "Title": "ID: 2304"
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2903,
                "Name": "变更清单-清单编号(code)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'code')",
                "descr": "",
                "Title": "ID: 2903"
            },
            {
                "ID": 2904,
                "Name": "变更清单-名称(name)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'name')",
                "descr": "",
                "Title": "ID: 2904"
            },
            {
                "ID": 2905,
                "Name": "变更清单-单位(unit)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2905"
            },
            {
                "ID": 2906,
                "Name": "变更清单-单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2906",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2909,
                "Name": "变更清单-审批变更后数量(s_qty)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_qty')",
                "descr": "",
                "Title": "ID: 2909",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2905,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2901,
                "Name": "变更清单-变更令id(cid)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'cid')",
                "descr": "",
                "Title": "ID: 2901",
                "isID": true,
                "IDSeq": 1
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "changeSort",
            "hint": "默认的变更令排序，同时对变更令，变更清单进行排序",
            "fields": [],
            "自定义设置": "{ \"change\": \"change\", \"changeBills\": \"mem_change_bills\" }"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12105,
            "Name": "新变更清单编号",
            "DataType": "string"
        },
        {
            "ID": 12106,
            "Name": "新变更清单名称",
            "DataType": "string"
        },
        {
            "ID": 12107,
            "Name": "新变更单位",
            "DataType": "string"
        },
        {
            "ID": 12108,
            "Name": "新变更清单数量",
            "DataType": "string"
        },
        {
            "ID": 12109,
            "Name": "新变更单价",
            "DataType": "string"
        },
        {
            "ID": 12110,
            "Name": "新变更清单金额",
            "DataType": "string"
        },
        {
            "ID": 12118,
            "Name": "总合计",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12178,
            "Name": "监理组组长",
            "DataType": "string"
        }
    ]
}