{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B5表 工程变更数量及金额汇总表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B5表 工程变更数量及金额汇总表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "2.67",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "SegmentEnd",
                    "Height": "6.67",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "\n//变更令主数据\nlet bglId=$JE.F(2300,$CURRENT_RPT);\nlet bglCode=$JE.F(2301,$CURRENT_RPT);\nlet fLen0=$JE.getFieldDataLen(bglId, $CURRENT_DATA);\nlet masterBglArr = [];\nlet masterField=[bglId,bglCode];\nlet masterKeyArr=['bglId','bglCode'];\n\n//变更令从数据\nlet bglbillsCid=$JE.F(2400,$CURRENT_RPT);\nlet bglBillsCode=$JE.F(2401,$CURRENT_RPT);\nlet bglBillsName=$JE.F(2402,$CURRENT_RPT);\nlet bglBillsUnit=$JE.F(2403,$CURRENT_RPT);\nlet bglBillsQty=$JE.F(2407,$CURRENT_RPT);\nlet bglBillsPrice=$JE.F(2404,$CURRENT_RPT);\n\n//变更增减数量\nlet newBglBillsQtyZ=$JE.F(12000,$CURRENT_RPT);\nlet newBglBillsQtyJ=$JE.F(12001,$CURRENT_RPT);\n\n//变更增减金额\nlet newBglBillsTpZ=$JE.F(12002,$CURRENT_RPT);\nlet newBglBillsTpJ=$JE.F(12003,$CURRENT_RPT);\nlet newXuhao=$JE.F(12004,$CURRENT_RPT);\n\nlet fLen1=$JE.getFieldDataLen(bglbillsCid, $CURRENT_DATA);\nlet sortBefore = [];//缓存从数据\nlet destArr=[]; //从数据根据变更令ID，清单排序后的主数据\nlet decFieldArr=[newXuhao,bglbillsCid,bglBillsCode,bglBillsName,bglBillsUnit,bglBillsPrice,bglBillsQty,newBglBillsQtyZ,newBglBillsQtyJ,newBglBillsTpZ,newBglBillsTpJ];\nlet decKeyArr=['newXuhao','bglId','bglBCode','bglBName','bglBUnit','bglBPrice','bglBQty','bglBQtyZ','bglBQtyJ','bglTpZ','bglTpJ'];\n//设置增减\nlet addTp=$JE.F(2307,$CURRENT_RPT);\nlet minusTp=$JE.F(2309,$CURRENT_RPT);\n\n//获取金额小数位数\n//let tempPTp=$JE.F(1156,$CURRENT_RPT);\nlet preciousTp = $JE.getFieldValue($JE.F(1156,$CURRENT_RPT),$CURRENT_DATA,0,'');\n\n\n//缓存成数组,数组元素为对象\n//dataLength:原始数据长度，fieldArr：康博士定义的字段，keysArr：数组对象字段\nfunction cacheDataArr(dataLength,fieldArr,keysArr,cacheArr){\n\tfor (let chkIdx = 0; chkIdx < dataLength; chkIdx++){\n\t\tlet newDatad={};\n\t\tfor(let i=0;i<fieldArr.length;i++){\n\t\t\tlet tempData = $JE.getFieldValue(fieldArr[i], $CURRENT_DATA, chkIdx, '');\t\t\n\t\t\tnewDatad[keysArr[i]]=tempData;\t\t\t\n\t\t}\t\n\t\tcacheArr.push(newDatad);\n\t}\n}\n\n//缓存数据前，先处理新增字段\nfor (let nIdx = 0; nIdx < fLen1; nIdx++) {\n\tlet sQty= $JE.getFieldValue(bglBillsQty, $CURRENT_DATA, nIdx, '');\t\n\tif(isNaN(sQty) || sQty === '' || sQty === null){\n\t\tsQty=0;\n\t}else{\n\t\tsQty= parseFloat(sQty);\n\t}\n\tlet sPrice= $JE.getFieldValue(bglBillsPrice, $CURRENT_DATA, nIdx, '');\n\tif(isNaN(sPrice) || sPrice === '' || sPrice === null){\n\t\tsPrice=0;\n\t}else{\n\t\tsPrice= parseFloat(sPrice);\n\t}\n\t\n\tlet sTP=Math.round(sQty*sPrice*Math.pow(10,preciousTp))/Math.pow(10,preciousTp); \n\t//console.log(sTP);\n\tif(sQty>=0){\n\t\t$JE.setFieldValue(newBglBillsQtyZ, $CURRENT_DATA, nIdx, sQty);\n\t\t$JE.setFieldValue(newBglBillsTpZ, $CURRENT_DATA, nIdx, sTP);\n\t\t$JE.setFieldValue(newBglBillsQtyJ, $CURRENT_DATA, nIdx, 0);\n\t\t$JE.setFieldValue(newBglBillsTpJ, $CURRENT_DATA, nIdx, 0);\t\t\t\n\t}else{\n\t\t$JE.setFieldValue(newBglBillsQtyZ, $CURRENT_DATA, nIdx, 0);\n\t\t$JE.setFieldValue(newBglBillsTpZ, $CURRENT_DATA, nIdx, 0);\n\t\t$JE.setFieldValue(newBglBillsQtyJ, $CURRENT_DATA, nIdx, sQty);\n\t\t$JE.setFieldValue(newBglBillsTpJ, $CURRENT_DATA, nIdx, sTP);\n\t}\n}\n\n//处理序号\nfor(let bglNo = 0; bglNo < fLen0; bglNo++){\n\tlet no1= $JE.getFieldValue(bglId, $CURRENT_DATA, bglNo, '');\n\tlet vCn=0;\n\tfor(let billNo = 0; billNo < fLen1; billNo++){\t\t\n\t\tlet no2= $JE.getFieldValue(bglbillsCid, $CURRENT_DATA, billNo, '');\n\t\tif(no1===no2){\n\t\t\tvCn++;\n\t\t\t$JE.setFieldValue(newXuhao, $CURRENT_DATA, billNo, vCn);\n\t\t}\n\t}\t\n}\ncacheDataArr(fLen0,masterField,masterKeyArr,masterBglArr);\ncacheDataArr(fLen1,decFieldArr,decKeyArr,sortBefore);\n\n//主数据排序\nmasterBglArr.sort(function (a, b) {\n  if (a['bglCode'] === b['bglCode']) {\n    if (a['bglId'] > b['bglId']) {\n      return 1;\n    } else if (a['bglId'] < b['bglId']) {\n      return -1;\n    } else {\n      return 0;\n    }\n  } else {\n    if (a['bglCode'] > b['bglCode']) {\n      return 1;\n    } else {\n      return -1;\n    }\n  }\n});\n//console.log(masterBglArr);\n\n//从数据根据主数据变更令id排序\nfor(let k=0; k<masterBglArr.length; k++){\n\t//console.log(masterBglArr[k]['bglId']);\n\tfor(let m=0; m<sortBefore.length; m++){\n\t\tif(sortBefore[m]['bglId']===masterBglArr[k]['bglId']){\t\t\t\n\t\t\tdestArr.push(sortBefore[m]);\t\t\n\t\t}\n\t}\n}\n\t\n//从数据根据变更令id，进行清单顺序，清单编号默认按照中文排序了，没去管1、2、10的问题\nfunction sortBy(field1,field2) {\n    return function(a,b) {\n        if(a.field1 == b.field1) return a.field2 - b.field2;\n        return a.field1 - b.field1;\n    }\n}\ndestArr.sort(sortBy(\"bglId\",\"bglBCode\")); \n\n//console.log(destArr);\t\n\n//fieldCountArr：需要设置的字段数；dataLengthArr：数据的长度；keysArr：数组转成对象的key值存放\nfunction moveToNewFields(fieldCountArr,dataLengthArr,keysArr) {\n\tlet vCn=0;\n\tfor(let field of fieldCountArr){\t\t\n\t\tfor(let N=0; N < dataLengthArr.length ;N++){\n\t\t\t$JE.setFieldValue(field, $CURRENT_DATA, N, dataLengthArr[N][keysArr[vCn]]);\n\t\t}\n\t\tvCn++;\n\t}\n};\t\t\n//移动主数据\nmoveToNewFields(masterField,masterBglArr,masterKeyArr);\t\nmoveToNewFields(decFieldArr,destArr,decKeyArr);\n\n//处理合计增减\nfor (let chkIdx = 0; chkIdx < fLen0; chkIdx++){\n\tlet sumZ=0;\n\tlet sumJ=0;\n\tlet bglid=$JE.getFieldValue(bglId, $CURRENT_DATA, chkIdx, '');\n\tfor(let i=0;i<fLen1;i++){\n\t\tlet bglCid=$JE.getFieldValue(bglbillsCid, $CURRENT_DATA, i, '');\n\t\tif(bglid===bglCid){\n\t\t\tlet tempZ = $JE.getFieldValue(newBglBillsTpZ, $CURRENT_DATA, i, '');\t\n\t\t\tlet tempJ = $JE.getFieldValue(newBglBillsTpJ, $CURRENT_DATA, i, '');\n\t\t\tsumZ+=tempZ;\n\t\t\tsumJ+=tempJ;\n\t\t}        \n\t}\t\n\tsumZ=Math.round(sumZ*Math.pow(10,preciousTp))/Math.pow(10,preciousTp); \n\tsumJ=Math.round(sumJ*Math.pow(10,preciousTp))/Math.pow(10,preciousTp);\n\t$JE.setFieldValue(addTp, $CURRENT_DATA, chkIdx, sumZ);\n\t$JE.setFieldValue(minusTp, $CURRENT_DATA, chkIdx, sumJ);\n\tconsole.log(bglid);\n\tconsole.log(sumZ);\n\tconsole.log(sumJ);\n}\n\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "B5 工程变更数量及金额汇总表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "58.22",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "58.22",
                            "Right": "100.00",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "58.22",
                            "Top": "60",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2301,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "变更令号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "58.22",
                            "Right": "100.00",
                            "Top": "60",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_1",
                "discrete_field_s": [
                    {
                        "FieldID": 2307,
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "78.41",
                            "Right": "89.69",
                            "Top": 0,
                            "Bottom": "16.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2307,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33.84",
                            "Right": "68.52",
                            "Top": "16.67",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2309,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "78.41",
                            "Right": "100.00",
                            "Top": "16.67",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2309,
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "89.69",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "16.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12170,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "17.69",
                            "Right": "33.84",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12171,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33.84",
                            "Right": "48.05",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12172,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "48.05",
                            "Right": "68.52",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12173,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "68.52",
                            "Right": "83.7",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12174,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "83.7",
                            "Right": 100,
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "合     计",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "78.41",
                            "Top": 0,
                            "Bottom": "16.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "人员",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "17.69",
                            "Top": "33.33",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人工区\\工段",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "17.69",
                            "Right": "48.05",
                            "Top": "33.33",
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人项目部",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "48.05",
                            "Right": "68.52",
                            "Top": "33.33",
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "技术负责人",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "48.05",
                            "Right": "68.52",
                            "Top": "50.00",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理单位",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "68.52",
                            "Right": "100.00",
                            "Top": "33.33",
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "68.52",
                            "Right": "83.7",
                            "Top": "50.00",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签名",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "17.69",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "17.69",
                            "Top": "83.33",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "48.05",
                            "Right": "68.52",
                            "Top": "83.33",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "68.52",
                            "Right": "100.00",
                            "Top": "83.33",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更金额",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "17.69",
                            "Top": "16.67",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组长",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "83.70",
                            "Right": "100",
                            "Top": "50.00",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "复核",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "33.84",
                            "Right": "48.05",
                            "Top": "50.00",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "33.84",
                            "Right": "48.05",
                            "Top": "83.33",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "增加：",
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "17.69",
                            "Right": "33.84",
                            "Top": "16.67",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "减少：",
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "68.52",
                            "Right": "78.41",
                            "Top": "16.67",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计算",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "17.69",
                            "Right": "33.84",
                            "Top": "50.00",
                            "Bottom": "66.67",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "17.69",
                            "Right": "33.84",
                            "Top": "83.33",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "68.52",
                            "Right": "83.7",
                            "Top": "83.33",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "17.69",
                            "Right": "33.84",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "48.05",
                            "Right": "68.52",
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "83.7",
                            "Right": 100,
                            "Top": "66.67",
                            "Bottom": "83.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48.05",
                        "Right": "68.52",
                        "Top": 0,
                        "Bottom": "39.60",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.41",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "39.60",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同或新增单价（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "68.52",
                        "Right": "78.41",
                        "Top": 0,
                        "Bottom": "79.21",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "序号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "5.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "5.43",
                        "Right": "17.69",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "39.97",
                        "Right": "48.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "增加（+）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.41",
                        "Right": "89.69",
                        "Top": "39.60",
                        "Bottom": "79.21",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "4=1x3",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.41",
                        "Right": "89.69",
                        "Top": "79.21",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目名称",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "17.69",
                        "Right": "39.97",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "增加（+）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48.05",
                        "Right": "58.22",
                        "Top": "39.60",
                        "Bottom": "79.21",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "减少（-）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "58.22",
                        "Right": "68.52",
                        "Top": "39.60",
                        "Bottom": "79.21",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "减少（-）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "89.69",
                        "Right": "100.00",
                        "Top": "39.60",
                        "Bottom": "79.21",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "1",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48.05",
                        "Right": "58.22",
                        "Top": "79.21",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "2",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "58.22",
                        "Right": "68.52",
                        "Top": "79.21",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "3",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "68.52",
                        "Right": "78.41",
                        "Top": "79.21",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "5=2x3",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "89.69",
                        "Right": "100.00",
                        "Top": "79.21",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 12002,
                    "font": "Content",
                    "control": "Content_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "78.41",
                        "Right": "89.69",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2402,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "17.69",
                        "Right": "39.97",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12004,
                    "font": "Content",
                    "control": "Content_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "5.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2401,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "5.43",
                        "Right": "17.69",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2403,
                    "font": "Content",
                    "control": "Content_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "39.97",
                        "Right": "48.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12000,
                    "font": "Content",
                    "control": "Content_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "48.05",
                        "Right": "58.22",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12001,
                    "font": "Content",
                    "control": "Content_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "58.22",
                        "Right": "68.52",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2404,
                    "font": "Content",
                    "control": "Content_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "68.52",
                        "Right": "78.41",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12003,
                    "font": "Content",
                    "control": "Content_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "89.69",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.company')",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1156,
                "Name": "标段_小数位数_金额",
                "DataType": "int",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")",
                "descr": "",
                "Title": "ID: 1156"
            },
            {
                "ID": 1155,
                "Name": "标段_小数位数_单价",
                "DataType": "int",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")",
                "descr": "",
                "Title": "ID: 1155"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 2300,
                "Name": "变更令信息_变更令uuid",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'cid')",
                "descr": "",
                "Title": "ID: 2300",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2301,
                "Name": "变更令信息_变更令号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'code')",
                "descr": "",
                "Title": "ID: 2301"
            },
            {
                "ID": 2307,
                "Name": "变更令信息_原图号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"org_code\")",
                "descr": "",
                "Title": "ID: 2307"
            },
            {
                "ID": 2309,
                "Name": "变更令信息_变更图号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"new_code\")",
                "descr": "",
                "Title": "ID: 2309"
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2400,
                "Name": "变更清单信息_所属变更令uuid",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'cid')",
                "descr": "",
                "Title": "ID: 2400",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2401,
                "Name": "变更清单信息_清单编号",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'code')",
                "descr": "",
                "Title": "ID: 2401"
            },
            {
                "ID": 2402,
                "Name": "变更清单信息_清单名称",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'name')",
                "descr": "",
                "Title": "ID: 2402"
            },
            {
                "ID": 2403,
                "Name": "变更清单信息_单位",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'unit')",
                "descr": "",
                "Title": "ID: 2403"
            },
            {
                "ID": 2407,
                "Name": "变更清单信息_审批变更后数量",
                "DataType": "double",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'samount')",
                "descr": "",
                "Title": "ID: 2407"
            },
            {
                "ID": 2404,
                "Name": "变更清单信息_单价",
                "DataType": "currency",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'unit_price')",
                "descr": "",
                "Title": "ID: 2404",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12000,
            "Name": "新增变更数量",
            "DataType": "string"
        },
        {
            "ID": 12001,
            "Name": "新减变更数量",
            "DataType": "string"
        },
        {
            "ID": 12002,
            "Name": "新增变更金额",
            "DataType": "string"
        },
        {
            "ID": 12003,
            "Name": "新减变更金额",
            "DataType": "string"
        },
        {
            "ID": 12004,
            "Name": "新序号",
            "DataType": "string"
        },
        {
            "ID": 12115,
            "Name": "合计增金额",
            "DataType": "string"
        },
        {
            "ID": 12116,
            "Name": "合计减金额",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12170,
            "Name": "承包人计算",
            "DataType": "string"
        },
        {
            "ID": 12171,
            "Name": "承包人复核",
            "DataType": "string"
        },
        {
            "ID": 12172,
            "Name": "技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12173,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12174,
            "Name": "监理组组长",
            "DataType": "string"
        }
    ]
}