{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表3 清单计量与支付表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表3 清单计量与支付表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.69",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "新计算式",
            "run_type": "before_analyzing",
            "expression": "\n//获取汇总后的清单数据\nlet bCode=$JE.F(2510,$CURRENT_RPT),\n\tbName=$JE.F(2511,$CURRENT_RPT),\n\tbUnit=$JE.F(2512,$CURRENT_RPT),\n\tbPrice=$JE.F(2513,$CURRENT_RPT),\n\tdealQty=$JE.F(2553,$CURRENT_RPT),\n\tdealTp=$JE.F(2554,$CURRENT_RPT),\n\tbJZBQty=$JE.F(2547,$CURRENT_RPT),\n\tbJZBTp=$JE.F(2548,$CURRENT_RPT);\nlet dLen0=$JE.getFieldDataLen(bCode, $CURRENT_DATA);\n//借用台账数量来存储变更后清单数据\nlet\tbglQty=$JE.F(2516,$CURRENT_RPT),\n\tbglTp=$JE.F(2517,$CURRENT_RPT);\n\nlet newBGHQty=$JE.F(12159,$CURRENT_RPT),\n\tnewBGHTp=$JE.F(12160,$CURRENT_RPT),\n\tnewWCL=$JE.F(12161,$CURRENT_RPT);\n\n//计算变更后\nfor(let i=0; i<dLen0 ;i++){\n\tlet tempdealQty=$JE.getFieldValue(dealQty, $CURRENT_DATA, i, '');\n\tlet tempdealTp=$JE.getFieldValue(dealTp, $CURRENT_DATA, i, '');\n\tlet tempbglQty=$JE.getFieldValue(bglQty, $CURRENT_DATA, i, '');\n\tlet tempbglTp=$JE.getFieldValue(bglTp, $CURRENT_DATA, i, '');\t\n\t$JE.setFieldValue(newBGHQty, $CURRENT_DATA, i,$CTX_HELPER.add(tempdealQty,tempbglQty));\n\t$JE.setFieldValue(newBGHTp, $CURRENT_DATA, i,$CTX_HELPER.add(tempdealTp,tempbglTp));\n\t\n\t//算截止本期完成率=截止本期完成/变更后\n\t//let tempBGHQty=$JE.getFieldValue(newBGHQty, $CURRENT_DATA, i, '');\n\tlet tempBGHTp=$JE.getFieldValue(newBGHTp, $CURRENT_DATA, i, '');\n\t//let tempJZBQty=$JE.getFieldValue(bJZBQty, $CURRENT_DATA, i, '');\n\tlet tempJZBTp=$JE.getFieldValue(bJZBTp, $CURRENT_DATA, i, '');\n\tlet percent=$CTX_HELPER.round($CTX_HELPER.div(tempJZBTp, tempBGHTp)*100,2);\n\t$JE.setFieldValue(newWCL, $CURRENT_DATA, i,percent);\t\n}",
            "format": ""
        },
        {
            "Name": "日期格式转换",
            "run_type": "before_analyzing",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表3 清单计量与支付表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "40.59",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "40.59",
                            "Right": "81.38",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截至日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "40.59",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "40.59",
                            "Right": "81.38",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "81.38",
                            "Right": "100.00",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "81.38",
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12162,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "5",
                            "Right": "22.5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12163,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12164,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "54",
                            "Right": "71",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12165,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.5",
                            "Right": "28",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46",
                            "Right": "54",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "71",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "清单细目|编号",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "6.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "清单细目内容",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "6.02",
                        "Right": "17.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "17.96",
                        "Right": "21.97",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "原合同量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "21.97",
                        "Right": "40.59",
                        "Top": 0,
                        "Bottom": "32.81",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "21.97",
                        "Right": "27.03",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "原合同|工程量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "27.03",
                        "Right": "33.81",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "33.81",
                        "Right": "40.59",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更后量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.59",
                        "Right": "54.15",
                        "Top": 0,
                        "Bottom": "32.81",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更后|工程量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.59",
                        "Right": "47.37",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "47.37",
                        "Right": "54.15",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "54.15",
                        "Right": "67.81",
                        "Top": 0,
                        "Bottom": "32.81",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "54.15",
                        "Right": "61.03",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "61.03",
                        "Right": "67.81",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到上期末完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "67.81",
                        "Right": "81.38",
                        "Top": 0,
                        "Bottom": "32.81",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "67.81",
                        "Right": "74.59",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74.59",
                        "Right": "81.38",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "81.38",
                        "Right": "95.03",
                        "Top": 0,
                        "Bottom": "32.81",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "81.38",
                        "Right": "88.16",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88.16",
                        "Right": "95.03",
                        "Top": "32.81",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成率",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "95.03",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.6",
            "flow_field_s": [
                {
                    "FieldID": 2510,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "6.02",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2511,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "6.02",
                        "Right": "17.96",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2512,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "17.96",
                        "Right": "21.97",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2513,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "21.97",
                        "Right": "27.03",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2553,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "27.03",
                        "Right": "33.81",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2554,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "33.81",
                        "Right": "40.59",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12159,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40.59",
                        "Right": "47.37",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12160,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "47.37",
                        "Right": "54.15",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2547,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "54.15",
                        "Right": "61.03",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2548,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "61.03",
                        "Right": "67.81",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2541,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "67.81",
                        "Right": "74.59",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2542,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "74.59",
                        "Right": "81.38",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2534,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "81.38",
                        "Right": "88.16",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2535,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "88.16",
                        "Right": "95.03",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12161,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "Suffix": "%",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "95.03",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [
                {
                    "FieldID": 2552
                }
            ],
            "sum_field_s": [],
            "group_lines": [
                {
                    "SumKey_S": [],
                    "text_s": []
                }
            ]
        },
        "流水式表_段统计信息": {
            "BandName": "newBand_1",
            "sum_field_s": [
                {
                    "FieldID": 2554,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "33.81",
                        "Right": "40.59",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12160,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "47.37",
                        "Right": "54.15",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2548,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "61.03",
                        "Right": "67.81",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2542,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "74.59",
                        "Right": "81.38",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2535,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "88.16",
                        "Right": "95.03",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.company')",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 2903,
                "Name": "变更清单-清单编号(code)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'code')",
                "descr": "",
                "Title": "ID: 2903"
            },
            {
                "ID": 2904,
                "Name": "变更清单-名称(name)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'name')",
                "descr": "",
                "Title": "ID: 2904"
            },
            {
                "ID": 2905,
                "Name": "变更清单-单位(unit)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2905"
            },
            {
                "ID": 2906,
                "Name": "变更清单-单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2906"
            },
            {
                "ID": 2909,
                "Name": "变更清单-审批变更后数量(s_qty)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_qty')",
                "descr": "",
                "Title": "ID: 2909"
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2512,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2512"
            },
            {
                "ID": 2513,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2513"
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 2514,
                "Name": "签约-数量(deal_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_qty')",
                "descr": "",
                "Title": "ID: 2514"
            },
            {
                "ID": 2515,
                "Name": "签约-金额(deal_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_tp')",
                "descr": "",
                "Title": "ID: 2515"
            },
            {
                "ID": 2534,
                "Name": "本期-完成-数量(gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_qty')",
                "descr": "",
                "Title": "ID: 2534"
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535"
            },
            {
                "ID": 2516,
                "Name": "施工复核-数量(sgfh_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'sgfh_qty')",
                "descr": "",
                "Title": "ID: 2516",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2517,
                "Name": "施工复核-金额(sgfh_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'sgfh_tp')",
                "descr": "",
                "Title": "ID: 2517",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2541,
                "Name": "截止上期-完成-数量(pre_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_qty')",
                "descr": "",
                "Title": "ID: 2541"
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542"
            },
            {
                "ID": 2547,
                "Name": "截止本期-完成-数量(end_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_qty')",
                "descr": "",
                "Title": "ID: 2547"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548"
            },
            {
                "ID": 2550,
                "Name": "截止本期完成率(%)(final_ratio)",
                "DataType": "double",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'final_ratio')",
                "descr": "",
                "Title": "ID: 2550"
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            },
            {
                "ID": 2554,
                "Name": "预留扩展字段_2(ex_value2)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value2')",
                "descr": "",
                "Title": "ID: 2554"
            },
            {
                "ID": 1600,
                "Name": "签约清单信息_清单编号(code)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"code\")",
                "descr": "",
                "Title": "ID: 1600"
            },
            {
                "ID": 1601,
                "Name": "签约清单信息_名称(name)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"name\")",
                "descr": "",
                "Title": "ID: 1601"
            },
            {
                "ID": 1602,
                "Name": "签约清单信息_单位(unit)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit\")",
                "descr": "",
                "Title": "ID: 1602"
            },
            {
                "ID": 1604,
                "Name": "签约清单信息_单价(unit_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit_price\")",
                "descr": "",
                "Title": "ID: 1604",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")"
                }
            },
            {
                "ID": 2552,
                "Name": "章节编号(chapter)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'chapter')",
                "descr": "",
                "Title": "ID: 2552"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherGcl",
            "hint": "请使用mem_stage_bills下指标，注意事项:\n1. 以下字段，不管报表是否实际使用，均应添加至指标映射，且在此处应勾选（不要求顺序）:\n  清单编号(b_code), 名称(name), 单位(unit), 单价(unit_price), 树结构-是否子项(is_leaf)\n2. 汇总后，以下字段，均会失效, 请勿使用:\n  台账ID(id), 树结构-ID(ledger_id), 树结构父项-ID(ledger_pid),\n  树结构-层级(level), 树结构-同层排序(order), 树结构-完整路径(full_path),\n  图册号(drawing_code), 备注(memo), 节点类型(node_type), 总额计量(is_tp)\n3. 如需汇总\"未计入清单章节项\"，请勾选\"章节编号(chapter)\"字段\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                },
                {
                    "Name": "名称(name)",
                    "FieldID": 2511
                },
                {
                    "Name": "单位(unit)",
                    "FieldID": 2512
                },
                {
                    "Name": "单价(unit_price)",
                    "FieldID": 2513
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                }
            ],
            "自定义设置": ""
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "join",
            "hint": "用于处理类似于关联签约清单的情况，会改变主表的数据",
            "fields": [],
            "自定义设置": "{\n    \"main\":\"mem_stage_bills\",\n    \"sub\":\"deal_bills\",\n    \"keyFields\":[\n        {\"main\":\"b_code\",\"sub\":\"code\",\"type\":\"string\"},\n        {\"main\":\"name\",\"sub\":\"name\",\"type\":\"string\"},\n        {\"main\":\"unit\",\"sub\":\"unit\",\"type\":\"string\"},\n        {\"main\":\"unit_price\",\"sub\":\"unit_price\",\"type\":\"number\"}\n    ],\n    \"importFields\":[\n        {\"main\":\"ex_value1\",\"sub\":\"quantity\",\"type\": \"sum\"},\n        {\"main\":\"ex_value2\",\"sub\":\"total_price\",\"type\": \"sum\"}\n    ],\n    \"joinType\":\"outer\"\n}\n"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "join",
            "hint": "用于处理类似于关联签约清单的情况，会改变主表的数据",
            "fields": [],
            "自定义设置": "{\n    \"main\":\"mem_stage_bills\",\n    \"sub\":\"mem_change_bills\",\n    \"keyFields\":[\n        {\"main\":\"b_code\",\"sub\":\"code\",\"type\":\"string\"},\n        {\"main\":\"name\",\"sub\":\"name\",\"type\":\"string\"},\n        {\"main\":\"unit\",\"sub\":\"unit\",\"type\":\"string\"},\n        {\"main\":\"unit_price\",\"sub\":\"unit_price\",\"type\":\"number\"}\n    ],\n    \"importFields\":[\n        {\"main\":\"sgfh_qty\",\"sub\":\"s_qty\", \"type\": \"sum\"},\n        {\"main\":\"sgfh_tp\",\"sub\":\"s_tp\", \"type\": \"sum\"}\n    ],\n    \"joinType\":\"outer\"\n}"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "getChapterCode",
            "hint": "",
            "fields": [],
            "自定义设置": "{\n        \"table\": \"mem_stage_bills\",\n        \"b_code\": \"b_code\",\n        \"chapter\": \"chapter\"\n    }"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "sortGcl",
            "hint": "只对一张表，进行工程量清单排序，排序哪张表，根据勾选的清单编号字段决定:\ne.g.1 要对mem_stage_bills排序，需要勾选mem_stage_bills下的\"清单编号(b_code)\"字段\ne.g.2 要对mem_stage_im_zl排序，需要勾选mem_stage_im_zl下的\"中间计量总量信息_编号(code)\"字段\n特别的，如有\"未计入清单章节项\": \n  1. 默认\"未计入清单章节项\"排列在最后\n  2. 如须\"未计入清单章节项\"排在100章之后，请在清单编号字段后，依次勾选\"章节编号(chapter)\", \"名称(name)\"\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                }
            ],
            "自定义设置": ""
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "addSumChapter",
            "fields": [],
            "自定义设置": "{\n        \"table\": \"mem_stage_bills\",\n        \"code\": \"b_code\",\n        \"chapter\": \"chapter\",\n        \"stdChapter\": { \"title\": \"%s章\", \"sum\": \"%s章合计\" },\n        \"otherChapter\": { \"title\": \"其他章\", \"sum\": \"其他章合计\" },\n        \"sum\": { \"name\": \"总合计\" },\n        \"fields\": [\"ex_value2\", \"sgfh_tp\", \"end_gather_tp\", \"pre_gather_tp\", \"gather_tp\"]\n}"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12154,
            "Name": "新变更数量",
            "DataType": "string"
        },
        {
            "ID": 12155,
            "Name": "新变更金额",
            "DataType": "string"
        },
        {
            "ID": 12159,
            "Name": "新变更后数量",
            "DataType": "string"
        },
        {
            "ID": 12160,
            "Name": "新变更后金额",
            "DataType": "string"
        },
        {
            "ID": 12161,
            "Name": "新截止本期完成率",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12162,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12163,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12164,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12165,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}