{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表13-1 中间计量表(总量控制)_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表13-1 中间计量表(总量控制)",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.19",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "1",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "5.45",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT); let dt = new Date(); rpt.Default_Value = dt.Format($ME.format); rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT)); ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT)); ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "let Name = $JE.F(2511,$CURRENT_RPT);//名称\nlet PFbg = $JE.F(2912,$CURRENT_RPT);//批复变更金额\nlet BGqd = $JE.F(2903,$CURRENT_RPT);//变更清单编号\nlet ZJ = $JE.F(2509,$CURRENT_RPT);//章节\nlet TZ = $JE.F(2523,$CURRENT_RPT);\nlet Zjdm = $JE.F(1132,$CURRENT_RPT);//章节代码\nlet Hname = $JE.F(2701,$CURRENT_RPT);//合同支付名称\nlet HGtp = $JE.F(2703,$CURRENT_RPT);\nlet HPre = $JE.F(2704,$CURRENT_RPT);\nlet HEnd = $JE.F(2705,$CURRENT_RPT);\n\n//新指标\nlet NewBGH = $JE.F(12293,$CURRENT_RPT);\nlet XH = $JE.F(12294,$CURRENT_RPT);\nlet KkgyfkE = $JE.F(12295,$CURRENT_RPT);//扣开工预付款-累计\nlet KkgyfkG = $JE.F(12296,$CURRENT_RPT);\nlet ZlbzjP = $JE.F(12297,$CURRENT_RPT);//质量保证金额-到上期\nlet ZlbzjG = $JE.F(12298,$CURRENT_RPT);\nlet SjbljP = $JE.F(12299,$CURRENT_RPT);//审计保留金-到上期\nlet SjbljG = $JE.F(12300,$CURRENT_RPT);\nlet SjzfP = $JE.F(12301,$CURRENT_RPT);//实际支付\nlet SjzfG = $JE.F(12302,$CURRENT_RPT);\nlet SjzfE = $JE.F(12303,$CURRENT_RPT);\nlet BqyfG = $JE.F(12304,$CURRENT_RPT);//本期应付\nlet BFB = $JE.F(12305,$CURRENT_RPT);//比例\nlet NewPFbg = $JE.F(12310,$CURRENT_RPT);//批复变更清单\nlet NewPF = $JE.F(12311,$CURRENT_RPT);//批复变更清单\n\n\nlet fLen1 = $JE.getFieldDataLen(Name, $CURRENT_DATA);\nlet fLen2 = $JE.getFieldDataLen(Hname, $CURRENT_DATA);//合同支付名称长度\nlet fLen3 = $JE.getFieldDataLen(BGqd, $CURRENT_DATA);//变更清单长度\n\n\n//合同支付内容赋值\nlet numb=0;\nfor(let k=0; k<fLen2; k++){\n   let HnameT = $JE.getFieldValue(Hname, $CURRENT_DATA, k, '');\n   if(HnameT==='扣回开工预付款'){\n\t  $JE.setFieldValue(KkgyfkE, $CURRENT_DATA, 0, $JE.getFieldValue(HEnd, $CURRENT_DATA, k, ''));\n\t  $JE.setFieldValue(KkgyfkG, $CURRENT_DATA, 0, $JE.getFieldValue(HGtp, $CURRENT_DATA, k, ''));\n   }\n   \n   if(HnameT==='质保金5%'){\n\t  $JE.setFieldValue(ZlbzjP, $CURRENT_DATA, 0, $JE.getFieldValue(HEnd, $CURRENT_DATA, k, ''));\n\t  $JE.setFieldValue(ZlbzjG, $CURRENT_DATA, 0, $JE.getFieldValue(HGtp, $CURRENT_DATA, k, ''));\n   }\n   \n   if(HnameT==='审计保留金10%'){\n\t  $JE.setFieldValue(SjbljP, $CURRENT_DATA, 0, $JE.getFieldValue(HEnd, $CURRENT_DATA, k, ''));\n\t  $JE.setFieldValue(SjbljG, $CURRENT_DATA, 0, $JE.getFieldValue(HGtp, $CURRENT_DATA, k, ''));\n   }\n   \n   if(HnameT==='本期实付'){\n\t  $JE.setFieldValue(SjzfP, $CURRENT_DATA, 0, $JE.getFieldValue(HPre, $CURRENT_DATA, k, ''));\n\t  $JE.setFieldValue(SjzfG, $CURRENT_DATA, 0, $JE.getFieldValue(HGtp, $CURRENT_DATA, k, ''));\n\t  $JE.setFieldValue(SjzfE, $CURRENT_DATA, 0, $JE.getFieldValue(HEnd, $CURRENT_DATA, k, ''));\n\t  numb = $JE.getFieldValue(HEnd, $CURRENT_DATA, k, '');\n\t  \n      //console.log(numb);\n   }\n   if(HnameT==='本期应付'){\n\t  $JE.setFieldValue(BqyfG, $CURRENT_DATA, 0, $JE.getFieldValue(HGtp, $CURRENT_DATA, k, ''));\n   }\n   if(HnameT==='本期完成计量'){\n\t  let sum = $JE.getFieldValue(HEnd, $CURRENT_DATA, k, '');\n\t  $JE.setFieldValue(BFB, $CURRENT_DATA, 0, $CTX_HELPER.mul($CTX_HELPER.div(numb, sum, 4),100));\n\t  //console.log(sum);\n   }\n   \n}\n\n\n\n/*一、变更清单对应章节配置:\n1.先确定好未计入章节的章次*/\nlet aryy=[];\nfor(let m=0; m<fLen1; m++){\n    let ZJT = $JE.getFieldValue(ZJ, $CURRENT_DATA, m, '');\n\tlet NameT = $JE.getFieldValue(Name, $CURRENT_DATA, m, '');\n    if((ZJT==='' || ZJT===null) && NameT!=='不可预见费（暂列金额）'){\n\t    aryy.push('999');\n\t}\n\telse{\n\t    aryy.push(ZJT);\n\t}\n}\n//判断未计入章节，存在100-1400 返回true,反之false\nfunction trry(T){\n\tfor(let SX=0; SX<aryy.length; SX++){\n\t\t\tif(T==aryy[SX]){\n               return true;\n\t\t\t   break;\n\t\t\t}\t\n\t\t}\n\treturn false;\t\n}\n\n//2.判断变更清单所属章节：100-900、1000-1400、999三种\nlet ZJcodeKey=[];\nfor(let n=0; n<fLen3; n++){\n\tlet BGqdT = $JE.getFieldValue(BGqd, $CURRENT_DATA, n, '');\n\tlet firstIdx = BGqdT.indexOf('-');//获取清单'-'之前的长度\n\tlet QycodeKey='';\n\n\tif(firstIdx===3){//清单长度判断：为3或者为4的清单\n\t\tQycodeKey=BGqdT.slice(0,1).toString()+'00';//\n\t}else if(firstIdx===4){\n\t\tQycodeKey=BGqdT.slice(0,2).toString()+'00';\n\t}\n\tconsole.log(QycodeKey);\n\tif(trry(QycodeKey)){\n\t   ZJcodeKey.push(QycodeKey);\n\t}else{\n\t   ZJcodeKey.push('999');//对未计入章节的变更清单赋值章次\n\t}\t\n}\nconsole.log(ZJcodeKey);\n//3.赋值\nfor(let p=0; p<aryy.length; p++){\n\tlet arryB=aryy[p];\n\tlet sumHJ=0;\n\tfor(let u=0; u<ZJcodeKey.length; u++){\n\t   let PFbgT = $JE.getFieldValue(PFbg, $CURRENT_DATA, u, '');\n\t   if(aryy[p]==ZJcodeKey[u]){\n\t\t   sumHJ= $CTX_HELPER.add(sumHJ, PFbgT);\n\t   }\n\t   \n\t}\n\t$JE.setFieldValue(NewPF, $CURRENT_DATA, p, sumHJ);\n\t\n}\n\n\n//新的台账+变更赋值\nfor(let i=0; i<fLen1; i++){\n   let PFbgT = $JE.getFieldValue(NewPF, $CURRENT_DATA, i, '');\n   let TZT = $JE.getFieldValue(TZ, $CURRENT_DATA, i, '');\n   \n   $JE.setFieldValue(NewBGH, $CURRENT_DATA, i, $CTX_HELPER.add(TZT,PFbgT));\n   $JE.setFieldValue(XH, $CURRENT_DATA, i, i+1);\n}\n\n\n//移除空白行\nlet Code = $JE.F(2509,$CURRENT_RPT);\nlet EV1 = $JE.F(2553,$CURRENT_RPT);\nlet NULLtxt = $JE.F(1199,$CURRENT_RPT);\nlet EndTP = $JE.F(2548,$CURRENT_RPT);\nlet PreTP = $JE.F(2542,$CURRENT_RPT);\nlet GtafE = $JE.F(2535,$CURRENT_RPT);\n\nfor(let i = 0; i < fLen1; i++){\n\tlet nameH = $JE.getFieldValue(Name, $CURRENT_DATA, i, '');\n\tif(nameH === '未计入章节清单项' ){\n\t\tif(($JE.getFieldValue(EndTP, $CURRENT_DATA, i, 0) === 0 && $JE.getFieldValue(GtafE, $CURRENT_DATA, i, 0) === 0)){\n\t\t    $JE.removeFieldValue(XH, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(Code, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(Name, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(EV1, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(TZ, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(NewPF, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(NewBGH, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(NULLtxt, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(EndTP, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(PreTP, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(GtafE, $CURRENT_DATA, i);\n\t\t}\n\t}\n}\n\n\n\n",
            "format": ""
        },
        {
            "Name": "表头处理",
            "run_type": "before_analyzing",
            "expression": "let QS=$JE.F(1300,$CURRENT_RPT);//期数\nlet HTBH=$JE.F(1102,$CURRENT_RPT);//合同编号\n\nlet NewTxt=$JE.F(12306,$CURRENT_RPT);//合同编号+期数\n\nlet HTBHJ=$JE.getFieldValue(HTBH, $CURRENT_DATA, 0, '');\nlet QSJ=$JE.getFieldValue(QS, $CURRENT_DATA, 0, '');\n//期数前缀补零\nif(QSJ<10){\n\tlet s = '0'+QSJ.toString(); \n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+s);\n}\nelse{\n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+QSJ);\n}\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表1 中期支付证书",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "30",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "合同段：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "30",
                            "Right": "60",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "60",
                            "Right": "90",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "95",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "90",
                            "Right": "95",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "30",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "30",
                            "Right": "60",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12306,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "60",
                            "Right": "80",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "货币单位：人民币(元)",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "80",
                            "Right": "100",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12000,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "4",
                            "Right": "18",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12001,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "23",
                            "Right": "38",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12002,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "46",
                            "Right": "58",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12003,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "68",
                            "Right": "80",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12004,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "90",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "制表：",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "4",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "18",
                            "Right": "23",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理工程师：",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "38",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主技术负责人：",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "58",
                            "Right": "68",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主项目负责人：",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "80",
                            "Right": "90",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "序号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "3.76",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "章次",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "3.76",
                        "Right": "9.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "科目内容",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.02",
                        "Right": "22.84",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "原合同金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "22.84",
                        "Right": "31.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "设计修正金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更设计增减|金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.41",
                        "Right": "49.25",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "实际金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "49.25",
                        "Right": "58.08",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "废置金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "58.08",
                        "Right": "66.82",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止上期末累|计完成金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "66.82",
                        "Right": "75.66",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止本期末累|计完成金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "75.66",
                        "Right": "84.40",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "84.40",
                        "Right": "93.23",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "备注",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "93.23",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.69",
            "flow_field_s": [
                {
                    "FieldID": 12294,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "3.76",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2509,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "3.76",
                        "Right": "9.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2511,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.02",
                        "Right": "22.84",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2553,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "22.84",
                        "Right": "31.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2523,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12293,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "49.25",
                        "Right": "58.08",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1199,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "58.08",
                        "Right": "66.82",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2542,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "66.82",
                        "Right": "75.66",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2548,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.66",
                        "Right": "84.40",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2535,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "84.40",
                        "Right": "93.23",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1199,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "93.23",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12311,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40.41",
                        "Right": "49.25",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "newBand_1",
            "sum_field_s": [
                {
                    "FieldID": 12297,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.02",
                        "Right": "31.67",
                        "Top": "65.05",
                        "Bottom": "82.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12299,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.02",
                        "Right": "31.67",
                        "Top": "82.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12301,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "49.25",
                        "Right": "66.82",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12302,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "49.25",
                        "Right": "66.82",
                        "Top": "47.57",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12304,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.66",
                        "Right": "93.23",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12303,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.66",
                        "Right": "93.23",
                        "Top": "47.57",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12305,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "93.23",
                        "Right": "100.00",
                        "Top": "47.57",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2553,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "22.84",
                        "Right": "31.67",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2523,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12293,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "49.25",
                        "Right": "58.08",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2542,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "66.82",
                        "Right": "75.66",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2548,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.66",
                        "Right": "84.40",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2535,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "84.40",
                        "Right": "93.23",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12295,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "22.84",
                        "Right": "31.67",
                        "Top": "30.1",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12296,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": "30.10",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12298,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": "65.05",
                        "Bottom": "82.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12300,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": "82.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1123,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.02",
                        "Right": "22.84",
                        "Top": "30.1",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12311,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40.41",
                        "Right": "49.25",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ],
            "text_s": [
                {
                    "Label": "小计",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "22.84",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "预付款",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.02",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "质保金5%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.02",
                        "Top": "47.57",
                        "Bottom": "82.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "审计保留金|10%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.02",
                        "Top": "82.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "已扣累计数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.02",
                        "Right": "31.67",
                        "Top": "47.57",
                        "Bottom": "65.05",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止上期末|已付款累计",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.41",
                        "Right": "49.25",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期实际|支付金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.41",
                        "Right": "49.25",
                        "Top": "47.57",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期应付金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "66.82",
                        "Right": "75.66",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止本期末已|付款金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "66.82",
                        "Right": "75.66",
                        "Top": "47.57",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止本期末累计付款占累计完成金额%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "93.23",
                        "Right": "100.00",
                        "Top": "12.62",
                        "Bottom": "47.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "58.08",
                        "Right": "66.82",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "93.23",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "12.62",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "预付款总额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.02",
                        "Right": "22.84",
                        "Top": "12.62",
                        "Bottom": "30.10",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "已扣回累计数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "22.84",
                        "Right": "31.67",
                        "Top": "12.62",
                        "Bottom": "30.10",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期应扣",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": "12.62",
                        "Bottom": "30.10",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期应扣",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "31.67",
                        "Right": "40.41",
                        "Top": "47.57",
                        "Bottom": "65.05",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        },
        {
            "ID": 12267,
            "Name": "标段_截止日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12268,
            "Name": "标段_标段清单_施工单位",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1150,
                "Name": "标段_技术参数_合同期限",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.dealPeriod\")",
                "descr": "",
                "Title": "ID: 1150"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2515,
                "Name": "签约-金额(deal_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_tp')",
                "descr": "",
                "Title": "ID: 2515",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2509,
                "Name": "项目节编号(code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'code')",
                "descr": "",
                "Title": "ID: 2509"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2523,
                "Name": "台账-金额(total_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'total_price')",
                "descr": "",
                "Title": "ID: 2523",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 1199,
                "Name": "标段_空白",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"tender_info\", \"\")",
                "descr": "",
                "Title": "ID: 1199"
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            },
            {
                "ID": 2554,
                "Name": "预留扩展字段_2(ex_value2)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value2')",
                "descr": "",
                "Title": "ID: 2554"
            },
            {
                "ID": 1605,
                "Name": "签约清单信息_合价(total_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"total_price\")",
                "descr": "",
                "Title": "ID: 1605",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2701,
                "Name": "期-合同支付-名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'name')",
                "descr": "",
                "Title": "ID: 2701"
            },
            {
                "ID": 2705,
                "Name": "期-合同支付-截止本期-金额(end_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'end_tp')",
                "descr": "",
                "Title": "ID: 2705",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2703,
                "Name": "期-合同支付-金额(tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'tp')",
                "descr": "",
                "Title": "ID: 2703",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2704,
                "Name": "期-合同支付-截止上期-金额(pre_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'pre_tp')",
                "descr": "",
                "Title": "ID: 2704",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 1123,
                "Name": "标段_签约开工预付款",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.startAdvance\")",
                "descr": "",
                "Title": "ID: 1123"
            },
            {
                "ID": 2903,
                "Name": "变更清单-清单编号(code)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'code')",
                "descr": "",
                "Title": "ID: 2903"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherChapter",
            "hint": "请使用mem_stage_bills/mem_stage_bills_compare/ledger，仅对一张表进行汇总，并生成数据：\n1. 因为是汇总章级数据，必须在离散数据中添加\"章节代码\"&\"章节名称\"\n2. 需勾选\"清单编号(b_code)\", \"树结构-是否子项(is_leaf)\"字段，可以对任何含有这些字段的表汇总\n注意事项：\n1. 算法对数据表没有要求，保证有上述字段，且按顺序勾选即可, 仅汇总金额\n2. 算法计算后，原数据表中非数字类型的字段全部失效(除清单编号、名称外)，请勿在指标映射中添加\n示例：\ne.g.1 要对mem_stage_bills汇总，须勾选mem_stage_bills下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\ne.g.2 要对mem_stage_bills_compare汇总，须勾选mem_stage_bills_compare下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\n结果：\n汇总结果可参照 清单汇总--章节合计，但是不过滤1000-1300章数据",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                }
            ],
            "自定义设置": "{\n        \"count\": 7,\n        \"activeFields\": [\"gather_tp\", \"pre_gather_tp\", \"end_gather_tp\"],\n\t\"unChapter\" : {\"name\" : \"未计入章节清单项\", \"order\": 1},\n        \"custom\": [\n            {\n                 \"name\": \"不可预见费（暂列金额）\",\n                 \"order\": 3,\n                 \"match\": [\n                       {\"node_type\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂定金额\"}\n                  ]\n           }\n        ],\n        \"rela\": [\n            {\n                \"table\": \"deal_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"total_price\", \"target\": \"ex_value1\"}\n            },{\n                \"table\": \"mem_change_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"s_tp\", \"target\": \"ex_value2\"}\n            }\n        ]\n}"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12293,
            "Name": "新台账+变更",
            "DataType": "string"
        },
        {
            "ID": 12294,
            "Name": "新序号",
            "DataType": "string"
        },
        {
            "ID": 12295,
            "Name": "扣回开工预付款-累计",
            "DataType": "string"
        },
        {
            "ID": 12296,
            "Name": "扣回开工预付款-本期",
            "DataType": "string"
        },
        {
            "ID": 12297,
            "Name": "质量保证金-到上期",
            "DataType": "string"
        },
        {
            "ID": 12298,
            "Name": "质量保证金-本期",
            "DataType": "string"
        },
        {
            "ID": 12299,
            "Name": "审计保留金-到上期",
            "DataType": "string"
        },
        {
            "ID": 12300,
            "Name": "审计保留金-本期",
            "DataType": "string"
        },
        {
            "ID": 12301,
            "Name": "实付-到上期",
            "DataType": "string"
        },
        {
            "ID": 12302,
            "Name": "实付-本期",
            "DataType": "string"
        },
        {
            "ID": 12303,
            "Name": "实付-到本期",
            "DataType": "string"
        },
        {
            "ID": 12304,
            "Name": "应付-本期",
            "DataType": "string"
        },
        {
            "ID": 12305,
            "Name": "比例",
            "DataType": "string"
        },
        {
            "ID": 12306,
            "Name": "合同编号+期数",
            "DataType": "string"
        },
        {
            "ID": 12310,
            "Name": "新批复变更清单",
            "DataType": "string"
        },
        {
            "ID": 12311,
            "Name": "新变更批复金额",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12000,
            "Name": "制表",
            "DataType": "string"
        },
        {
            "ID": 12001,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12002,
            "Name": "监理工程师",
            "DataType": "string"
        },
        {
            "ID": 12003,
            "Name": "业主技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12004,
            "Name": "业主项目负责人",
            "DataType": "string"
        }
    ]
}