{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B11扣回甲供材料一览表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B11扣回甲供材料一览表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.67",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.19",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "CalculationType": "abstract",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "1",
            "Name": "newBand_2",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.51",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT); let dt = new Date(); rpt.Default_Value = dt.Format($ME.format); rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT)); ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT)); ttp = null;",
            "format": "共 ($S) 页"
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "46.53",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "扣回甲供材料一览表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "46.53",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "期次：第",
                        "Suffix": "期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "84",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "84",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "84",
                            "Right": "92",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "92",
                            "Right": 100,
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_2",
                "discrete_field_s": [
                    {
                        "FieldID": 12215,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "33",
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12216,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "41",
                            "Right": "66",
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12217,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "8",
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "物资设备部：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "41",
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "经营部：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": "74",
                            "Top": 0,
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "ParamID": 12218,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "8",
                            "Right": "33",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12219,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "41",
                            "Right": "66",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12220,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "74",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "8",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "41",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": "74",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "序号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "4.49",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "材料名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "4.49",
                        "Right": "20.25",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "20.25",
                        "Right": "26.36",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "26.36",
                        "Right": "35.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "35.05",
                        "Right": "43.84",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合计价（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "43.84",
                        "Right": "52.91",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合计价的0.00%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "52.91",
                        "Right": "61.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "材料来源地",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "61.99",
                        "Right": "75.74",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "票据号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "75.74",
                        "Right": "89.30",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "备注",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "89.30",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.95",
            "flow_field_s": [
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "4.49",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "4.49",
                        "Right": "20.25",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "20.25",
                        "Right": "26.36",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "26.36",
                        "Right": "35.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.05",
                        "Right": "43.84",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "43.84",
                        "Right": "52.91",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "52.91",
                        "Right": "61.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "61.99",
                        "Right": "75.74",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.74",
                        "Right": "89.30",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1399,
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "89.30",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1399,
                "Name": "期计量信息_空白",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"stage\", \"\")",
                "descr": "",
                "Title": "ID: 1399"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [],
    "动态日期离散参数_集合": [
        {
            "ID": 12218,
            "Name": "承包人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12219,
            "Name": "物资设备部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12220,
            "Name": "经营部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12215,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12216,
            "Name": "物资设备部",
            "DataType": "string"
        },
        {
            "ID": 12217,
            "Name": "经营部",
            "DataType": "string"
        }
    ]
}
