{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B13 中间计量表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B13 中间计量表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "5",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F",
                    "band_s": [
                        {
                            "Alignment": "Top",
                            "DisplayType": "EveryPage",
                            "Height": "1.9",
                            "Name": "ColumnBand_Up",
                            "control": "Default",
                            "style": "Default_None",
                            "MergeBorder": "F"
                        },
                        {
                            "Alignment": "Bottom",
                            "DisplayType": "EveryPage",
                            "Height": "1.9",
                            "Name": "ColumnBand_Down",
                            "control": "Default",
                            "style": "Default_None",
                            "MergeBorder": "F"
                        },
                        {
                            "Alignment": "Fulfill",
                            "DisplayType": "EveryPage",
                            "Name": "ColumnBand_Rest",
                            "control": "Default",
                            "style": "Default_None",
                            "MergeBorder": "F",
                            "band_s": [
                                {
                                    "Alignment": "Top",
                                    "DisplayType": "EveryPage",
                                    "Height": "52",
                                    "Name": "ColumnBand_Rest_Up",
                                    "control": "Default",
                                    "style": "Default_None",
                                    "CalculationType": "percentage",
                                    "MergeBorder": "F"
                                },
                                {
                                    "Alignment": "Fulfill",
                                    "DisplayType": "EveryPage",
                                    "Name": "ColumnBand_Rest_Down",
                                    "control": "Default",
                                    "style": "Default_None",
                                    "MergeBorder": "F"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "截止日期转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "起始+终止桩号",
            "run_type": "before_paging",
            "expression": "let qz_zhuanghao = $JE.F(12211,$CURRENT_RPT);//目标桩号\nlet q_zhuanghao = $JE.F(1130,$CURRENT_RPT);//\nlet z_zhuanghao = $JE.F(1131,$CURRENT_RPT);//\n\nlet q = $JE.getFieldValue(q_zhuanghao, $CURRENT_DATA, 0, '');\nlet z = $JE.getFieldValue(z_zhuanghao, $CURRENT_DATA, 0, '');\nlet qz ;\n\nif(q === '' || q == null){\n\tqz = z;\n}else if (z === '' || z == null){\n\tqz = q;\n}else{\n\tqz = q + '-' + z;\t\n}\n\n$JE.setFieldValue(qz_zhuanghao, $CURRENT_DATA, 0, qz);",
            "format": ""
        },
        {
            "Name": "计算式不换行",
            "run_type": "before_analyzing",
            "expression": "let billsnumber = $JE.F(1915,$CURRENT_RPT); //中间计量编号\nlet fLen0 = $JE.getFieldDataLen(billsnumber, $CURRENT_DATA); //获取有多少个数据\nlet formula= $JE.F(1912,$CURRENT_RPT);\nfor(let i=0;i< fLen0 ;i++){\n\tlet tempString =  $JE.getFieldValue(formula, $CURRENT_DATA, i, 0); \n\tlet pos=tempString.indexOf('\\n');\n\tconsole.log(pos);\n\tlet sliceString=tempString.slice(pos+1).replace(/\\n/g,\"；\\t\");\n\tconsole.log(sliceString);\n\tlet newString=tempString.slice(0,pos+1)+sliceString;\n\t$JE.setFieldValue(formula, $CURRENT_DATA, i,newString);\t\n}",
            "format": ""
        },
        {
            "Name": "计算式分解",
            "run_type": "before_paging",
            "expression": "let zlCalcStatementField = $JE.F(1912,$CURRENT_RPT); //中间计量总量-计算式说明\nlet otherFields = [1900, 1909, 1915, 1910, 1908, 1916, 1907, 1914, 1913, 1917]; //其他需要duplicate的指标(不需要计算式说明)\n\nlet splitCols = 114, splitRows = 9; //预设置(A4纵向)分割行数与列数 (根据实际情况会有所调整)\n\nif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A4') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 4;\n\t\tsplitCols = 160;\n\t}\n} else if ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A3') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 9;\n\t\tsplitCols = 230;\n\t} else {\n\t\tsplitRows = 16;\n\t\tsplitCols = 160;\n\t}\n}\n\nlet statementArr = [];\nlet hasChange = false;\nfunction pushStrBySplitCols(orgArr, strStm) {\n\tlet sCnt = 0;\n\twhile (sCnt < strStm.length) {\n\t\tlet cnt = 0, curSCnt = sCnt;\n\t\tfor (let eIdx = sCnt; eIdx < strStm.length; eIdx++) {\n\t\t\tlet unicode = strStm.charCodeAt(eIdx);\n\t\t\tif (unicode > 255) {\n\t\t\t\tcnt += 2;\n\t\t\t} else {\n\t\t\t\tcnt++;\n\t\t\t}\n\t\t\tcurSCnt++;\n\t\t\tif (cnt >= splitCols) {\n\t\t\t\thasChange = true;\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t\t\n\t\torgArr.push(strStm.slice(sCnt, curSCnt));\n\t\tsCnt = curSCnt;\n\t}\n}\n\nlet dtLen = $JE.getFieldDataLen(zlCalcStatementField, $CURRENT_DATA);\nfor (let vIdx = 0; vIdx < dtLen; vIdx++) {\n\tlet statementStr = $JE.getFieldValue(zlCalcStatementField, $CURRENT_DATA, vIdx, '');\n\t//1. 把说明分割\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n\\r', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r', '|');\n\tlet statementValues = statementStr.split('|');\n\t//2. 根据 splitRows 来拓展分页\n\tlet stmForInsertArr = [], tempArr = [];\n\tlet addAmt = 0;\n\tfor (let sIdx = 0; sIdx < statementValues.length; sIdx++) {\n\t\t//考虑到splitCols参量，需要再一次分解\n\t\tpushStrBySplitCols(tempArr, statementValues[sIdx]);\n\t}\n\tlet tempArr2 = [];\n\tfor (let sIdx = 0; sIdx < tempArr.length; sIdx++) {\n\t\tif (sIdx === 0 || (sIdx % splitRows) !== 0) {\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t} else {\n\t\t\thasChange = true;\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t\ttempArr2 = [];\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t}\n\t\tif (sIdx === tempArr.length - 1) {\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t}\n\t}\n\tstatementArr.push(stmForInsertArr);\n}\n\n//插入新分割后的数据(如果有多的话)\n// b. 数量有变才有意义\nif (hasChange) {\n\t// 定义需要调整的指标集合\n\tfor (let fIdx = 0; fIdx < otherFields.length; fIdx++) {\n\t\totherFields[fIdx] = $JE.F(otherFields[fIdx],$CURRENT_RPT);\n\t}\n\t// 保存一下各个相关字段的原始值\n\tlet orgValuesArr = [];\n\tfor (const field of otherFields) {\n\t\torgValuesArr.push([]);\n\t}\n\tfor (let dupIdx = 0; dupIdx < dtLen; dupIdx++) {\n\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\torgValuesArr[fieldIdx].push($JE.getFieldValue(otherFields[fieldIdx], $CURRENT_DATA, dupIdx, ''));\n\t\t}\n\t}\n\t// 进入实际操作\n\tlet cnt = 0;\n\tfor (let dupIdx = 0; dupIdx < statementArr.length; dupIdx++) {\n\t\tfor (let ddIdx = 0; ddIdx < statementArr[dupIdx].length; ddIdx++) {\n\t\t\t$JE.setFieldValue(zlCalcStatementField, $CURRENT_DATA, cnt, statementArr[dupIdx][ddIdx]);\n\t\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\t\t$JE.setFieldValue(otherFields[fieldIdx], $CURRENT_DATA, cnt, orgValuesArr[fieldIdx][dupIdx]);\n\t\t\t}\n\t\t\tcnt++;\n\t\t}\n\t}\n}\n\n\n",
            "format": ""
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let bcode = $JE.F(2610,$CURRENT_RPT);//清单编号\nlet bname = $JE.F(2611,$CURRENT_RPT);//名称\nlet bunit = $JE.F(2612,$CURRENT_RPT);//单位\nlet yb_ht = $JE.F(2636,$CURRENT_RPT);//原报合同数量\nlet yb_bg = $JE.F(2638,$CURRENT_RPT);//原报变更数量\nlet zs_ht = $JE.F(2690,$CURRENT_RPT);//终审合同数量\nlet zs_bg = $JE.F(2692,$CURRENT_RPT);//终审变更数量\n\nlet new_bcode = $JE.F(12226,$CURRENT_RPT);//新清单编号\nlet new_bname = $JE.F(12227,$CURRENT_RPT);//新名称\nlet new_bunit = $JE.F(12228,$CURRENT_RPT);//新单位\nlet new_yb_ht = $JE.F(12229,$CURRENT_RPT);//新原报合同数量\nlet new_yb_bg = $JE.F(12230,$CURRENT_RPT);//新原报变更数量\nlet new_zs_ht = $JE.F(12231,$CURRENT_RPT);//新终审合同数量\nlet new_zs_bg = $JE.F(12232,$CURRENT_RPT);//新终审变更数量\n\nlet fLen0 = $JE.getFieldDataLen(bcode, $CURRENT_DATA);\n\nlet code,name,unit,ybht,ybbg,zsht,zsbg;\nlet arr1 = new Array();\nlet arr2 = new Array();\nlet arr3 = new Array();\nlet arr4 = new Array();\nlet arr5 = new Array();\nlet arr6 = new Array();\nlet arr7 = new Array();\nfor(let j = 0; j < fLen0 ; j++){\n\tcode = $JE.getFieldValue(bcode, $CURRENT_DATA, j, '');\n\tname = $JE.getFieldValue(bname, $CURRENT_DATA, j, '');\n\tunit = $JE.getFieldValue(bunit, $CURRENT_DATA, j, '');\n\tybht = $JE.getFieldValue(yb_ht, $CURRENT_DATA, j, 0);\n\tybbg = $JE.getFieldValue(yb_bg, $CURRENT_DATA, j, 0);\n\tzsht = $JE.getFieldValue(zs_ht, $CURRENT_DATA, j, 0);\n\tzsbg = $JE.getFieldValue(zs_bg, $CURRENT_DATA, j, 0);\n\t\n\tif(code !== \"\" && (ybht !==0 || ybbg !==0 || zsht !==0 || zsbg !==0)){\n\t\tarr1.push(code);\n\t\tarr2.push(name);\n\t\tarr3.push(unit);\n\t\tarr4.push(ybht);\n\t\tarr5.push(ybbg);\n\t\tarr6.push(zsht);\n\t\tarr7.push(zsbg);\n\t}\n}\n\nfor(let i = 0; i < arr1.length; i++){\n\t$JE.setFieldValue(new_bcode, $CURRENT_DATA, i, arr1[i]);\n\t$JE.setFieldValue(new_bname, $CURRENT_DATA, i, arr2[i]);\n\t$JE.setFieldValue(new_bunit, $CURRENT_DATA, i, arr3[i]);\n\t$JE.setFieldValue(new_yb_ht, $CURRENT_DATA, i, arr4[i]);\n\t$JE.setFieldValue(new_yb_bg, $CURRENT_DATA, i, arr5[i]);\n\t$JE.setFieldValue(new_zs_ht, $CURRENT_DATA, i, arr6[i]);\n\t$JE.setFieldValue(new_zs_bg, $CURRENT_DATA, i, arr7[i]);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "中 间 计 量 表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "30",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "期次：第 ",
                        "Suffix": " 期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "100",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同段号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "84",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Header",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Suffix": "",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "84",
                            "Right": "92",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Header",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "92",
                            "Right": "100",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand_Up",
                "discrete_field_s": [
                    {
                        "FieldID": 12211,
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "15",
                            "Right": "50",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1909,
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1914,
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "15",
                            "Right": "50",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1916,
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65",
                            "Right": "100",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1913,
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "15",
                            "Right": "50",
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "起始桩号",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "15",
                            "Top": "0",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "部位",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "65",
                            "Top": "0",
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "图号",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "15",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中间交工证书号",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "65",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更令编号",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "15",
                            "Top": "66.66",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "65",
                            "Top": "66.66",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "HeaderColumn",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "65",
                            "Right": "100",
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand_Rest_Up",
                "discrete_field_s": [
                    {
                        "FieldID": 1917,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "0.6",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "abstract",
                                "Bottom": "percentage"
                            }
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计算草图几何尺寸：",
                        "font": "HeaderColumn",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "0.6",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "percentage",
                                "Bottom": "abstract"
                            }
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand_Rest_Down",
                "discrete_field_s": [
                    {
                        "FieldID": 1912,
                        "font": "HeaderColumn",
                        "control": "Left_Top",
                        "style": "Default_None",
                        "Prefix": "",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "0.6",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "abstract",
                                "Bottom": "percentage"
                            }
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计算式：",
                        "font": "HeaderColumn",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "0.6",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "percentage",
                                "Bottom": "abstract"
                            }
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12210,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "31",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12205,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42",
                            "Right": "64",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12206,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "75",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12207,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "7.5",
                            "Right": "31",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12208,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "41.5",
                            "Right": "64",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12209,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.5",
                            "Right": "100",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "8",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "现场工程师：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "31",
                            "Right": "42",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程管理部：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "64",
                            "Right": "75",
                            "Top": 0,
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "7.5",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "31",
                            "Right": "41.5",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "64",
                            "Right": "74.5",
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand_Down",
            "text_s": [
                {
                    "Label": "清单编号",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "12",
                        "Top": "0",
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "项目名称",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "12",
                        "Right": "40",
                        "Top": "0",
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "单位",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40",
                        "Right": "48",
                        "Top": "0",
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "工程数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48",
                        "Right": "100",
                        "Top": "0",
                        "Bottom": "33.33",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "申报数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48",
                        "Right": "74",
                        "Top": "33.33",
                        "Bottom": "66.66",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "核定数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74",
                        "Right": 100,
                        "Top": "33.33",
                        "Bottom": "66.66",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "设计数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "48",
                        "Right": "61",
                        "Top": "66.66",
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "变更数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "61",
                        "Right": "74",
                        "Top": "66.66",
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": {
                            "Top": "percentage",
                            "Bottom": "percentage"
                        }
                    }
                },
                {
                    "Label": "设计数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74",
                        "Right": "87",
                        "Top": "66.66",
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "87",
                        "Right": 100,
                        "Top": "66.66",
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.6",
            "flow_field_s": [
                {
                    "FieldID": 12226,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "12",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12227,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "12",
                        "Right": "40",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12228,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40",
                        "Right": "48",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12229,
                    "font": "Content_Narrow",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "48",
                        "Right": "61",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12230,
                    "font": "Content_Narrow",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "61",
                        "Right": "74",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12231,
                    "font": "Content_Narrow",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "74",
                        "Right": "87",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12232,
                    "font": "Content_Narrow",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "87",
                        "Right": 100,
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1002,
                "Name": "项目_名称",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getProperty('project', 'name')",
                "descr": "",
                "Title": "ID: 1002"
            },
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'order')",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1130,
                "Name": "标段_技术参数_起点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startPeg\")",
                "descr": "",
                "Title": "ID: 1130"
            },
            {
                "ID": 1131,
                "Name": "标段_技术参数_终点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.endPeg\")",
                "descr": "",
                "Title": "ID: 1131"
            },
            {
                "ID": 1121,
                "Name": "标段_暂定金额",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.zanLiePrice\")",
                "descr": "",
                "Title": "ID: 1121"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 1900,
                "Name": "中间计量0号台账信息_id",
                "DataType": "int",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'id')",
                "descr": "",
                "Title": "ID: 1900",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 1909,
                "Name": "中间计量0号台账信息_部位",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'bw')",
                "descr": "",
                "Title": "ID: 1909"
            },
            {
                "ID": 1915,
                "Name": "中间计量0号台账信息_中间计量表号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'im_code')",
                "descr": "",
                "Title": "ID: 1915"
            },
            {
                "ID": 1910,
                "Name": "中间计量0号台账信息_细目",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'xm')",
                "descr": "",
                "Title": "ID: 1910"
            },
            {
                "ID": 1908,
                "Name": "中间计量0号台账信息_图册号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'drawing_code')",
                "descr": "",
                "Title": "ID: 1908"
            },
            {
                "ID": 1916,
                "Name": "中间计量0号台账信息_交工证书",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'doc_code')",
                "descr": "",
                "Title": "ID: 1916"
            },
            {
                "ID": 1907,
                "Name": "中间计量0号台账信息_起止桩号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'peg')",
                "descr": "",
                "Title": "ID: 1907"
            },
            {
                "ID": 1914,
                "Name": "中间计量0号台账信息_变更图号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'bgl_drawing_code')",
                "descr": "",
                "Title": "ID: 1914"
            },
            {
                "ID": 1913,
                "Name": "中间计量0号台账信息_变更令号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'bgl_code')",
                "descr": "",
                "Title": "ID: 1913"
            },
            {
                "ID": 1912,
                "Name": "中间计量0号台账信息_计算式说明",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'calc_memo')",
                "descr": "",
                "Title": "ID: 1912"
            },
            {
                "ID": 1917,
                "Name": "中间计量0号台账信息_草图",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz', 'calc_img')",
                "descr": "",
                "Title": "ID: 1917",
                "isPic": true
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2000,
                "Name": "中间计量0号台账清单信息_中间计量父id",
                "DataType": "int",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'imid')",
                "descr": "",
                "Title": "ID: 2000",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2002,
                "Name": "中间计量0号台账清单信息_清单编号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2002"
            },
            {
                "ID": 2003,
                "Name": "中间计量0号台账清单信息_名称",
                "DataType": "string",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'name')",
                "descr": "",
                "Title": "ID: 2003"
            },
            {
                "ID": 2004,
                "Name": "中间计量0号台账清单信息_单位",
                "DataType": "string",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2004"
            },
            {
                "ID": 2005,
                "Name": "中间计量0号台账清单信息_本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'jl')",
                "descr": "",
                "Title": "ID: 2005",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2006,
                "Name": "中间计量0号台账清单信息_本期合同数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'contract_jl')",
                "descr": "",
                "Title": "ID: 2006",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2007,
                "Name": "中间计量0号台账清单信息_本期变更数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'qc_jl')",
                "descr": "",
                "Title": "ID: 2007",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2011,
                "Name": "中间计量0号台账清单信息_截止上期合同数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'pre_contract_jl')",
                "descr": "",
                "Title": "ID: 2011",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2014,
                "Name": "中间计量0号台账清单信息_截止本期合同数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'end_contract_jl')",
                "descr": "",
                "Title": "ID: 2014",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2010,
                "Name": "中间计量0号台账清单信息_截止上期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'pre_jl')",
                "descr": "",
                "Title": "ID: 2010",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2013,
                "Name": "中间计量0号台账清单信息_截止本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_tz_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_tz_bills', 'end_jl')",
                "descr": "",
                "Title": "ID: 2013",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2636,
                "Name": "本期-合同-数量_0(r0_contract_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r0_contract_qty')",
                "descr": "",
                "Title": "ID: 2636",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2638,
                "Name": "本期-数量变更-数量_0(r0_qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r0_qc_qty')",
                "descr": "",
                "Title": "ID: 2638",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2642,
                "Name": "本期-合同-数量_1(r1_contract_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r1_contract_qty')",
                "descr": "",
                "Title": "ID: 2642",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2644,
                "Name": "本期-数量变更-数量_1(r1_qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r1_qc_qty')",
                "descr": "",
                "Title": "ID: 2644",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2610,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'b_code')",
                "descr": "",
                "Title": "ID: 2610"
            },
            {
                "ID": 2604,
                "Name": "树结构-父项ID(ledger_pid)",
                "DataType": "int",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'ledger_pid')",
                "descr": "",
                "Title": "ID: 2604"
            },
            {
                "ID": 2611,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'name')",
                "descr": "",
                "Title": "ID: 2611"
            },
            {
                "ID": 2612,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'unit')",
                "descr": "",
                "Title": "ID: 2612"
            },
            {
                "ID": 2690,
                "Name": "本期-合同-数量_9(r9_contract_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r10_contract_qty')",
                "descr": "",
                "Title": "ID: 2690",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2692,
                "Name": "本期-数量变更-数量_9(r9_qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r10_qc_qty')",
                "descr": "",
                "Title": "ID: 2692",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2612,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12211,
            "Name": "起点桩号+终止桩号",
            "DataType": "string"
        },
        {
            "ID": 12212,
            "Name": "原报本期合同计量数量",
            "DataType": "string"
        },
        {
            "ID": 12226,
            "Name": "新清单编号",
            "DataType": "string"
        },
        {
            "ID": 12227,
            "Name": "新名称",
            "DataType": "string"
        },
        {
            "ID": 12228,
            "Name": "新单位",
            "DataType": "string"
        },
        {
            "ID": 12229,
            "Name": "新原报本期合同数量",
            "DataType": "string"
        },
        {
            "ID": 12230,
            "Name": "新原报本期变更数量",
            "DataType": "string"
        },
        {
            "ID": 12231,
            "Name": "新终审本期合同数量",
            "DataType": "string"
        },
        {
            "ID": 12232,
            "Name": "新终审本期变更数量",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12207,
            "Name": "承包人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12208,
            "Name": "现场工程师_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12209,
            "Name": "工程管理部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12205,
            "Name": "现场工程师",
            "DataType": "string"
        },
        {
            "ID": 12206,
            "Name": "工程管理部",
            "DataType": "string"
        },
        {
            "ID": 12210,
            "Name": "承包人",
            "DataType": "string"
        }
    ]
}
