{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_工程款支付审批单 （财务）_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "工程款支付审批单 （财务）",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.19",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.53",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "3.6",
                    "Name": "FooterBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "2",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT); let dt = new Date(); rpt.Default_Value = dt.Format($ME.format); rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT)); ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT)); ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "let Name = $JE.F(2511,$CURRENT_RPT); //名称\nlet Sumtp = $JE.F(1120,$CURRENT_RPT); //合同总价\nlet Endtp = $JE.F(2548,$CURRENT_RPT); //截止本期完成金额\nlet Pretp = $JE.F(2542,$CURRENT_RPT); //截止上期完成金额\nlet GraTp = $JE.F(2535,$CURRENT_RPT); //本期完成金额\nlet HtEndtp = $JE.F(2705,$CURRENT_RPT); //合同支付截止本期完成金额\nlet HtPrdtp = $JE.F(2704,$CURRENT_RPT); //合同支付截止本期完成金额\nlet HtGtptp = $JE.F(2703,$CURRENT_RPT); //合同支付截止本期完成金额\nlet Htname = $JE.F(2701,$CURRENT_RPT); //合同支付名称\nlet Beizhu = $JE.F(2527,$CURRENT_RPT); //备注\n\n//新指标\nlet NewName = $JE.F(12245,$CURRENT_RPT);\nlet NewSumtp = $JE.F(12246,$CURRENT_RPT);\nlet NewBG = $JE.F(12247,$CURRENT_RPT);\nlet NewBGH = $JE.F(12248,$CURRENT_RPT);\nlet NewEnd = $JE.F(12249,$CURRENT_RPT);\nlet NewPre = $JE.F(12250,$CURRENT_RPT);\nlet NewGtp = $JE.F(12255,$CURRENT_RPT);\nlet NewEndBFB = $JE.F(12251,$CURRENT_RPT);\nlet NewGTBBFB = $JE.F(12252,$CURRENT_RPT);\nlet NewAnqun= $JE.F(12253,$CURRENT_RPT);\nlet NewBZ = $JE.F(12254,$CURRENT_RPT);\nlet Wenben = $JE.F(12256,$CURRENT_RPT);\n\nlet fLen0 = $JE.getFieldDataLen(Name, $CURRENT_DATA);\nlet fLen1 = $JE.getFieldDataLen(Htname, $CURRENT_DATA);\n\nlet BHtEndtp=0;//合同支付安全生产费\nlet MHtEndtp=0;//合同支付截止本期应付\nlet MHtPrdtp=0;//合同支付截止上期应付\nlet MHtGtptp=0;//合同支付本期应付\nfor(let i=0; i<fLen1; i++){\n\tlet BHtname = $JE.getFieldValue(Htname, $CURRENT_DATA, i, '');\n\tif(BHtname==='安全生产费'){\n\t  BHtEndtp = $JE.getFieldValue(HtEndtp, $CURRENT_DATA, i, '');\n\t}\n\tif(BHtname==='本期应付'){\n\t  MHtEndtp = $JE.getFieldValue(HtEndtp, $CURRENT_DATA, i, '');\n\t  MHtPrdtp = $JE.getFieldValue(HtPrdtp, $CURRENT_DATA, i, '');\n\t  MHtGtptp = $JE.getFieldValue(HtGtptp, $CURRENT_DATA, i, '');\n\t}\n}\n\n//赋值\nfunction unique(A,B,C,D,E,F,G,H,I,J,L,T) {\n    $JE.setFieldValue(NewName, $CURRENT_DATA, T, A);\n\t$JE.setFieldValue(NewSumtp, $CURRENT_DATA, T, B);\n\t$JE.setFieldValue(NewBG, $CURRENT_DATA, T, C);\n\t$JE.setFieldValue(NewBGH, $CURRENT_DATA, T, D);\n\t$JE.setFieldValue(NewEnd, $CURRENT_DATA, T, E);\n\t$JE.setFieldValue(NewPre, $CURRENT_DATA, T, F);\n\t$JE.setFieldValue(NewGtp, $CURRENT_DATA, T, G);\n\t$JE.setFieldValue(NewEndBFB, $CURRENT_DATA, T, H);\n\t$JE.setFieldValue(NewGTBBFB, $CURRENT_DATA, T, I);\n\t$JE.setFieldValue(NewAnqun, $CURRENT_DATA, T, J);\n\t$JE.setFieldValue(NewBZ, $CURRENT_DATA,T, L);\n}\n\n\nlet K=0;\nlet DYsumEnd=0;//第一行小计 截止本期金额\nlet DYsumPre=0;\nlet DYsumGra=0;\n\nlet DRsumEnd=0;//第二行小计 截止本期金额\nlet DRsumPre=0;\nlet DRsumGra=0;\n\n//筛选特殊项进行判断赋值\nfor(let Y=0; Y<fLen0; Y++){\n   let Tname = $JE.getFieldValue(Name, $CURRENT_DATA, Y, ''); \n   let TSumtp= $JE.getFieldValue(Sumtp, $CURRENT_DATA, 0, ''); \n   let TEndtp = $JE.getFieldValue(Endtp, $CURRENT_DATA, Y, ''); \n   let TPretp = $JE.getFieldValue(Pretp, $CURRENT_DATA, Y, ''); \n   let TGraTp = $JE.getFieldValue(GraTp, $CURRENT_DATA, Y, ''); \n   let TBeizhu = $JE.getFieldValue(Beizhu, $CURRENT_DATA, Y, ''); \n\tif(Tname==='合同总额'){\n        unique('金额(a)',TSumtp,0,TSumtp,TEndtp,TPretp,TGraTp,$CTX_HELPER.mul($CTX_HELPER.div(TEndtp,TSumtp,4),100),$CTX_HELPER.mul($CTX_HELPER.div(TGraTp,TSumtp,4),100),BHtEndtp,TBeizhu,K);\n\t\tDYsumEnd = $CTX_HELPER.add(DYsumEnd,TEndtp);\n\t\tDYsumPre = $CTX_HELPER.add(DYsumPre,TPretp);\n\t\tDYsumGra = $CTX_HELPER.add(DYsumGra,TGraTp);\n        K++;\t\t\n\t}\n\tif(Tname==='保留金'){\n\t\tunique('保留金（b）',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tDYsumEnd = $CTX_HELPER.sub(DYsumEnd,TEndtp);\n\t\tDYsumPre = $CTX_HELPER.sub(DYsumPre,TPretp);\n\t\tDYsumGra = $CTX_HELPER.sub(DYsumGra,TGraTp);\n\t\tunique('小 计（c=a-b）',TSumtp,0,TSumtp,DYsumEnd,DYsumPre,DYsumGra,$CTX_HELPER.mul($CTX_HELPER.div(DYsumEnd,TSumtp,4),100),$CTX_HELPER.mul($CTX_HELPER.div(DYsumGra,TSumtp,4),100),BHtEndtp,TBeizhu,K+1);\n        K=K+2;\n\t}\n\tif(Tname==='水电费'){\n\t\tunique('水电费',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tDRsumEnd = $CTX_HELPER.add(DRsumEnd,TEndtp);\n\t\tDRsumPre = $CTX_HELPER.add(DRsumPre,TPretp);\n\t\tDRsumGra = $CTX_HELPER.add(DRsumGra,TGraTp);\n        K++;\n\t}\n\tif(Tname==='税金' || Tname==='税 金' ){\n\t\tunique('税 金',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tDRsumEnd = $CTX_HELPER.add(DRsumEnd,TEndtp);\n\t\tDRsumPre = $CTX_HELPER.add(DRsumPre,TPretp);\n\t\tDRsumGra = $CTX_HELPER.add(DRsumGra,TGraTp);\n        K++;\n\t}\n\tif(Tname==='奖罚' || Tname==='奖 罚' ){\n\t\tunique('奖 罚',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tDRsumEnd = $CTX_HELPER.add(DRsumEnd,TEndtp);\n\t\tDRsumPre = $CTX_HELPER.add(DRsumPre,TPretp);\n\t\tDRsumGra = $CTX_HELPER.add(DRsumGra,TGraTp);\n        K++;\n\t}\n\tif(Tname==='其他' || Tname==='其 他' ){\n\t\tunique('其 他',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tDRsumEnd = $CTX_HELPER.add(DRsumEnd,TEndtp);\n\t\tDRsumPre = $CTX_HELPER.add(DRsumPre,TPretp);\n\t\tDRsumGra = $CTX_HELPER.add(DRsumGra,TGraTp);\n\t\tunique('小 计（e）',0,0,0,DRsumEnd,DRsumPre,DRsumGra,0,0,0,'',K+1);\n\t\tlet SumEtp=$CTX_HELPER.add(DRsumEnd,DYsumEnd);//合计-截止本期完成金额\n\t\tlet SumGtp=$CTX_HELPER.add(DRsumGra,DYsumGra);//合计-本期完成金额\n   \t    unique('合计(d=c+e)',TSumtp,0,TSumtp,SumEtp,$CTX_HELPER.add(DRsumPre,DYsumPre),SumGtp,$CTX_HELPER.mul($CTX_HELPER.div(SumEtp,TSumtp,4),100),$CTX_HELPER.mul($CTX_HELPER.div(SumGtp,TSumtp,4),100),BHtEndtp,'',K+2);\n        K=K+3;\n\t}\n\tif(Tname==='甲供材料扣款'){\n\t\tunique('甲供材料扣款',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n        K++;\n\t}\n\tif(Tname==='返还质量保证金'){\n\t\tunique('返还质量保证金',0,0,0,TEndtp,TPretp,TGraTp,0,0,0,TBeizhu,K);\n\t\tunique('实际支付',0,0,0,MHtEndtp,MHtPrdtp,MHtGtptp,0,0,0,'',K+1);\n        K=K+2;\n\t}\n}\n//竖向文本合并\nlet fLen2 = $JE.getFieldDataLen(NewName, $CURRENT_DATA);\nfor(let Q=0; Q<fLen2; Q++){\n\t $JE.setFieldValue(Wenben, $CURRENT_DATA, Q, '申|请|付|款');\n}\n\n//本期应付金额大写\nlet capF = $JE.F(12257, $CURRENT_RPT);\n$JE.setFieldValue(capF, $CURRENT_DATA, 0, $JE.$STR_UTIL.convertToCaptionNum(parseFloat(MHtGtptp).toFixed(2), true, true));\n\n\n\n//9. 因此表特殊性（从数据一个都不显示，全部显示离散数据），需要设置第一个从数据指标的data数量，否则会出现页码数量紊乱情况 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet dtlLen = $JE.getFieldDataLen(Name, $CURRENT_DATA), \n  \n\tdiff = dtlLen - fLen2;\n\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(Name, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(Name, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}",
            "format": ""
        },
        {
            "Name": "日期格式转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1146,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}\n\nlet rpt1 = $JE.F(1153,$CURRENT_RPT);\nlet jzrq1 = $JE.getFieldValue(rpt1, $CURRENT_DATA, 0, '')\nlet shiJian1 = jzrq1.split('-');\n\nif(shiJian1[0]!==''){\n\tlet newRiQiValue1 = shiJian1[0]+\"年\"+shiJian1[1]+\"月\"+shiJian1[2]+\"日\";\n\t$JE.setFieldValue(rpt1, $CURRENT_DATA, 0, newRiQiValue1);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1002,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "工 程 款 支 付 审 批 单",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "40",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "分包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "27.98",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "期 次：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "27.98",
                            "Right": "55.97",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1146,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "计量截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "55.97",
                            "Right": "83.95",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 段：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "27.98",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编 号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "27.98",
                            "Right": "55.97",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1153,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "申请付款日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "55.97",
                            "Right": "83.95",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "单位：人民币元",
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "83.95",
                            "Right": "100.00",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "text_s": [
                    {
                        "Label": "云|南|分|公|司",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "4.87",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程管理部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "4.87",
                            "Right": "35.43",
                            "Top": 0,
                            "Bottom": "32.74",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "经营部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "4.87",
                            "Right": "35.43",
                            "Top": "32.74",
                            "Bottom": "66.37",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "分管生产领导意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "4.87",
                            "Right": "35.43",
                            "Top": "66.37",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "安全环保部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "35.43",
                            "Right": "67.72",
                            "Top": 0,
                            "Bottom": "32.74",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "财务部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "35.43",
                            "Right": "67.72",
                            "Top": "32.74",
                            "Bottom": "66.37",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "分管经营领导意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "35.43",
                            "Right": "67.72",
                            "Top": "66.37",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "物资设备部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "67.72",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "32.74",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "安全总监意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "67.72",
                            "Right": "100.00",
                            "Top": "32.74",
                            "Bottom": "66.37",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "主管领导意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "67.72",
                            "Right": "100.00",
                            "Top": "66.37",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_1",
                "discrete_field_s": [
                    {
                        "FieldID": 12257,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "27.41",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12258,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.99",
                            "Right": "38.01",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12259,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "46.04",
                            "Right": "74.02",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12260,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82.04",
                            "Right": "99",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "本期实际需支付",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "4.87",
                            "Right": "19.29",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "生产负责人：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "38.01",
                            "Right": "46.04",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "项目负责人：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "74.02",
                            "Right": "82.04",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "4.87",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "大写",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "19.29",
                            "Right": "27.41",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "总包部",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "4.87",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "经营部：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "4.87",
                            "Right": "12.99",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Right",
                        "Title": "",
                        "area": {
                            "Left": "99",
                            "Right": 100,
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "类别",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "4.87",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项 目 内 容",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "4.87",
                        "Right": "19.29",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更总额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "27.41",
                        "Right": "35.43",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更后总额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "35.43",
                        "Right": "43.55",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "43.55",
                        "Right": "51.58",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到上期末完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "51.58",
                        "Right": "59.69",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成比例",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "67.72",
                        "Right": "75.84",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成比例",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "75.84",
                        "Right": "83.86",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "其中：安全生产费累计完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.86",
                        "Right": "91.98",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "B",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "27.41",
                        "Right": "35.43",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "C=A+B",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "35.43",
                        "Right": "43.55",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "D=E+F",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "43.55",
                        "Right": "51.58",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "E",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "51.58",
                        "Right": "59.69",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "G=D/C",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "67.72",
                        "Right": "75.84",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "H=F/C",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "75.84",
                        "Right": "83.86",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "I",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.86",
                        "Right": "91.98",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同总额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "19.29",
                        "Right": "27.41",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "59.69",
                        "Right": "67.72",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "备注",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "91.98",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "65.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "A",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "19.29",
                        "Right": "27.41",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "F",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "59.69",
                        "Right": "67.72",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "91.98",
                        "Right": "100.00",
                        "Top": "65.52",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.66",
            "flow_field_s": [
                {
                    "FieldID": 12245,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "4.87",
                        "Right": "19.29",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12247,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "27.41",
                        "Right": "35.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12248,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.43",
                        "Right": "43.55",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12249,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "43.55",
                        "Right": "51.58",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12250,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "51.58",
                        "Right": "59.69",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12251,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "Suffix": "%",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "67.72",
                        "Right": "75.84",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12252,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "Suffix": "%",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.84",
                        "Right": "83.86",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12253,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "83.86",
                        "Right": "91.98",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12256,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "combineType": "vertical",
                    "area": {
                        "Left": 0,
                        "Right": "4.87",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12246,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "19.29",
                        "Right": "27.41",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12255,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "59.69",
                        "Right": "67.72",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12254,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "91.98",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1002,
                "Name": "项目_名称",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"project\", \"name\")",
                "descr": "",
                "Title": "ID: 1002"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1146,
                "Name": "标段_技术参数_开工令日期",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startDate\")",
                "descr": "",
                "Title": "ID: 1146"
            },
            {
                "ID": 1153,
                "Name": "标段_技术参数_计划完工日期",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.planEndDate\")",
                "descr": "",
                "Title": "ID: 1153"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 1120,
                "Name": "标段_合同总价",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.contractPrice\")",
                "descr": "",
                "Title": "ID: 1120"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2705,
                "Name": "期-合同支付-截止本期-金额(end_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'end_tp')",
                "descr": "",
                "Title": "ID: 2705",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2704,
                "Name": "期-合同支付-截止上期-金额(pre_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'pre_tp')",
                "descr": "",
                "Title": "ID: 2704",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2703,
                "Name": "期-合同支付-金额(tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'tp')",
                "descr": "",
                "Title": "ID: 2703",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2701,
                "Name": "期-合同支付-名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'name')",
                "descr": "",
                "Title": "ID: 2701"
            },
            {
                "ID": 2527,
                "Name": "备注(memo)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'memo')",
                "descr": "",
                "Title": "ID: 2527"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12245,
            "Name": "新内容名称",
            "DataType": "string"
        },
        {
            "ID": 12246,
            "Name": "新合同总额",
            "DataType": "string"
        },
        {
            "ID": 12247,
            "Name": "新变更总额",
            "DataType": "string"
        },
        {
            "ID": 12248,
            "Name": "新变更后总额",
            "DataType": "string"
        },
        {
            "ID": 12249,
            "Name": "新到本期末完成",
            "DataType": "string"
        },
        {
            "ID": 12250,
            "Name": "新到上期末完成",
            "DataType": "string"
        },
        {
            "ID": 12251,
            "Name": "新到本期末完成比例",
            "DataType": "string"
        },
        {
            "ID": 12252,
            "Name": "新本期完成比例",
            "DataType": "string"
        },
        {
            "ID": 12253,
            "Name": "新安全生产费",
            "DataType": "string"
        },
        {
            "ID": 12254,
            "Name": "新备注",
            "DataType": "string"
        },
        {
            "ID": 12255,
            "Name": "新本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12256,
            "Name": "新默认文本",
            "DataType": "string"
        },
        {
            "ID": 12257,
            "Name": "金额大写",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12258,
            "Name": "经营部",
            "DataType": "string"
        },
        {
            "ID": 12259,
            "Name": "生产负责人",
            "DataType": "string"
        },
        {
            "ID": 12260,
            "Name": "项目负责人",
            "DataType": "string"
        }
    ]
}
