{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_01表 计量支付审批单_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "01表 计量支付审批单",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "新计算式",
            "run_type": "before_paging",
            "expression": "let stagePayTypeField=$JE.F(1805,$CURRENT_RPT);\nlet stagePayTpField=$JE.F(1801,$CURRENT_RPT);\n\n\nlet newstagePayTpField=$JE.F(12122,$CURRENT_RPT);\n\nlet fLen1=$JE.getFieldDataLen(stagePayTypeField, $CURRENT_DATA);\n\nfor (let chkIdx = 0; chkIdx < fLen1; chkIdx++){\n\tlet pType = $JE.getFieldValue(stagePayTypeField, $CURRENT_DATA, chkIdx, 0);\n\tif (pType === 2){\n\tlet BQYF=$JE.getFieldValue(stagePayTpField, $CURRENT_DATA, chkIdx, 0);\n\t$JE.setFieldValue(newstagePayTpField, $CURRENT_DATA, 0,BQYF);\n\t\n\tconsole.log(newstagePayTpField);\n\t\n\tbreak;\n\t}\n}",
            "format": ""
        },
        {
            "Name": "金额大写",
            "run_type": "before_paging",
            "expression": "let capF = $JE.F(12123, $CURRENT_RPT), orgF = $JE.F(2703, $CURRENT_RPT);\n $JE.setFieldValue(capF, $CURRENT_DATA, 0, $JE.$STR_UTIL.convertToCaptionNum(parseFloat($JE.getFieldValue(orgF, $CURRENT_DATA, 0, 0)).toFixed(2), true, true));\nconsole.log(capF);\nconsole.log(orgF);",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计量支付审批单",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "64.76",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "64.76",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "64.76",
                            "Right": "100.00",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "64.76",
                            "Right": "100.00",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12171,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "20.21",
                            "Bottom": "23.9",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12172,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "38.91",
                            "Bottom": "42.61",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12174,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "57.96",
                            "Bottom": "61.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12173,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "77.36",
                            "Bottom": "81.06",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12175,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "96.3",
                            "Bottom": "99.9",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "6",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "3.23",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12198,
                        "font": "Content",
                        "control": "Column",
                        "style": "Label_Underline",
                        "Default_Value": "年     月     日",
                        "area": {
                            "Left": "77",
                            "Right": 100,
                            "Top": "38.91",
                            "Bottom": "42.61",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62",
                            "Top": "20.21",
                            "Bottom": "23.9",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年     月     日",
                        "font": "Content",
                        "control": "Column",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "77",
                            "Right": "100",
                            "Top": "20.21",
                            "Bottom": "23.90",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Label_Top",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "23.90",
                            "Bottom": "33.03",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62",
                            "Top": "38.91",
                            "Bottom": "42.61",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组长意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Label_Top",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "42.61",
                            "Bottom": "52.19",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62",
                            "Top": "57.96",
                            "Bottom": "61.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年     月     日",
                        "font": "Content",
                        "control": "Column",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "77",
                            "Right": "100.00",
                            "Top": "57.96",
                            "Bottom": "61.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主代表意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Label_Top",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "61.66",
                            "Bottom": "71.25",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62",
                            "Top": "77.36",
                            "Bottom": "81.06",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年     月     日",
                        "font": "Content",
                        "control": "Column",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "77",
                            "Right": "100.00",
                            "Top": "77.36",
                            "Bottom": "81.06",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "指挥部意见：",
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Label_Top",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "81.06",
                            "Bottom": "90.42",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "Footer_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62",
                            "Top": "96.3",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年     月     日",
                        "font": "Content",
                        "control": "Column",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "77",
                            "Right": "100.00",
                            "Top": "96.3",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "致：",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "6",
                            "Top": 0,
                            "Bottom": "3.23",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": " 根据招标文件和施工条款的规定，本期已完工并验收合格的工程计量款为：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "5.29",
                            "Right": "64.76",
                            "Top": "3.23",
                            "Bottom": "7.97",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "13.74",
                            "Bottom": "20.21",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "11.00",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "3.23",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5.29",
                            "Top": "3.23",
                            "Bottom": "7.97",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元，实际支付金额为：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "80.08",
                            "Right": "100.00",
                            "Top": "3.23",
                            "Bottom": "7.97",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元（大写：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "12.95",
                            "Right": "22.98",
                            "Top": "7.97",
                            "Bottom": "13.74",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "62",
                            "Right": "77",
                            "Top": "99.9",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "33.03",
                            "Bottom": "38.91",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "52.19",
                            "Bottom": "57.96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "71.25",
                            "Bottom": "77.36",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "90.42",
                            "Bottom": "96.3",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 1304,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "64.76",
                        "Right": "80.08",
                        "Top": "3.23",
                        "Bottom": "7.97",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12123,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_None",
                    "Suffix": "   ），请予审核。",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "22.98",
                        "Right": "100",
                        "Top": "7.97",
                        "Bottom": "13.74",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2703,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "12.95",
                        "Top": "7.97",
                        "Bottom": "13.74",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1399,
                "Name": "期计量信息_空白",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"stage\", \"\")",
                "descr": "",
                "Title": "ID: 1399"
            },
            {
                "ID": 1805,
                "Name": "本期支付信息_支付项类型",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"ptype\")",
                "descr": "支付或扣款",
                "Title": "ID: 1805"
            },
            {
                "ID": 1304,
                "Name": "期计量信息_本期完成金额",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.COMMON.Plus($PROJECT.REPORT.getProperty(\"stage\", \"contract_tp\"),$PROJECT.REPORT.getProperty(\"stage\", \"qc_tp\"),6)",
                "descr": "",
                "Title": "ID: 1304",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 1805,
                "Name": "本期支付信息_支付项类型",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"ptype\")",
                "descr": "支付或扣款",
                "Title": "ID: 1805"
            },
            {
                "ID": 1801,
                "Name": "本期支付信息_本期金额",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"tp\")",
                "descr": "",
                "Title": "ID: 1801",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2703,
                "Name": "期-合同支付-金额(tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'tp')",
                "descr": "",
                "Title": "ID: 2703",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12122,
            "Name": "新本期应付",
            "DataType": "string"
        },
        {
            "ID": 12123,
            "Name": "金额大写",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12198,
            "Name": "监理员_签字日期",
            "DataType": "string",
            "Default_Value": "年     月     日"
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12171,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12172,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12174,
            "Name": "监理组长",
            "DataType": "string"
        },
        {
            "ID": 12173,
            "Name": "业主代表",
            "DataType": "string"
        },
        {
            "ID": 12175,
            "Name": "指挥部",
            "DataType": "string"
        }
    ]
}