{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_02表 合同工程月计量申报表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "02表 合同工程月计量申报表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "5.74",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "1.43",
                    "Name": "newBand_4",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "let bCode = $JE.F(2610,$CURRENT_RPT);\nlet bName = $JE.F(2611,$CURRENT_RPT);\nlet bUnits = $JE.F(2612,$CURRENT_RPT);\nlet bPrice = $JE.F(2613,$CURRENT_RPT);\nlet curQuantityF = $JE.F(2640,$CURRENT_RPT);\nlet curTotalpriceF = $JE.F(2641,$CURRENT_RPT);\nlet curQuantityOne = $JE.F(2646,$CURRENT_RPT);\nlet curTotalpriceOne = $JE.F(2647,$CURRENT_RPT);\nlet curQuantityY = $JE.F(2652,$CURRENT_RPT);\nlet curTotalpriceY = $JE.F(2653,$CURRENT_RPT);\n\n//新指标\nlet chkField = bCode ; //因系统设计，必须要一个从数据指标做分页用\n\nlet newbCode = $JE.F(12127,$CURRENT_RPT);\nlet newbName = $JE.F(12128,$CURRENT_RPT);\nlet newbUnits = $JE.F(12129,$CURRENT_RPT);\nlet newbPrice = $JE.F(12130,$CURRENT_RPT);\nlet newcurQuantityF = $JE.F(12131,$CURRENT_RPT);\nlet newcurTotalpriceF = $JE.F(12132,$CURRENT_RPT);\nlet newcurQuantityOne = $JE.F(12133,$CURRENT_RPT);\nlet newcurTotalpriceOne = $JE.F(12134,$CURRENT_RPT);\nlet newcurQuantityY = $JE.F(12135,$CURRENT_RPT);\nlet newcurTotalpriceY = $JE.F(12136,$CURRENT_RPT);\n\nlet decFieldArr=[bCode,bName,bUnits,bPrice,curQuantityF,curTotalpriceF,curQuantityOne,curTotalpriceOne,curQuantityY,curTotalpriceY];\nlet newdecFieldArr=[newbCode,newbName,newbUnits,newbPrice,newcurQuantityF,newcurTotalpriceF,newcurQuantityOne,newcurTotalpriceOne,newcurQuantityY,newcurTotalpriceY];\nlet fLen0 = $JE.getFieldDataLen(bCode, $CURRENT_DATA);\n\nlet sortBefore=[];\n\n//获取每一个指标数据放在sortBefore数组中\nfor(let cIdv=0;cIdv<decFieldArr.length;cIdv++){\n\tlet FieldArry=[];\n\tfor(let chkIdx = 0; chkIdx < fLen0; chkIdx++) { \n\t    let CodeT=$JE.getFieldValue(bCode, $CURRENT_DATA, chkIdx, ''); \n\t\tlet YS = $JE.getFieldValue(decFieldArr[cIdv], $CURRENT_DATA, chkIdx, ''); \n\t\tif(CodeT!==''){\n\t\t   FieldArry.push(YS);\n\t\t   //$JE.setFieldValue(newdecFieldArr[cIdv], $CURRENT_DATA, chkIdx, YS);\n\t\t   //console.log(FieldArry);\n\t\t}\n\t\t//console.log('我是',YS);\t\n\t\t\n\t}\n\tsortBefore[cIdv]=FieldArry;\n}\n\n//最后一行进行合计\nlet lenT=sortBefore[1].length;\nlet lenJ=sortBefore.length;\nconsole.log('我是一',lenT);\nfor(let Y=0;Y<lenJ;Y++){\n\tif(Y===1){\n\t   sortBefore[1][lenT]='合计'\n\t}\n\telse if(Y===5 || Y===7 || Y===9 ){\n\t\tlet sum=0;\n\t\tfor(let i=0;i<lenT;i++){\n\t\t\t//console.log(sortBefore[Y][i]);\n\n\t\t\tsum=$CTX_HELPER.add(sum,sortBefore[Y][i]); \n\t\t} \n\t\tsortBefore[Y][lenT]=sum;\n\t}\n}\n\n//赋值到新指标newdecFieldArr\nfunction cacheDataArr(){\n\tlet lenM=sortBefore[1].length;\n\tconsole.log('我是二',lenM);\n\tfor(let hmj=0;hmj<lenJ;hmj++){\n\t\tfor(let yht=0;yht<lenM;yht++){\n\t\t\t$JE.setFieldValue(newdecFieldArr[hmj], $CURRENT_DATA, yht, sortBefore[hmj][yht]);\n\t\t\t\n\t\t}\n    }\n}   \ncacheDataArr();\n\nconsole.log(newdecFieldArr);\n\n\n\n\n//9. 因此表特殊性（从数据一个都不显示，全部显示离散数据），需要设置第一个从数据指标的data数量，否则会出现页码数量紊乱情况 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet dtlLen = $JE.getFieldDataLen(chkField, $CURRENT_DATA), \n    fValIdx = $JE.getFieldDataLen(newbCode, $CURRENT_DATA), \n\tdiff = dtlLen - fValIdx;\n\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(chkField, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(chkField, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}\n\n\n\n\n\n\n\n\n\n",
            "format": ""
        },
        {
            "Name": "总价合计",
            "run_type": "before_paging",
            "expression": "let bCode = $JE.F(2610,$CURRENT_RPT);\nlet curTotalpriceY = $JE.F(2653,$CURRENT_RPT);\n\nlet newHj= $JE.F(12137,$CURRENT_RPT);\n\nlet fLen0 = $JE.getFieldDataLen(bCode, $CURRENT_DATA);\n\nlet sum=0;\nfor(let cIdv=0;cIdv<fLen0;cIdv++){\n\tlet CodeM=$JE.getFieldValue(bCode, $CURRENT_DATA, cIdv, ''); \n\tif(CodeM!==''){\n\t   let CodeT=$JE.getFieldValue(curTotalpriceY, $CURRENT_DATA, cIdv, ''); \n\t   sum=sum+CodeT;\n\t}\n}\n\n$JE.setFieldValue(newHj, $CURRENT_DATA, 0,sum);\n\nconsole.log(newHj);",
            "format": ""
        },
        {
            "Name": "截止日期年月",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet rpt2 = $JE.F(12166,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\nconsole.log(shiJian);\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\";\n\t$JE.setFieldValue(rpt2, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "截止日期的年月日",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet rpt2 = $JE.F(12167,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\nconsole.log(shiJian);\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt2, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "ColumnBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Prefix": "(第 ",
                        "Suffix": " 期)",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "25.07",
                            "Right": "34.96",
                            "Top": "16.13",
                            "Bottom": "32.26",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12166,
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "15.04",
                            "Right": "25.07",
                            "Top": "16.13",
                            "Bottom": "32.26",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12167,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "80.78",
                            "Right": 100,
                            "Top": "64.52",
                            "Bottom": "80.65",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12170,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "51.67",
                            "Right": "70.89",
                            "Top": "64.52",
                            "Bottom": "80.65",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "6",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "16.13",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "合同工程月计量申报表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "70.89",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "70.89",
                            "Top": "60",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "70.89",
                            "Right": "100.00",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "70.89",
                            "Right": "100.00",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12168,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "23",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12167,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "29",
                            "Right": "47",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12169,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65",
                            "Right": "81",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12167,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "监理员：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "8",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Footer",
                        "control": "Footer_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "49",
                            "Right": "65",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "23",
                            "Right": "29",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "81",
                            "Right": "87",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_4",
                "discrete_field_s": [
                    {
                        "FieldID": 12137,
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "80.78",
                            "Right": "90.11",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "经测量计算和现场核验，本项合格的可计量的工程量如上表核定数，本期该项工程核定总价为  ",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "7.38",
                            "Right": "80.78",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "此提出本项工程进度付款申请。",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "7.38",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元。请据",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "90.11",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "附件：中间计量表等",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "7.38",
                        "Right": "43.18",
                        "Top": "48.39",
                        "Bottom": "64.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "的依据。",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "43.18",
                        "Top": "32.26",
                        "Bottom": "48.39",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "7.38",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "16.13",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "61.70",
                        "Right": "70.89",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "监理审核数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "61.70",
                        "Right": "70.89",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Title",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "7.38",
                        "Right": "28.69",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程项目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "7.38",
                        "Right": "28.69",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "完成工程量如下表，请予核验量测，你的计量结果，将作为我本期申请该工程进度款",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "34.96",
                        "Right": "100.00",
                        "Top": "16.13",
                        "Bottom": "32.26",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Title",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "34.54",
                        "Right": "43.18",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "施工单位申报数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "34.54",
                        "Right": "43.18",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "致：",
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "6",
                        "Top": 0,
                        "Bottom": "16.13",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "7.38",
                        "Top": "16.13",
                        "Bottom": "32.26",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "兹申报",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "7.38",
                        "Right": "15.04",
                        "Top": "16.13",
                        "Bottom": "32.26",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "90.11",
                        "Right": "100.00",
                        "Top": "32.26",
                        "Bottom": "48.39",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "7.38",
                        "Top": "48.39",
                        "Bottom": "64.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "90.11",
                        "Right": "100.00",
                        "Top": "48.39",
                        "Bottom": "64.52",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Title",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "7.38",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "28.69",
                        "Right": "34.54",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "承包商：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "43.18",
                        "Right": "51.67",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "日期：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "70.89",
                        "Right": "80.78",
                        "Top": "64.52",
                        "Bottom": "80.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项目编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "7.38",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "28.69",
                        "Right": "34.54",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "申报单价",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "43.18",
                        "Right": "51.67",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合价",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "51.67",
                        "Right": "61.70",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "监理审核总价",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "70.89",
                        "Right": "80.78",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "业主批复数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "80.78",
                        "Right": "90.11",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "业主核定总价",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "90.11",
                        "Right": "100.00",
                        "Top": "80.65",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 12133,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "61.70",
                        "Right": "70.89",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12128,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "7.38",
                        "Right": "28.69",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12131,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "34.54",
                        "Right": "43.18",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12127,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "7.38",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12129,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "28.69",
                        "Right": "34.54",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12130,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "43.18",
                        "Right": "51.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12132,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "51.67",
                        "Right": "61.70",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12134,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "70.89",
                        "Right": "80.78",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12135,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "80.78",
                        "Right": "90.11",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12136,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "90.11",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1199,
                "Name": "标段_空白",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getBlank('tender_info', '')",
                "descr": "",
                "Title": "ID: 1199"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2610,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'b_code')",
                "descr": "",
                "Title": "ID: 2610"
            },
            {
                "ID": 2640,
                "Name": "本期-完成-数量_0(r0_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r0_gather_qty')",
                "descr": "",
                "Title": "ID: 2640"
            },
            {
                "ID": 2641,
                "Name": "本期-完成-金额_0(r0_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r0_gather_tp')",
                "descr": "",
                "Title": "ID: 2641"
            },
            {
                "ID": 2646,
                "Name": "本期-完成-数量_1(r1_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r1_gather_qty')",
                "descr": "",
                "Title": "ID: 2646"
            },
            {
                "ID": 2647,
                "Name": "本期-完成-金额_1(r1_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r1_gather_tp')",
                "descr": "",
                "Title": "ID: 2647"
            },
            {
                "ID": 2652,
                "Name": "本期-完成-数量_2(r2_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r2_gather_qty')",
                "descr": "",
                "Title": "ID: 2652"
            },
            {
                "ID": 2653,
                "Name": "本期-完成-金额_2(r2_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r2_gather_tp')",
                "descr": "",
                "Title": "ID: 2653"
            },
            {
                "ID": 2611,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'name')",
                "descr": "",
                "Title": "ID: 2611"
            },
            {
                "ID": 2612,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'unit')",
                "descr": "",
                "Title": "ID: 2612"
            },
            {
                "ID": 2613,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'unit_price')",
                "descr": "",
                "Title": "ID: 2613"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "sortGcl",
            "hint": "只对一张表，进行工程量清单排序，排序哪张表，根据勾选的清单编号字段决定:\ne.g.1 要对mem_stage_bills排序，需要勾选mem_stage_bills下的\"清单编号(b_code)\"字段\ne.g.2 要对mem_stage_im_zl排序，需要勾选mem_stage_im_zl下的\"中间计量总量信息_编号(code)\"字段\n特别的，如有\"未计入清单章节项\": \n  1. 默认\"未计入清单章节项\"排列在最后\n  2. 如须\"未计入清单章节项\"排在100章之后，请在清单编号字段后，依次勾选\"章节编号(chapter)\", \"名称(name)\"\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2610
                }
            ],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12127,
            "Name": "新清单编号",
            "DataType": "string"
        },
        {
            "ID": 12128,
            "Name": "新清单名称",
            "DataType": "string"
        },
        {
            "ID": 12129,
            "Name": "新清单单位",
            "DataType": "string"
        },
        {
            "ID": 12130,
            "Name": "新清单单价",
            "DataType": "string"
        },
        {
            "ID": 12131,
            "Name": "新原报数量",
            "DataType": "string"
        },
        {
            "ID": 12132,
            "Name": "新原报金额",
            "DataType": "string"
        },
        {
            "ID": 12133,
            "Name": "新一审数量",
            "DataType": "string"
        },
        {
            "ID": 12134,
            "Name": "新一审金额",
            "DataType": "string"
        },
        {
            "ID": 12135,
            "Name": "新终审数量",
            "DataType": "string"
        },
        {
            "ID": 12136,
            "Name": "新终审金额",
            "DataType": "string"
        },
        {
            "ID": 12137,
            "Name": "新合计",
            "DataType": "string"
        },
        {
            "ID": 12166,
            "Name": "截止日期的年月",
            "DataType": "string"
        },
        {
            "ID": 12167,
            "Name": "截止日期的年月日",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12168,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12169,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12170,
            "Name": "承包商",
            "DataType": "string"
        }
    ]
}