{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_03表 付款申请表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "03表 付款申请表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "4.63",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "//console.log( $CURRENT_DATA);\nlet str1=$JE.F(2801,$CURRENT_RPT),\n\tstr2=$JE.F(2802,$CURRENT_RPT),//名称\n\ttp1=$JE.F(2827,$CURRENT_RPT),\n\ttp2=$JE.F(2828,$CURRENT_RPT),\n\ttp3=$JE.F(2829,$CURRENT_RPT);\nlet totalprice=$JE.F(12163,$CURRENT_RPT);\nlet bglCode=$JE.F(2803,$CURRENT_RPT);\nlet fLen0 = $JE.getFieldDataLen(str2, $CURRENT_DATA);\n\nlet tpyb = $JE.getFieldValue(tp1, $CURRENT_DATA, fLen0-1, ''),\n\ttpys = $JE.getFieldValue(tp2, $CURRENT_DATA, fLen0-1, ''),\n\ttpes = $JE.getFieldValue(tp3, $CURRENT_DATA, fLen0-1, '');\n\nif(tpes!=='' && tpes!==0 && tpes!==undefined && tpes!==null){\n\tconsole.log('终审：',tpes);\n\t$JE.setFieldValue(totalprice, $CURRENT_DATA, 0,tpes);\n}else if(tpys!=='' && tpys!==0 && tpys!==undefined && tpys!==null){\n   $JE.setFieldValue(totalprice, $CURRENT_DATA, 0,tpys);\n   console.log('1审：',tpys);\n}else{\n   $JE.setFieldValue(totalprice, $CURRENT_DATA, 0,tpyb);\n   console.log('原报：',tpyb);\n}\n\n\n\nlet chkField = str2; //因系统设计，必须要一个从数据指标做分页用\n\n//9. 因此表特殊性（从数据一个都不显示，全部显示离散数据），需要设置第一个从数据指标的data数量，否则会出现页码数量紊乱情况 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet dtlLen = $JE.getFieldDataLen(chkField, $CURRENT_DATA), \n    fValIdx = $JE.getFieldDataLen(str1, $CURRENT_DATA), \n\tdiff = dtlLen - fValIdx;\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(chkField, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(chkField, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}",
            "format": ""
        },
        {
            "Name": "截止日期的年月",
            "run_type": "before_analyzing",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet rpt2 = $JE.F(12176,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\nconsole.log(shiJian);\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\";\n\t$JE.setFieldValue(rpt2, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "截止日期的年月日",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet rpt2 = $JE.F(12177,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\nconsole.log(shiJian);\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt2, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "清单号加前缀",
            "run_type": "before_paging",
            "expression": "let zhangJie_num = $JE.F(2801,$CURRENT_RPT); \n\nlet fLen0 = $JE.getFieldDataLen(zhangJie_num, $CURRENT_DATA);\n\nfor(let i = 0 ; i < fLen0 ; i++){\n\tlet new_zhangJie_num = $JE.getFieldValue(zhangJie_num, $CURRENT_DATA, i, '');\n\tif(new_zhangJie_num !== ''){\n\t\t$JE.setFieldValue(zhangJie_num,$CURRENT_DATA,i,new_zhangJie_num + '章');\n\t}\n}\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "ColumnBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12163,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Suffix": "   元。作为本期的全部付款。",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.94",
                            "Right": "100",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12176,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "19.22",
                            "Right": "33.43",
                            "Top": "20",
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12177,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "83.43",
                            "Right": 100,
                            "Top": "60",
                            "Bottom": "80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12178,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "58",
                            "Right": "75",
                            "Top": "60",
                            "Bottom": "80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "6",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "付款申请表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "66.43",
                            "Right": 100,
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "66.43",
                            "Right": "100.00",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12195,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "33",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12196,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "44",
                            "Right": "66",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12197,
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "监理员：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "8",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "33",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "44",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "66",
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Footer",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": 100,
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "9.33",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "20.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.33",
                        "Top": "20.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "83.43",
                        "Right": "100.00",
                        "Top": "40.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "附件：各项计量证明。",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "9.33",
                        "Right": "33.43",
                        "Top": "40.00",
                        "Bottom": "60.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "9.33",
                        "Right": "33.43",
                        "Top": "60.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.33",
                        "Right": "33.43",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "完成下列工程项目的进度款",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "33.43",
                        "Right": "57.94",
                        "Top": "20.00",
                        "Bottom": "40.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "承包商：",
                    "font": "Content",
                    "control": "Header",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "49.86",
                        "Right": "58",
                        "Top": "60.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "日期：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "75",
                        "Right": "83.43",
                        "Top": "60.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "申请付款数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "49.86",
                        "Right": "66.43",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "监理工程师审核数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "66.43",
                        "Right": "83.43",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "致：",
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "6",
                        "Top": 0,
                        "Bottom": "20",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "兹申请支付",
                    "font": "Content",
                    "control": "Header",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "9.33",
                        "Right": "19.22",
                        "Top": "20.00",
                        "Bottom": "40.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "33.43",
                        "Right": "49.86",
                        "Top": "60.00",
                        "Bottom": "80.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "清单号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.33",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "计量证书标号及编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "33.43",
                        "Right": "49.86",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "业主批准数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.43",
                        "Right": "100.00",
                        "Top": "80.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 2802,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.33",
                        "Right": "33.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2827,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "49.86",
                        "Right": "66.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2828,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "66.43",
                        "Right": "83.43",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2801,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "9.33",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1099,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "33.43",
                        "Right": "49.86",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2829,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "83.43",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2802,
                "Name": "预留扩展数据-合并-字符串2(str2)",
                "DataType": "string",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'str2')",
                "descr": "",
                "Title": "ID: 2802"
            },
            {
                "ID": 2608,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2608"
            },
            {
                "ID": 2610,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'b_code')",
                "descr": "",
                "Title": "ID: 2610"
            },
            {
                "ID": 2609,
                "Name": "项目节编号(code)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'code')",
                "descr": "",
                "Title": "ID: 2609"
            },
            {
                "ID": 2611,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'name')",
                "descr": "",
                "Title": "ID: 2611"
            },
            {
                "ID": 2641,
                "Name": "本期-完成-金额_0(r0_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r0_gather_tp')",
                "descr": "",
                "Title": "ID: 2641",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2647,
                "Name": "本期-完成-金额_1(r1_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r1_gather_tp')",
                "descr": "",
                "Title": "ID: 2647",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2653,
                "Name": "本期-完成-金额_2(r2_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills_compare",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills_compare', 'r2_gather_tp')",
                "descr": "",
                "Title": "ID: 2653",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 1099,
                "Name": "项目_空白",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"project\", \"\")",
                "descr": "",
                "Title": "ID: 1099"
            },
            {
                "ID": 2701,
                "Name": "期-合同支付-名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'name')",
                "descr": "",
                "Title": "ID: 2701"
            },
            {
                "ID": 2711,
                "Name": "期-合同支付-流程-本期-金额_0(r0_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'r0_tp')",
                "descr": "",
                "Title": "ID: 2711",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2712,
                "Name": "期-合同支付-流程-本期-金额_1(r1_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'r1_tp')",
                "descr": "",
                "Title": "ID: 2712",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2713,
                "Name": "期-合同支付-流程-本期-金额_2(r2_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'r2_tp')",
                "descr": "",
                "Title": "ID: 2713",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2801,
                "Name": "预留扩展数据-合并-字符串1(str1)",
                "DataType": "string",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'str1')",
                "descr": "",
                "Title": "ID: 2801"
            },
            {
                "ID": 2827,
                "Name": "预留扩展数据-合并-金额1(tp1)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp1')",
                "descr": "",
                "Title": "ID: 2827"
            },
            {
                "ID": 2828,
                "Name": "预留扩展数据-合并-金额2(tp2)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp2')",
                "descr": "",
                "Title": "ID: 2828"
            },
            {
                "ID": 2829,
                "Name": "预留扩展数据-合并-金额3(tp3)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp3')",
                "descr": "",
                "Title": "ID: 2829"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherChapter",
            "hint": "请使用mem_stage_bills/mem_stage_bills_compare/ledger，仅对一张表进行汇总，并生成数据：\n1. 因为是汇总章级数据，必须在离散数据中添加\"章节代码\"&\"章节名称\"\n2. 需勾选\"清单编号(b_code)\", \"树结构-是否子项(is_leaf)\"字段，可以对任何含有这些字段的表汇总\n注意事项：\n1. 算法对数据表没有要求，保证有上述字段，且按顺序勾选即可, 仅汇总金额\n2. 算法计算后，原数据表中非数字类型的字段全部失效(除清单编号、名称外)，请勿在指标映射中添加\n示例：\ne.g.1 要对mem_stage_bills汇总，须勾选mem_stage_bills下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\ne.g.2 要对mem_stage_bills_compare汇总，须勾选mem_stage_bills_compare下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\n结果：\n汇总结果可参照 清单汇总--章节合计，但是不过滤1000-1300章数据",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2610
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2608
                }
            ],
            "自定义设置": "{\n        \"count\": 7,\n        \"activeFields\": [\"r0_gather_tp\", \"r1_gather_tp\", \"r2_gather_tp\"],\n\t\"unChapter\" : {\"name\" : \"未计入章节清单项\", \"order\": 1},\n        \"gclSum\": {\"name\": \"工程结算价款\", \"order\": 2},\n        \"custom\": [\n            {\n                 \"name\": \"暂定金额\",\n                 \"order\": 3,\n                 \"match\": [\n                       {\"node_type\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂定金额\"}\n                  ]\n           }\n        ],\n        \"rela\": [\n            {\n                \"table\": \"deal_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"total_price\", \"target\": \"ex_value1\"}\n            },{\n                \"table\": \"mem_change_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"s_tp\", \"target\": \"ex_value2\"}\n            }\n        ]\n}"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherStagePay",
            "fields": [],
            "自定义设置": "{\n        \"table\": \"mem_stage_pay\",\n        \"custom\": [\n            {\"name\": \"本期完成计量\", \"ptype\": 4, \"order\": 1, \"visible\": false},\n            {\"name\": \"业主违约罚金\", \"minus\": 0,\"match\": \"业主违约罚金\", \"order\": 2},\n            {\"name\": \"迟付款利息\", \"minus\": 0,\"match\": \"迟付款利息\", \"order\": 3},\n            {\"name\": \"其他付款\", \"minus\": 0, \"ptype\": 1, \"rid\": [\"业主违约罚金\", \"迟付款利息\"], \"order\": 4},\n            {\"name\": \"合计\", \"order\": 5, \"order_calc\": \"o1+o2+o3+o4\"},\n            {\"name\": \"动员预付款\", \"minus\": 0, \"match\": \"动员预付款\",\"order\": 6, \"empty\": 0},\n            {\"name\": \"扣动员预付款\",\"minus\": 1, \"match\": [\"扣动员预付款\", \"扣回动员预付款\", \"扣开工预付款\", \"扣回开工预付款\"], \"order\": 7},\n            {\"name\": \"扣材料预付款\",\"minus\": 1, \"match\": \"扣材料预付款\", \"order\": 8},\n            {\"name\": \"承包人违约罚金\",\"minus\": 1, \"match\": \"承包人违约罚金\", \"order\": 9},\n            {\"name\": \"保留金\", \"minus\": 1,\"match\": \"保留金\", \"order\": 10},\n            {\"name\": \"税金\",\"minus\": 1, \"match\": \"税金\", \"order\": 11},\n            {\"name\": \"质量保证金\",\"minus\": 1, \"match\": \"质量保证金\", \"order\": 12},\n            {\"name\": \"其他扣款\", \"minus\": 1, \"ptype\": 1, \"rid\": [\"扣动员预付款\", \"扣回动员预付款\", \"扣开工预付款\", \"扣回开工预付款\", \"扣材料预付款\", \"承包人违约罚金\", \"保留金\", \"税金\", \"质量保证金\"], \"order\": 13},\n            {\"name\": \"扣款合计\", \"minus\": 1, \"ptype\": 1, \"order\": 14},\n            {\"name\": \"支付\", \"ptype\": 2, \"order\": 15}\n        ]\n    }"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "union",
            "fields": [],
            "自定义设置": "{\n        \"union\": [\n            {\n                \"table\": \"mem_stage_bills_compare\",\n                \"fields\": [\n                    {\"target\": \"str1\", \"source\": \"code\"},\n                    {\"target\": \"str2\", \"source\": \"name\"},\n                    {\"target\": \"tp1\", \"source\": \"r0_gather_tp\"},\n                    {\"target\": \"tp2\", \"source\": \"r1_gather_tp\"},\n                    {\"target\": \"tp3\", \"source\": \"r2_gather_tp\"}\n                ]\n            }, {\n                \"table\": \"mem_stage_pay\",\n                \"fields\": [\n                    {\"target\": \"str2\", \"source\": \"name\"},\n\t\t\t\t\t{\"target\": \"tp1\", \"source\": \"r0_tp\"},\n\t\t\t\t\t{\"target\": \"tp2\", \"source\": \"r1_tp\"},\n\t\t\t\t\t{\"target\": \"tp3\", \"source\": \"r2_tp\"}\n                ]\n            }\n        ]\n  }"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12163,
            "Name": "新本期应付金额",
            "DataType": "string"
        },
        {
            "ID": 12176,
            "Name": "截止日期的年月",
            "DataType": "string"
        },
        {
            "ID": 12177,
            "Name": "截止日期的年月日",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12178,
            "Name": "承包商",
            "DataType": "string"
        },
        {
            "ID": 12195,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12196,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12197,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}