{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B4表 工程变更设计申报表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B4表 工程变更设计申报表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "30",
                    "Name": "ColumnBand_up",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "CalculationType": "percentage",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand_down",
                    "control": "Default",
                    "style": "Default_None",
                    "CalculationType": "percentage",
                    "MergeBorder": "F",
                    "band_s": [
                        {
                            "Alignment": "Left",
                            "DisplayType": "EveryPage",
                            "Width": "0.55",
                            "Name": "left",
                            "control": "Default",
                            "style": "BORDER_ALL_AROUND",
                            "CalculationType": "abstract",
                            "MergeBorder": "F"
                        },
                        {
                            "Alignment": "Fulfill",
                            "DisplayType": "EveryPage",
                            "Name": "right",
                            "control": "Default",
                            "style": "BORDER_ALL_AROUND",
                            "CalculationType": "percentage",
                            "MergeBorder": "F",
                            "band_s": [
                                {
                                    "Alignment": "Top",
                                    "DisplayType": "EveryPage",
                                    "Height": "1",
                                    "Name": "right_up",
                                    "control": "Default",
                                    "style": "Default_None",
                                    "MergeBorder": "F"
                                },
                                {
                                    "Alignment": "Fulfill",
                                    "DisplayType": "EveryPage",
                                    "Name": "right_down",
                                    "control": "Default",
                                    "style": "Default_None",
                                    "MergeBorder": "F"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "//主数据\nlet bglId=$JE.F(2300,$CURRENT_RPT);\nlet bglName=$JE.F(2304,$CURRENT_RPT);\nlet bglPeg=$JE.F(2305,$CURRENT_RPT);\nlet fLen0=$JE.getFieldDataLen(bglId, $CURRENT_DATA);\nlet newNamePeg=$JE.F(12000,$CURRENT_RPT);\n//从数据\nlet bglCId=$JE.F(2400,$CURRENT_RPT);\nlet bglBCode=$JE.F(2401,$CURRENT_RPT);\nlet bglOrgQty=$JE.F(2405,$CURRENT_RPT);\nlet bglFinalQty=$JE.F(2407,$CURRENT_RPT);\nlet newQty=$JE.F(12120,$CURRENT_RPT);\nlet fLen1=$JE.getFieldDataLen(bglCId, $CURRENT_DATA);\n\nfunction accAdd(arg1,arg2){\n    var r1,r2,m,c;\n    try{r1=arg1.toString().split(\".\")[1].length}catch(e){r1=0}\n    try{r2=arg2.toString().split(\".\")[1].length}catch(e){r2=0}\n    c=Math.abs(r1-r2);\n    m=Math.pow(10,Math.max(r1,r2));\n    if(c>0){\n        var cm=Math.pow(10,c);\n        if(r1>r2){\n            arg1=Number(arg1.toString().replace(\".\",\"\"));\n            arg2=Number(arg2.toString().replace(\".\",\"\"))*cm;\n        }else{\n            arg1=Number(arg1.toString().replace(\".\",\"\"))*cm;\n            arg2=Number(arg2.toString().replace(\".\",\"\"));\n        }\n    } else {\n        arg1=Number(arg1.toString().replace(\".\",\"\"));\n        arg2=Number(arg2.toString().replace(\".\",\"\"));\n    }\n    return (arg1+arg2)/m;\n}\n\nfor (let chkIdx = 0; chkIdx < fLen0; chkIdx++) {\n\tlet tempName=$JE.getFieldValue(bglName, $CURRENT_DATA, chkIdx, '');\n\tlet tempPeg= $JE.getFieldValue(bglPeg, $CURRENT_DATA, chkIdx, '');\n\tif(isNaN(tempPeg) || tempPeg === '' || tempPeg === null){\n\t\t$JE.setFieldValue(newNamePeg, $CURRENT_DATA, chkIdx, tempName);\n\t}else{\n\t\tlet tempNamePeg=tempName+'~'+tempPeg;\n\t\t$JE.setFieldValue(newNamePeg, $CURRENT_DATA, chkIdx, tempNamePeg);\n\t}\n}\n\nfor (let chkIdx = 0; chkIdx < fLen1; chkIdx++) {\n    let tempOrg= $JE.getFieldValue(bglOrgQty, $CURRENT_DATA, chkIdx, '');\n    let tempFQty= $JE.getFieldValue(bglFinalQty, $CURRENT_DATA, chkIdx, ''); \n\tif(isNaN(tempFQty) || tempFQty === '' || tempFQty === null){\n\t\ttempFQty=0;\n\t}\n\telse{\n\t\ttempFQty=parseFloat(tempFQty);\n                $JE.setFieldValue(bglFinalQty, $CURRENT_DATA, chkIdx, tempFQty);\n\t}\n\t\t\n\tlet tempSPH=accAdd(tempOrg,tempFQty);\n\t$JE.setFieldValue(newQty, $CURRENT_DATA, chkIdx, tempSPH);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "B4 工程变更设计申报表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "53.06",
                            "Right": "100.00",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "53.06",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "53.06",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2301,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "变更令号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "53.06",
                            "Right": 100,
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12175,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "9",
                            "Right": "37.47",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12176,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "47.47",
                            "Right": "68.8",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12177,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "79.8",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人： ",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "9",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员： ",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "37.47",
                            "Right": "47.47",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组长：",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "68.8",
                            "Right": "79.8",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand_up",
                "discrete_field_s": [
                    {
                        "FieldID": 2310,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "20",
                            "Right": 100,
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2311,
                        "font": "HeaderColumn",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "20",
                            "Right": 100,
                            "Top": "25",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12000,
                        "font": "HeaderColumn",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "20",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "25",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "工程部位及桩号",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "20",
                            "Top": 0,
                            "Bottom": "25",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更理由及依据",
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "20",
                            "Top": "25",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更设计内容",
                        "font": "HeaderColumn",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "20",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "left",
                "text_s": [
                    {
                        "Label": "设计前后工程数量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "right_up",
            "text_s": [
                {
                    "Label": "子目号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "0",
                        "Right": "10",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "10",
                        "Right": "42",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "42",
                        "Right": "52",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "原设计数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "52",
                        "Right": "67",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更后数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "67",
                        "Right": "82",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更增减数量(+；-)",
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "82",
                        "Right": "100.00",
                        "Top": "0",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "right_down",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 2401,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "10",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2402,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "10",
                        "Right": "42",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2403,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": "52",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2405,
                    "font": "Content",
                    "control": "NewContent_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "52",
                        "Right": "67",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2407,
                    "font": "Content",
                    "control": "NewContent_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "82",
                        "Right": "100",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12120,
                    "font": "Content",
                    "control": "NewContent_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "67",
                        "Right": "82",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.company')",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 2301,
                "Name": "变更令信息_变更令号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'code')",
                "descr": "",
                "Title": "ID: 2301"
            },
            {
                "ID": 2300,
                "Name": "变更令信息_变更令uuid",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'cid')",
                "descr": "",
                "Title": "ID: 2300",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2304,
                "Name": "变更令信息_变更名称",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'name')",
                "descr": "",
                "Title": "ID: 2304"
            },
            {
                "ID": 2305,
                "Name": "变更令信息_桩号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'peg')",
                "descr": "",
                "Title": "ID: 2305"
            },
            {
                "ID": 2310,
                "Name": "变更令信息_工程变更理由及内容",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'content')",
                "descr": "",
                "Title": "ID: 2310"
            },
            {
                "ID": 2311,
                "Name": "变更令信息_工程变更合同依据",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty('change', 'basis')",
                "descr": "",
                "Title": "ID: 2311"
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2401,
                "Name": "变更清单信息_清单编号",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'code')",
                "descr": "",
                "Title": "ID: 2401"
            },
            {
                "ID": 2402,
                "Name": "变更清单信息_清单名称",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'name')",
                "descr": "",
                "Title": "ID: 2402"
            },
            {
                "ID": 2403,
                "Name": "变更清单信息_单位",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'unit')",
                "descr": "",
                "Title": "ID: 2403"
            },
            {
                "ID": 2404,
                "Name": "变更清单信息_单价",
                "DataType": "currency",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'unit_price')",
                "descr": "",
                "Title": "ID: 2404",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2407,
                "Name": "变更清单信息_审批变更后数量",
                "DataType": "double",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'samount')",
                "descr": "",
                "Title": "ID: 2407"
            },
            {
                "ID": 2405,
                "Name": "变更清单信息_原数量",
                "DataType": "double",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'oamount')",
                "descr": "",
                "Title": "ID: 2405"
            },
            {
                "ID": 2400,
                "Name": "变更清单信息_所属变更令uuid",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty('change_audit_list', 'cid')",
                "descr": "",
                "Title": "ID: 2400",
                "isID": true,
                "IDSeq": 1
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "changeSort",
            "hint": "默认的变更令排序，同时对变更令，变更清单进行排序",
            "fields": [],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12000,
            "Name": "新工程部位桩号",
            "DataType": "string"
        },
        {
            "ID": 12120,
            "Name": "新审批加原设计数据",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12175,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12176,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12177,
            "Name": "监理组长",
            "DataType": "string"
        }
    ]
}