{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_B6 工程变更设计数量计算书_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B6 工程变更设计数量计算书",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "0.90",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let bglId=$JE.F(2301,$CURRENT_RPT);\nlet bglCode=$JE.F(2303,$CURRENT_RPT);\nlet bglName=$JE.F(2304,$CURRENT_RPT);\nlet bglPeg=$JE.F(2305,$CURRENT_RPT);\nlet bglMemo=$JE.F(2312,$CURRENT_RPT);\nlet newNamePeg=$JE.F(12117,$CURRENT_RPT);\nlet fLen0=$JE.getFieldDataLen(bglId, $CURRENT_DATA);\n\nfor (let chkIdx = 0; chkIdx < fLen0; chkIdx++) {\n\tlet tempName=$JE.getFieldValue(bglName, $CURRENT_DATA, chkIdx, '');\n\tlet tempPeg= $JE.getFieldValue(bglPeg, $CURRENT_DATA, chkIdx, '');\n\tif(isNaN(tempPeg) || tempPeg === '' || tempPeg === null){\n\t\t$JE.setFieldValue(newNamePeg, $CURRENT_DATA, chkIdx, tempName);\n\t}else{\n\t\tlet tempNamePeg=tempName+'~'+tempPeg;\n\t\t$JE.setFieldValue(newNamePeg, $CURRENT_DATA, chkIdx, tempNamePeg);\n\t}\n}",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "B6 工程变更设计数量计算书",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "57.66",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.66",
                            "Right": "87.19",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "57.66",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2303,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "变更令号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.66",
                            "Right": "87.19",
                            "Top": "60",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ColumnBand",
                "discrete_field_s": [
                    {
                        "ParamID": "5010",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "79.94",
                            "Right": "90",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "90",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "工程名称及桩号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "15.04",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 2319,
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_None",
                        "Prefix": "  ",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "79",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12170,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "11",
                            "Right": "24.51",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12171,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "24.51",
                            "Right": "38.16",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12172,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "38.16",
                            "Right": "57.66",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12173,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.66",
                            "Right": "74.79",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12174,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74.79",
                            "Right": "100",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "人 员",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "11.00",
                            "Top": "79.00",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人工区\\工段",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "11.00",
                            "Right": "38.16",
                            "Top": "79.00",
                            "Bottom": "83.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组长",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "74.79",
                            "Right": "100.00",
                            "Top": "83.64",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "74.79",
                            "Right": "100.00",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理单位",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "57.66",
                            "Right": "100.00",
                            "Top": "79.00",
                            "Bottom": "83.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计 算",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "11",
                            "Right": "24.51",
                            "Top": "83.64",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "11.00",
                            "Right": "24.51",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人|项目部",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "38.16",
                            "Right": "57.66",
                            "Top": "79.00",
                            "Bottom": "83.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "复 核",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "24.51",
                            "Right": "38.16",
                            "Top": "83.64",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "技术负责人",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "38.16",
                            "Right": "57.66",
                            "Top": "83.64",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "57.66",
                            "Right": "74.79",
                            "Top": "83.64",
                            "Bottom": "89.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签 名",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "11.00",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日 期",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "11.00",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "24.51",
                            "Right": "38.16",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "38.16",
                            "Right": "57.66",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "57.66",
                            "Right": "74.79",
                            "Top": "94.08",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "11",
                            "Right": "24.51",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "38.16",
                            "Right": "57.66",
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "89.33",
                            "Bottom": "94.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ColumnBand",
            "bill_field_s": [
                {
                    "FieldID": 12117,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "15.04",
                        "Right": "79.94",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 2300,
                "Name": "变更令信息_变更令uuid",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"cid\")",
                "descr": "",
                "Title": "ID: 2300",
                "isID": true,
                "IDSeq": 1
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2301,
                "Name": "变更令信息_变更令号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"code\")",
                "descr": "",
                "Title": "ID: 2301",
                "isID": true,
                "IDSeq": 1
            },
            {
                "ID": 2304,
                "Name": "变更令信息_变更名称",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"name\")",
                "descr": "",
                "Title": "ID: 2304"
            },
            {
                "ID": 2305,
                "Name": "变更令信息_桩号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"peg\")",
                "descr": "",
                "Title": "ID: 2305"
            },
            {
                "ID": 2303,
                "Name": "变更令信息_批复编号",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"p_code\")",
                "descr": "",
                "Title": "ID: 2303"
            },
            {
                "ID": 2312,
                "Name": "变更令信息_备注",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"memo\")",
                "descr": "",
                "Title": "ID: 2312"
            },
            {
                "ID": 2319,
                "Name": "变更令信息_变更工程量数量计算式",
                "DataType": "string",
                "TableName": "change",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change\", \"expr\")",
                "descr": "",
                "Title": "ID: 2319"
            }
        ]
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "changeSort",
            "hint": "默认的变更令排序，同时对变更令，变更清单进行排序",
            "fields": [],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12117,
            "Name": "新名称",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12170,
            "Name": "承包人计算",
            "DataType": "string"
        },
        {
            "ID": 12171,
            "Name": "承包人复核",
            "DataType": "string"
        },
        {
            "ID": 12172,
            "Name": "技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12173,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12174,
            "Name": "监理组组长",
            "DataType": "string"
        }
    ]
}