{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表1 工程进度表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表1 工程进度表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "4.63",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "3.97",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let XMJCode = $JE.F(2509,$CURRENT_RPT);\nlet XMJName = $JE.F(2511,$CURRENT_RPT);\nlet XMJEndTp = $JE.F(2548,$CURRENT_RPT);//截止本期完成金额\nlet XMJQYqd = $JE.F(2553,$CURRENT_RPT);//签约清单金额\nlet XMJtp = $JE.F(2523,$CURRENT_RPT);//台账金额\nlet XMJgtp = $JE.F(2535,$CURRENT_RPT);//本期完成金额\nconsole.log($CURRENT_DATA);\n//新指标\nlet newQYhej = $JE.F(12154,$CURRENT_RPT);\nlet newQYJBG = $JE.F(12155,$CURRENT_RPT);\nlet newDXzhe = $JE.F(12156,$CURRENT_RPT);\nlet newDXwc = $JE.F(12157,$CURRENT_RPT);\nlet newWCzhe = $JE.F(12158,$CURRENT_RPT);\nlet newLJjd = $JE.F(12159,$CURRENT_RPT);\nlet newSJjd = $JE.F(12160,$CURRENT_RPT);\n\nlet newQyhj = $JE.F(12161,$CURRENT_RPT);\nlet newLJhj = $JE.F(12162,$CURRENT_RPT);\n\nlet newhjwczht = $JE.F(12163,$CURRENT_RPT); //累计完成比例\nlet newyljwc = $JE.F(12164,$CURRENT_RPT);  //月累计完成比例\nlet fLen0 = $JE.getFieldDataLen(XMJName, $CURRENT_DATA);\n\n//给暂定金额的签约清单金额列赋值，赋的是台账金额\nfor(let i=0;i<fLen0;i++){\n    let Bname = $JE.getFieldValue(XMJName, $CURRENT_DATA, i, '');\n    if(Bname=== '暂定金额'){\n\t   let Btp = $JE.getFieldValue(XMJtp, $CURRENT_DATA, i, '');\n\t   $JE.setFieldValue(XMJQYqd, $CURRENT_DATA, i, Btp);\n  }\n}\n//获取累计的签约合同金额、截止本期完成计量金额、本期完成计量金额合计，用于求完成比例\nlet fLen1 = $JE.getFieldDataLen(XMJName, $CURRENT_DATA);\nlet sumQY=0;\nlet sumET=0;\nlet sumCT=0;\nfor(let m=0;m<fLen1;m++){\n\tlet Bqy = $JE.getFieldValue(XMJQYqd, $CURRENT_DATA, m, '');\n\tlet ent = $JE.getFieldValue(XMJEndTp, $CURRENT_DATA, m, '');\n\tlet cnt = $JE.getFieldValue(XMJgtp, $CURRENT_DATA, m, '');\n\tsumQY=$CTX_HELPER.add(sumQY,Bqy);\n\tsumET=$CTX_HELPER.add(sumET,ent);\n\tsumCT=$CTX_HELPER.add(sumCT,cnt);\n}\n$JE.setFieldValue(newQyhj, $CURRENT_DATA, 0, sumQY);\n$JE.setFieldValue(newLJhj, $CURRENT_DATA, 0, sumET);\n$JE.setFieldValue(newhjwczht, $CURRENT_DATA, 0,$CTX_HELPER.round($CTX_HELPER.div(sumET, sumQY)*100,2));\n$JE.setFieldValue(newyljwc, $CURRENT_DATA, 0,$CTX_HELPER.round($CTX_HELPER.div(sumCT, sumQY)*100,2));\n\n/* console.log('签约合计',sumQY);\nconsole.log('累计合计',sumQY);\nconsole.log('合计完成比例',$CTX_HELPER.round(sumET/sumQY*100,2));\nconsole.log('月累计完成比例',$CTX_HELPER.round(sumCT/sumQY*100,2));\n */\n\n//求占比例的值\nfor(let n=0;n<fLen1;n++){\n\tlet Bqy = $JE.getFieldValue(XMJQYqd, $CURRENT_DATA, n, '');\n\tlet ent = $JE.getFieldValue(XMJEndTp, $CURRENT_DATA, n, '');\n\tlet BDXzhe=$CTX_HELPER.round($CTX_HELPER.div(Bqy, sumQY)*100,2);\n\tlet DXwc=$CTX_HELPER.round($CTX_HELPER.div(ent, Bqy)*100,2);\n\tlet WCzhe=$CTX_HELPER.round($CTX_HELPER.div(ent,sumQY)*100,2);\n\t$JE.setFieldValue(newDXzhe, $CURRENT_DATA, n, BDXzhe);\n\t$JE.setFieldValue(newDXwc, $CURRENT_DATA, n, DXwc);\n\t$JE.setFieldValue(newWCzhe, $CURRENT_DATA, n, WCzhe);\n\tconsole.log('签约金额:%s,累计完成:%s,签约合计:%s',Bqy,ent,sumQY);\n    console.log('单项占合同:%s,单项完成:%s,完成占合同价:%s',BDXzhe,DXwc,WCzhe);\n}\n\n//判断未计入章节是否有值，无值则移除该行\nfor(let i=0;i<fLen0;i++){\n\tlet Bname = $JE.getFieldValue(XMJName, $CURRENT_DATA, i, '');\n\tlet Bendtp = $JE.getFieldValue(XMJEndTp, $CURRENT_DATA, i, '');\n    if(Bname=== '未计入章节清单项'){\n\t\tif(Bendtp===0){\n\t\t   $JE.removeFieldValue(XMJCode, $CURRENT_DATA, i);\n\t\t   $JE.removeFieldValue(XMJName, $CURRENT_DATA, i);\n\t\t   $JE.removeFieldValue(XMJEndTp, $CURRENT_DATA, i);\n\t\t   $JE.removeFieldValue(XMJQYqd, $CURRENT_DATA, i);\n\t\t}\t\n\t}\n}\n\n\n\n\n",
            "format": ""
        },
        {
            "Name": "新日期格式转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "边框空白流水",
            "run_type": "before_paging",
            "expression": "let XMJName = $JE.F(2511,$CURRENT_RPT);\n\nlet wuyue = $JE.F(12179,$CURRENT_RPT);\nlet liuyue = $JE.F(12180,$CURRENT_RPT);\nlet qiyue = $JE.F(12181,$CURRENT_RPT);\nlet bayue = $JE.F(12182,$CURRENT_RPT);\nlet jiuyue = $JE.F(12183,$CURRENT_RPT);\nlet shiyue = $JE.F(12184,$CURRENT_RPT);\nlet shiyiyue = $JE.F(12185,$CURRENT_RPT);\nlet bili = $JE.F(12186,$CURRENT_RPT);\n\nlet fLen1 = $JE.getFieldDataLen(XMJName, $CURRENT_DATA);\n\nfor(let m=0;m<fLen1;m++){\n    if(m===0){\n\t   $JE.setFieldValue(wuyue,$CURRENT_DATA, m,'5月');\n\t   $JE.setFieldValue(liuyue,$CURRENT_DATA, m,'6月');\n\t   $JE.setFieldValue(qiyue,$CURRENT_DATA, m,'7月');\n\t   $JE.setFieldValue(bayue,$CURRENT_DATA, m,'8月');\n\t   $JE.setFieldValue(jiuyue,$CURRENT_DATA, m,'9月');\n\t   $JE.setFieldValue(shiyue,$CURRENT_DATA, m,'10月');\n\t   $JE.setFieldValue(shiyiyue,$CURRENT_DATA, m,'11月');\n\t}\n\telse if(m===1){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'100%');\n\t}\n\telse if(m===2){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'80%');\n\t}\n\telse if(m===3){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'60%');\n\t}\n\telse if(m===4){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'40%');\n\t}\n\telse if(m===5){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'20%');\n\t}\n\telse if(m===6){\n\t   $JE.setFieldValue(bili,$CURRENT_DATA, m,'0%');\n\t}\n\n}",
            "format": ""
        },
        {
            "Name": "栏头部分数据处理",
            "run_type": "before_paging",
            "expression": "let htzj = $JE.F(1120,$CURRENT_RPT);//签约合同价\nlet zdj = $JE.F(1121,$CURRENT_RPT);//暂定金\n\nlet Qidian = $JE.F(1130,$CURRENT_RPT);//起点桩号\nlet Zdian = $JE.F(1131,$CURRENT_RPT);//终点桩号\nlet Changdu = $JE.F(1152,$CURRENT_RPT);//长度\n\nlet BGje = $JE.F(2912,$CURRENT_RPT);\n\nlet HB = $JE.F(12187,$CURRENT_RPT);\nlet XJ = $JE.F(12188,$CURRENT_RPT);\nlet newBGje = $JE.F(12189,$CURRENT_RPT);\nlet newZZGJ = $JE.F(12190,$CURRENT_RPT);\n\nlet BQidian = $JE.getFieldValue(Qidian, $CURRENT_DATA, 0, ''); \nlet BZdian = $JE.getFieldValue(Zdian, $CURRENT_DATA, 0, ''); \nlet BChangdu = $JE.getFieldValue(Changdu, $CURRENT_DATA, 0, '');\n$JE.setFieldValue(HB,$CURRENT_DATA, 0,'由 '+BQidian+' 至 '+BZdian+' 全长 '+BChangdu+' 公里');\n\nlet Bhtzj = $JE.getFieldValue(htzj, $CURRENT_DATA, 0, '');\nlet Bzdj = $JE.getFieldValue(zdj, $CURRENT_DATA, 0, '');\n$JE.setFieldValue(XJ,$CURRENT_DATA, 0,$CTX_HELPER.sub(Bhtzj,Bzdj));\n\nlet fLen0 = $JE.getFieldDataLen(BGje, $CURRENT_DATA);\nlet sum=0;\nfor(let i=0;i<fLen0;i++){\n\tlet BBGje = $JE.getFieldValue(BGje, $CURRENT_DATA, i, '');\n\tsum=$CTX_HELPER.add(sum,BBGje);\n}\n$JE.setFieldValue(newBGje,$CURRENT_DATA, 0,sum);\nlet me=$CTX_HELPER.add(Bhtzj,sum)\n$JE.setFieldValue(newZZGJ,$CURRENT_DATA, 0,me);\nconsole.log('我是',sum);\t",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "ColumnBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12187,
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50.05",
                            "Top": "46.29",
                            "Bottom": "61.71",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "业主：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50.05",
                            "Top": 0,
                            "Bottom": "15.43",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1146,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.04",
                            "Right": "74.98",
                            "Top": 0,
                            "Bottom": "15.43",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1150,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.04",
                            "Right": "74.98",
                            "Top": "15.43",
                            "Bottom": "30.86",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1120,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.68",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "15.43",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1121,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.68",
                            "Right": "100.00",
                            "Top": "15.43",
                            "Bottom": "30.86",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12188,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.68",
                            "Right": "100.00",
                            "Top": "30.86",
                            "Bottom": "46.29",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12189,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.68",
                            "Right": "100.00",
                            "Top": "46.29",
                            "Bottom": "61.71",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12190,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.68",
                            "Right": "100.00",
                            "Top": "61.71",
                            "Bottom": "77.14",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1153,
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.04",
                            "Right": "74.98",
                            "Top": "30.86",
                            "Bottom": "46.29",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表1 工程进度表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "36.68",
                            "Right": "74",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "36.68",
                            "Right": "74",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74",
                            "Right": "100",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "36.68",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截至日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "36.68",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_1",
                "discrete_field_s": [
                    {
                        "FieldID": 12163,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Suffix": "%",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "29.99",
                            "Right": "50.05",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12164,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Suffix": "%",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "29.99",
                            "Right": "50.05",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12161,
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "16.71",
                            "Right": "23.30",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12162,
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "23.30",
                            "Right": "29.99",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12163,
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "43.36",
                            "Right": "50.05",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "7月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "63.04",
                            "Right": "69.25",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "63.04",
                            "Right": "69.25",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "63.04",
                            "Right": "69.25",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "63.04",
                            "Right": "69.25",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "8月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "69.25",
                            "Right": "75.36",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "69.25",
                            "Right": "75.36",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "69.25",
                            "Right": "75.36",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "69.25",
                            "Right": "75.36",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理工程师收到日期",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "16.71",
                            "Top": "20.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "实际进度",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "16.71",
                            "Right": "23.30",
                            "Top": "20.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计划进度",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "16.71",
                            "Right": "23.30",
                            "Top": "60.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "63.04",
                            "Right": "69.25",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "69.25",
                            "Right": "75.36",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "%",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "29.99",
                            "Right": "50.05",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "%",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "29.99",
                            "Right": "50.05",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "合计",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "5",
                            "Right": "16.71",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "100",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "29.99",
                            "Right": "36.68",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "36.68",
                            "Right": "43.36",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "5月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "56.92",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "6月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56.92",
                            "Right": "63.04",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "9月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75.36",
                            "Right": "81.57",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "10月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "81.57",
                            "Right": "87.68",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "11月",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.68",
                            "Right": "93.89",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "93.89",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "累计",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "23.30",
                            "Right": "29.99",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "56.92",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56.92",
                            "Right": "63.04",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75.36",
                            "Right": "81.57",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "81.57",
                            "Right": "87.68",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.68",
                            "Right": "93.89",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "93.89",
                            "Right": "100.00",
                            "Top": "20.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "月计",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "23.30",
                            "Right": "29.99",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "56.92",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56.92",
                            "Right": "63.04",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75.36",
                            "Right": "81.57",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "81.57",
                            "Right": "87.68",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.68",
                            "Right": "93.89",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "93.89",
                            "Right": "100.00",
                            "Top": "40.00",
                            "Bottom": "60.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "累计",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "23.30",
                            "Right": "29.99",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "56.92",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56.92",
                            "Right": "63.04",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75.36",
                            "Right": "81.57",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "81.57",
                            "Right": "87.68",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.68",
                            "Right": "93.89",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "93.89",
                            "Right": "100.00",
                            "Top": "60.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "月计",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "23.30",
                            "Right": "29.99",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "56.92",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56.92",
                            "Right": "63.04",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75.36",
                            "Right": "81.57",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "81.57",
                            "Right": "87.68",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.68",
                            "Right": "93.89",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "93.89",
                            "Right": "100.00",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12191,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "5",
                            "Right": "22.5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12192,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12193,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "54",
                            "Right": "71",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12194,
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.5",
                            "Right": "28",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46",
                            "Right": "54",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "71",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "按月计划与实际完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "100.00",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "50.05",
                        "Top": "61.71",
                        "Bottom": "77.14",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "50.05",
                        "Top": "15.43",
                        "Bottom": "46.29",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同完成日期：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "63.04",
                        "Top": "30.86",
                        "Bottom": "46.29",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同期限：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "63.04",
                        "Top": "15.43",
                        "Bottom": "30.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "开工令日期：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "63.04",
                        "Top": 0,
                        "Bottom": "15.43",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "时间延长：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "63.04",
                        "Top": "46.29",
                        "Bottom": "61.71",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "修改合同完成日期：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "63.04",
                        "Top": "61.71",
                        "Bottom": "77.14",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "63.04",
                        "Right": "74.98",
                        "Top": "61.71",
                        "Bottom": "77.14",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同总价：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "74.98",
                        "Right": "87.68",
                        "Top": 0,
                        "Bottom": "15.43",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "暂定金额：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "74.98",
                        "Right": "87.68",
                        "Top": "15.43",
                        "Bottom": "30.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量清单金额：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "74.98",
                        "Right": "87.68",
                        "Top": "30.86",
                        "Bottom": "46.29",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程变更：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Default_None",
                    "Title": "",
                    "area": {
                        "Left": "74.98",
                        "Right": "87.68",
                        "Top": "46.29",
                        "Bottom": "61.71",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "估计最终金额：",
                    "font": "Content",
                    "control": "Header_Right",
                    "style": "Label_Underline",
                    "Title": "",
                    "area": {
                        "Left": "74.98",
                        "Right": "87.68",
                        "Top": "61.71",
                        "Bottom": "77.14",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "清单编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "5",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "5",
                        "Right": "16.71",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "16.71",
                        "Right": "23.30",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "完成金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "23.30",
                        "Right": "29.99",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单项占合同价%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "29.99",
                        "Right": "36.68",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单项完成%",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "36.68",
                        "Right": "43.36",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "完成占合同价%",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "43.36",
                        "Right": "50.05",
                        "Top": "77.14",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.74",
            "flow_field_s": [
                {
                    "FieldID": 12181,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "63.04",
                        "Right": "69.25",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12182,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "69.25",
                        "Right": "75.36",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2509,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Suffix": "章",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "5",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2511,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "5",
                        "Right": "16.71",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2548,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "23.30",
                        "Right": "29.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12156,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "29.99",
                        "Right": "36.68",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12157,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "36.68",
                        "Right": "43.36",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12158,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "43.36",
                        "Right": "50.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12179,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "50.05",
                        "Right": "56.92",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12180,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "56.92",
                        "Right": "63.04",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12183,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "75.36",
                        "Right": "81.57",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12184,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "81.57",
                        "Right": "87.68",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12185,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "87.68",
                        "Right": "93.89",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12186,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "93.89",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2553,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "16.71",
                        "Right": "23.3",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1002,
                "Name": "项目_名称",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"project\", \"name\")",
                "descr": "",
                "Title": "ID: 1002"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1146,
                "Name": "标段_技术参数_开工令日期",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startDate\")",
                "descr": "",
                "Title": "ID: 1146"
            },
            {
                "ID": 1120,
                "Name": "标段_合同总价",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.contractPrice\")",
                "descr": "",
                "Title": "ID: 1120"
            },
            {
                "ID": 1121,
                "Name": "标段_暂定金额",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.zanLiePrice\")",
                "descr": "",
                "Title": "ID: 1121"
            },
            {
                "ID": 1150,
                "Name": "标段_技术参数_合同期限",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.dealPeriod\")",
                "descr": "",
                "Title": "ID: 1150"
            },
            {
                "ID": 1153,
                "Name": "标段_技术参数_计划完工日期",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.planEndDate\")",
                "descr": "",
                "Title": "ID: 1153"
            },
            {
                "ID": 1130,
                "Name": "标段_技术参数_起点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startPeg\")",
                "descr": "",
                "Title": "ID: 1130"
            },
            {
                "ID": 1131,
                "Name": "标段_技术参数_终点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.endPeg\")",
                "descr": "",
                "Title": "ID: 1131"
            },
            {
                "ID": 1152,
                "Name": "标段_技术参数_长度(KM)",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.loadLength\")",
                "descr": "",
                "Title": "ID: 1152"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2509,
                "Name": "项目节编号(code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'code')",
                "descr": "",
                "Title": "ID: 2509"
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 1605,
                "Name": "签约清单信息_合价(total_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"total_price\")",
                "descr": "",
                "Title": "ID: 1605",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2523,
                "Name": "台账-金额(total_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'total_price')",
                "descr": "",
                "Title": "ID: 2523",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherChapter",
            "hint": "请使用mem_stage_bills/mem_stage_bills_compare/ledger，仅对一张表进行汇总，并生成数据：\n1. 因为是汇总章级数据，必须在离散数据中添加\"章节代码\"&\"章节名称\"\n2. 需勾选\"清单编号(b_code)\", \"树结构-是否子项(is_leaf)\"字段，可以对任何含有这些字段的表汇总\n注意事项：\n1. 算法对数据表没有要求，保证有上述字段，且按顺序勾选即可, 仅汇总金额\n2. 算法计算后，原数据表中非数字类型的字段全部失效(除清单编号、名称外)，请勿在指标映射中添加\n示例：\ne.g.1 要对mem_stage_bills汇总，须勾选mem_stage_bills下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\ne.g.2 要对mem_stage_bills_compare汇总，须勾选mem_stage_bills_compare下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\n结果：\n汇总结果可参照 清单汇总--章节合计，但是不过滤1000-1300章数据",
            "fields": [
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                },
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                }
            ],
            "自定义设置": "{\n        \"count\": 7,\n        \"activeFields\": [\"gather_tp\", \"pre_gather_tp\", \"end_gather_tp\"],\n\t\"unChapter\" : {\"name\" : \"未计入章节清单项\", \"order\": 1},\n        \"custom\": [\n            {\n                 \"name\": \"暂定金额\",\n                 \"order\": 3,\n                 \"match\": [\n                       {\"node_type\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂定金额\"}\n                  ]\n           }\n        ],\n        \"rela\": [\n            {\n                \"table\": \"deal_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"total_price\", \"target\": \"ex_value1\"}\n            }\n          \n        ]\n}"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12154,
            "Name": "新签约合同价(不含暂定金)",
            "DataType": "string"
        },
        {
            "ID": 12155,
            "Name": "新签约合同价+批复变更",
            "DataType": "string"
        },
        {
            "ID": 12156,
            "Name": "新单项占合同价",
            "DataType": "string"
        },
        {
            "ID": 12157,
            "Name": "新单项完成",
            "DataType": "string"
        },
        {
            "ID": 12158,
            "Name": "新完成占合同价",
            "DataType": "string"
        },
        {
            "ID": 12159,
            "Name": "新累计实际进度",
            "DataType": "string"
        },
        {
            "ID": 12160,
            "Name": "新月计实际进度",
            "DataType": "string"
        },
        {
            "ID": 12161,
            "Name": "新签约金额合计",
            "DataType": "string"
        },
        {
            "ID": 12162,
            "Name": "新截止本期金额合计",
            "DataType": "string"
        },
        {
            "ID": 12163,
            "Name": "新合计-完成占合同",
            "DataType": "string"
        },
        {
            "ID": 12164,
            "Name": "新月累计完成比例",
            "DataType": "string"
        },
        {
            "ID": 12179,
            "Name": "5月",
            "DataType": "string"
        },
        {
            "ID": 12180,
            "Name": "6月",
            "DataType": "string"
        },
        {
            "ID": 12181,
            "Name": "7月",
            "DataType": "string"
        },
        {
            "ID": 12182,
            "Name": "8月",
            "DataType": "string"
        },
        {
            "ID": 12183,
            "Name": "9月",
            "DataType": "string"
        },
        {
            "ID": 12184,
            "Name": "10月",
            "DataType": "string"
        },
        {
            "ID": 12185,
            "Name": "11月",
            "DataType": "string"
        },
        {
            "ID": 12186,
            "Name": "比例",
            "DataType": "string"
        },
        {
            "ID": 12187,
            "Name": "桩号连接",
            "DataType": "string"
        },
        {
            "ID": 12188,
            "Name": "合同价-暂定金",
            "DataType": "string"
        },
        {
            "ID": 12189,
            "Name": "批复金额合计",
            "DataType": "string"
        },
        {
            "ID": 12190,
            "Name": "最终估计金额",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12191,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12192,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12193,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12194,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}