{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表5 工程变更一览表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表5 工程变更一览表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.85",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_Normal",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "\nlet bCode=$JE.F(2510,$CURRENT_RPT);\nlet bName=$JE.F(2511,$CURRENT_RPT);\nlet bUnit=$JE.F(2512,$CURRENT_RPT);\nlet bPrice=$JE.F(2513,$CURRENT_RPT);\nlet bDealQty=$JE.F(2553,$CURRENT_RPT);\nlet bJZBQty=$JE.F(2545,$CURRENT_RPT);\nlet bJZBTP=$JE.F(2546,$CURRENT_RPT);\nlet bJZSQty=$JE.F(2539,$CURRENT_RPT);\nlet bJZSTP=$JE.F(2540,$CURRENT_RPT);\nlet bBqQty=$JE.F(2532,$CURRENT_RPT);\nlet bBqTP=$JE.F(2533,$CURRENT_RPT);\nlet bBglCode=$JE.F(2551,$CURRENT_RPT);\nlet bChapterCode=$JE.F(2552,$CURRENT_RPT);\nlet bCodeArr=$JE.getFieldValueArray(bCode,$CURRENT_DATA);\n//let fLen0=$JE.getFieldDataLen(bCode, $CURRENT_DATA);\nlet orgFieldArr=[bCode,bName,bUnit,bPrice,bDealQty,bJZBQty,bJZBTP,bJZSQty,bJZSTP,bBqQty,bBqTP,bBglCode,bChapterCode];\n\nlet newBCode=$JE.F(12070,$CURRENT_RPT);\nlet newBName=$JE.F(12071,$CURRENT_RPT);\nlet newBUnit=$JE.F(12072,$CURRENT_RPT);\nlet newBPrice=$JE.F(12074,$CURRENT_RPT);\nlet newBDealQty=$JE.F(12073,$CURRENT_RPT);\nlet newBJZBQty=$JE.F(12075,$CURRENT_RPT);\nlet newBJZBTP=$JE.F(12076,$CURRENT_RPT);\nlet newBJZSQty=$JE.F(12077,$CURRENT_RPT);\nlet newBJZSTP=$JE.F(12078,$CURRENT_RPT);\nlet newBBqQty=$JE.F(12079,$CURRENT_RPT);\nlet newBBqTP=$JE.F(12080,$CURRENT_RPT);\nlet newBglCode=$JE.F(12081,$CURRENT_RPT);\nlet newBChapterCode=$JE.F(12082,$CURRENT_RPT);\nlet newFieldArr=[newBCode,newBName,newBUnit,newBPrice,newBDealQty,newBJZBQty,newBJZBTP,newBJZSQty,newBJZSTP,newBBqQty,newBBqTP,newBglCode,newBChapterCode];\n\n//处理原始列表中章节编号为空的\n\tlet count=0;\nfor(let i=0;i< bCodeArr.length;i++){\n\t//非标准清单章节号都为空，要特殊处理\n\tlet chapterCode=$CTX_HELPER.getChapterCode(bCodeArr[i], '-');\n\t//console.log('清单编号：%s,章节号：%s',chapterCode,chapterCode);\n\tlet orgChapterCode = $JE.getFieldValue(bChapterCode, $CURRENT_DATA, i, '');\n\t//console.log('天天',orgChapterCode,orgChapterCode);\n\t//拼接签约清单后，签约清单的章节为空，所以需要赋值\n\tif(orgChapterCode===null || orgChapterCode==='' || orgChapterCode==10000){\n\t\tif(chapterCode===null || chapterCode==='' || chapterCode==10000){\n\t\t\t//console.log('我是未计入章节',orgChapterCode);\n\t\t\t$JE.setFieldValue(bChapterCode, $CURRENT_DATA, i, '其他');\n\t\t}else{\n\t\t\t//console.log('我是签约清单');\n\t\t\t$JE.setFieldValue(bChapterCode, $CURRENT_DATA, i, chapterCode);\n\t\t}\t\t\n\t}\n\tlet orgBJZBQty=$JE.getFieldValue(bJZBQty, $CURRENT_DATA, i, 0);\n\tlet orgBJZSQty=$JE.getFieldValue(bJZSQty, $CURRENT_DATA, i, 0);\n\tlet orgBBqQty=$JE.getFieldValue(bBqQty, $CURRENT_DATA, i, 0);\n\n\tif(orgBJZBQty!==0 || orgBJZSQty!==0 || orgBBqQty!==0){\n\t\t\n\t\tfor(let j=0;j<newFieldArr.length;j++){\n\t\t\tlet tempData=$JE.getFieldValue(orgFieldArr[j], $CURRENT_DATA, i, '');\t\n\t\t\t$JE.setFieldValue(newFieldArr[j], $CURRENT_DATA, count, tempData);\n\t\t}\n\tcount ++;\t\t\n\t}\n}\n\n\n\n\nlet yleng=$JE.getFieldDataLen(newBCode, $CURRENT_DATA);\nfor(let k=0;k<yleng;k++){\n\t//console.log(k);\n\tlet bb=$JE.getFieldValue(newBCode, $CURRENT_DATA, k, '');\n\tlet cc=$JE.getFieldValue(newBName, $CURRENT_DATA, k, '');\n\t//console.log('%s：%s',bb,cc);\n}\n\n//9. 如果新指标和原始不一样，就要进行数据筛选，原始多，则移除原始多余的，独立多，则原始的增加缺少的 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet chkField = bCode;\nlet dtlLen = $JE.getFieldDataLen(chkField, $CURRENT_DATA), \n    fValIdx = $JE.getFieldDataLen(newBCode, $CURRENT_DATA), \n\tdiff = dtlLen - fValIdx;\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(chkField, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(chkField, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}\n\n\n",
            "format": ""
        },
        {
            "Name": "新计算式",
            "run_type": "before_group_text_output",
            "expression": "let newBChapterCode=$JE.F(12082,$CURRENT_RPT); //新分组判断指标, 用来做前缀\n\nif ($TEXT.Label && $TEXT.Label.indexOf('小计') >= 0) {\n\tif (!$TEXT.hasOwnProperty('accCount')) {\n\t\t$TEXT.accCount = 0; //考虑到跨页的情况，需要额外的下标计数器来处理, $TIMES是不足够的\n\t}\n\t\n\tlet sumIdx = $TEXT.Label.indexOf('小计');\n\tlet preVal = $JE.getFieldValue(newBChapterCode, $CURRENT_DATA, 0, '');\n\tlet fLen0 = $JE.getFieldDataLen(newBChapterCode, $CURRENT_DATA);\n\tif ($TEXT.accCount > 0 && fLen0 > 1) {\n\t\tlet cnt = 0;\n\t\tfor (let gIdx = 1; gIdx < fLen0; gIdx++) {\n\t\t\tif (preVal !== $JE.getFieldValue(newBChapterCode, $CURRENT_DATA, gIdx, '')) {\n\t\t\t\tcnt++;\n\t\t\t\tpreVal = $JE.getFieldValue(newBChapterCode, $CURRENT_DATA, gIdx, '');\n\t\t\t}\n\t\t\tif (cnt === $TEXT.accCount) {\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t}\n\tif (preVal !== '') {\n\t\t$TEXT.Label = preVal+ '章' + $TEXT.Label.slice(sumIdx);\n\t}\n\t$TEXT.accCount++;\n\tconsole.log('我是accCount：',$TEXT.accCount)\t\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表5 工程变更一览表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "32.95",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截至日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "32.95",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "32.95",
                            "Right": "65.52",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "32.95",
                            "Right": "65.52",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65.52",
                            "Right": "85.77",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65.52",
                            "Right": "85.77",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Header",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "85.77",
                            "Right": "92.45",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "92.45",
                            "Right": "100.00",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12083,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "5",
                            "Right": "22.5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12084,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12085,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "54",
                            "Right": "71",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12086,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.5",
                            "Right": "28",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46",
                            "Right": "54",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "71",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "清单号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "5.64",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更内容",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "5.64",
                        "Right": "21.59",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "21.59",
                        "Right": "27.22",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "27.22",
                        "Right": "32.95",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "32.95",
                        "Right": "38.68",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量增减（+，—）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "38.68",
                        "Right": "52.15",
                        "Top": 0,
                        "Bottom": "62.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成（+，—）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "52.15",
                        "Right": "65.52",
                        "Top": "32.86",
                        "Bottom": "62.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.99",
                        "Right": "92.45",
                        "Top": "32.86",
                        "Bottom": "62.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程量增减金额（+，—）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "52.15",
                        "Right": "92.45",
                        "Top": 0,
                        "Bottom": "32.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "批复文号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "92.45",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到上期末完成（+，—）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "65.52",
                        "Right": "78.99",
                        "Top": "32.86",
                        "Bottom": "62.86",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期末完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "38.68",
                        "Right": "45.37",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "其中本期",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "45.37",
                        "Right": "52.15",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "52.15",
                        "Right": "58.83",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "58.83",
                        "Right": "65.52",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "65.52",
                        "Right": "72.30",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "72.30",
                        "Right": "78.99",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.99",
                        "Right": "85.77",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "85.77",
                        "Right": "92.45",
                        "Top": "62.86",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.61",
            "flow_field_s": [
                {
                    "FieldID": 12070,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "5.64",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12071,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "5.64",
                        "Right": "21.59",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12072,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "21.59",
                        "Right": "27.22",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12073,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "27.22",
                        "Right": "32.95",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12074,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "32.95",
                        "Right": "38.68",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12075,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "38.68",
                        "Right": "45.37",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12079,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "45.37",
                        "Right": "52.15",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12075,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "52.15",
                        "Right": "58.83",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12076,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "58.83",
                        "Right": "65.52",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12077,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "65.52",
                        "Right": "72.30",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12078,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "72.3",
                        "Right": "78.99",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12079,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "78.99",
                        "Right": "85.77",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12080,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "85.77",
                        "Right": "92.45",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12081,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "92.45",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [
                {
                    "FieldID": 12082
                }
            ],
            "sum_field_s": [
                {
                    "FieldID": 12076,
                    "SumKey": "新截止本期变更金额"
                },
                {
                    "FieldID": 12078,
                    "SumKey": "新截止上期变更金额"
                },
                {
                    "FieldID": 12080,
                    "SumKey": "新本期变更金额"
                }
            ],
            "group_lines": [
                {
                    "SumKey_S": [
                        {
                            "FieldID": 12076,
                            "font": "Content",
                            "control": "Currency",
                            "style": "Default_Normal",
                            "isAutoHeight": false,
                            "area": {
                                "Left": "58.83",
                                "Right": "65.52",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            },
                            "SumKey": "新截止本期变更金额"
                        },
                        {
                            "FieldID": 12078,
                            "font": "Content",
                            "control": "Currency",
                            "style": "Default_Normal",
                            "isAutoHeight": false,
                            "area": {
                                "Left": "72.3",
                                "Right": "78.99",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            },
                            "SumKey": "新截止上期变更金额"
                        },
                        {
                            "FieldID": 12080,
                            "font": "Content",
                            "control": "Currency",
                            "style": "Default_Normal",
                            "isAutoHeight": false,
                            "area": {
                                "Left": "85.77",
                                "Right": "92.45",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            },
                            "SumKey": "新本期变更金额"
                        }
                    ],
                    "text_s": [
                        {
                            "Label": "小计",
                            "font": "Content",
                            "control": "NewContent_Center",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "5.64",
                                "Right": "21.59",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "0",
                                "Right": "5.64",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "21.59",
                                "Right": "27.22",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "27.22",
                                "Right": "32.95",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "32.95",
                                "Right": "38.68",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "38.68",
                                "Right": "45.37",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "45.37",
                                "Right": "52.15",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "65.52",
                                "Right": "72.3",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "78.99",
                                "Right": "85.77",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "85.77",
                                "Right": "92.45",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "92.45",
                                "Right": 100,
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        }
                    ]
                }
            ]
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty('stage', 'period', ' ~ ', 1, '')",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2512,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2512"
            },
            {
                "ID": 2513,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2513"
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 2552,
                "Name": "章节编号(chapter)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'chapter')",
                "descr": "",
                "Title": "ID: 2552"
            },
            {
                "ID": 2551,
                "Name": "本期-数量变更-变更令(qc_bgl_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'qc_bgl_code')",
                "descr": "",
                "Title": "ID: 2551"
            },
            {
                "ID": 2532,
                "Name": "本期-数量变更-数量(qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'qc_qty')",
                "descr": "",
                "Title": "ID: 2532"
            },
            {
                "ID": 2533,
                "Name": "本期-数量变更-金额(qc_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'qc_tp')",
                "descr": "",
                "Title": "ID: 2533"
            },
            {
                "ID": 2539,
                "Name": "截止上期-数量变更-数量(pre_qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_qc_qty')",
                "descr": "",
                "Title": "ID: 2539"
            },
            {
                "ID": 2540,
                "Name": "截止上期-数量变更-金额(pre_qc_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_qc_tp')",
                "descr": "",
                "Title": "ID: 2540"
            },
            {
                "ID": 2545,
                "Name": "截止本期-数量变更-数量(end_qc_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_qc_qty')",
                "descr": "",
                "Title": "ID: 2545"
            },
            {
                "ID": 2546,
                "Name": "截止本期-数量变更-金额(end_qc_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_qc_tp')",
                "descr": "",
                "Title": "ID: 2546"
            },
            {
                "ID": 1600,
                "Name": "签约清单信息_清单编号(code)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"code\")",
                "descr": "",
                "Title": "ID: 1600"
            },
            {
                "ID": 1601,
                "Name": "签约清单信息_名称(name)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"name\")",
                "descr": "",
                "Title": "ID: 1601"
            },
            {
                "ID": 1602,
                "Name": "签约清单信息_单位(unit)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit\")",
                "descr": "",
                "Title": "ID: 1602"
            },
            {
                "ID": 1603,
                "Name": "签约清单信息_数量(quanitty)",
                "DataType": "number",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"quantity\")",
                "descr": "",
                "Title": "ID: 1603",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 1602,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 1604,
                "Name": "签约清单信息_单价(unit_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit_price\")",
                "descr": "",
                "Title": "ID: 1604",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")"
                }
            },
            {
                "ID": 1605,
                "Name": "签约清单信息_合价(total_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"total_price\")",
                "descr": "",
                "Title": "ID: 1605",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            },
            {
                "ID": 2554,
                "Name": "预留扩展字段_2(ex_value2)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value2')",
                "descr": "",
                "Title": "ID: 2554"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherGcl",
            "hint": "请使用mem_stage_bills下指标，注意事项:\n1. 以下字段，不管报表是否实际使用，均应添加至指标映射，且在此处应勾选（不要求顺序）:\n  清单编号(b_code), 名称(name), 单位(unit), 单价(unit_price), 树结构-是否子项(is_leaf)\n2. 汇总后，以下字段，均会失效, 请勿使用:\n  台账ID(id), 树结构-ID(ledger_id), 树结构父项-ID(ledger_pid),\n  树结构-层级(level), 树结构-同层排序(order), 树结构-完整路径(full_path),\n  图册号(drawing_code), 备注(memo), 节点类型(node_type), 总额计量(is_tp)\n3. 如需汇总\"未计入清单章节项\"，请勾选\"章节编号(chapter)\"字段\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                },
                {
                    "Name": "名称(name)",
                    "FieldID": 2511
                },
                {
                    "Name": "单位(unit)",
                    "FieldID": 2512
                },
                {
                    "Name": "单价(unit_price)",
                    "FieldID": 2513
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                }
            ],
            "自定义设置": ""
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "join",
            "hint": "用于处理类似于关联签约清单的情况，会改变主表的数据",
            "fields": [],
            "自定义设置": "{\n\t\"main\": \"mem_stage_bills\",\n\t\"sub\": \"deal_bills\",\n\t\"keyFields\": [\n\t\t{\n\t\t\t\"main\": \"b_code\",\n\t\t\t\"sub\": \"code\",\n\t\t\t\"type\": \"string\"\n\t\t},\n\t\t{\n\t\t\t\"main\": \"name\",\n\t\t\t\"sub\": \"name\",\n\t\t\t\"type\": \"string\"\n\t\t},\n\t\t{\n\t\t\t\"main\": \"unit\",\n\t\t\t\"sub\": \"unit\",\n\t\t\t\"type\": \"string\"\n\t\t},\n\t\t{\n\t\t\t\"main\": \"unit_price\",\n\t\t\t\"sub\": \"unit_price\",\n\t\t\t\"type\": \"number\"\n\t\t}\n\t],\n\t\"importFields\": [\n\t\t{\n\t\t\t\"main\": \"ex_value1\",\n\t\t\t\"sub\": \"quantity\"\n\t\t},\n\t\t{\n\t\t\t\"main\": \"ex_value2\",\n\t\t\t\"sub\": \"total_price\"\n\t\t}\n\t],\n\t\"joinType\": \"outer\"\n}"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "sortGcl",
            "hint": "只对一张表，进行工程量清单排序，排序哪张表，根据勾选的清单编号字段决定:\ne.g.1 要对mem_stage_bills排序，需要勾选mem_stage_bills下的\"清单编号(b_code)\"字段\ne.g.2 要对mem_stage_im_zl排序，需要勾选mem_stage_im_zl下的\"中间计量总量信息_编号(code)\"字段\n特别的，如有\"未计入清单章节项\": \n  1. 默认\"未计入清单章节项\"排列在最后\n  2. 如须\"未计入清单章节项\"排在100章之后，请在清单编号字段后，依次勾选\"章节编号(chapter)\", \"名称(name)\"\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                }
            ],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12070,
            "Name": "新编号",
            "DataType": "string"
        },
        {
            "ID": 12071,
            "Name": "新名称",
            "DataType": "string"
        },
        {
            "ID": 12072,
            "Name": "新单位",
            "DataType": "string"
        },
        {
            "ID": 12073,
            "Name": "新签约清单数量",
            "DataType": "string"
        },
        {
            "ID": 12074,
            "Name": "新单价",
            "DataType": "string"
        },
        {
            "ID": 12075,
            "Name": "新截止本期变更数量",
            "DataType": "string"
        },
        {
            "ID": 12076,
            "Name": "新截止本期变更金额",
            "DataType": "string"
        },
        {
            "ID": 12077,
            "Name": "新截止上期变更数量",
            "DataType": "string"
        },
        {
            "ID": 12078,
            "Name": "新截止上期变更金额",
            "DataType": "string"
        },
        {
            "ID": 12079,
            "Name": "新本期变更数量",
            "DataType": "string"
        },
        {
            "ID": 12080,
            "Name": "新本期变更金额",
            "DataType": "string"
        },
        {
            "ID": 12081,
            "Name": "新本期变更令号",
            "DataType": "string"
        },
        {
            "ID": 12082,
            "Name": "新章节编号",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12083,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12084,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12085,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12086,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}