{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_中间计量单汇总表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "中间计量单汇总表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.61",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.32",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT); let dt = new Date(); rpt.Default_Value = dt.Format($ME.format); rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT)); ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT)); ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "编号",
            "run_type": "before_paging",
            "expression": "let QS=$JE.F(1300,$CURRENT_RPT);//期数\nlet HTBH=$JE.F(1102,$CURRENT_RPT);//合同编号\n\nlet HTBHJ=$JE.getFieldValue(HTBH, $CURRENT_DATA, 0, '');\nlet QSJ=$JE.getFieldValue(QS, $CURRENT_DATA, 0, '');\n//期数前缀补零\nif(QSJ<10){\n\tlet s = '0'+QSJ.toString(); \n\t$JE.setFieldValue(HTBH, $CURRENT_DATA, 0, HTBHJ+'-'+s);\n}\nelse{\n\t$JE.setFieldValue(HTBH, $CURRENT_DATA, 0, HTBHJ+'-'+QSJ);\n}\n",
            "format": ""
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let BCode=$JE.F(2103,$CURRENT_RPT);\nlet BNmae=$JE.F(2104,$CURRENT_RPT);\nlet BUnits=$JE.F(2105,$CURRENT_RPT);\n\n//\nlet NewBCode=$JE.F(12265,$CURRENT_RPT);\n\nlet fLen1=$JE.getFieldDataLen(BCode, $CURRENT_DATA);\nfor(let a=0; a<fLen1; a++){\n\tlet BCodeT = $JE.getFieldValue(BCode, $CURRENT_DATA, a, ''); \n\tlet BNmaeT = $JE.getFieldValue(BNmae, $CURRENT_DATA, a, ''); \n\tlet BUnitsT = $JE.getFieldValue(BUnits, $CURRENT_DATA, a, '');\n\t//作为分组的判断条件，即编号、名称、单位合并作为判断\n    let ZH = BCodeT+'+'+BNmaeT+'+'+BUnitsT;\n\t$JE.setFieldValue(NewBCode, $CURRENT_DATA, a, ZH);\n}\n",
            "format": ""
        },
        {
            "Name": "新计算式",
            "run_type": "before_group_text_output",
            "expression": "let newRowBillCodeField = $JE.F(12265,$CURRENT_RPT); //新分组判断指标, 用来做前缀\nlet TXTM = $JE.F(12266,$CURRENT_RPT); //用于存储\nlet TXTK = $JE.F(12267,$CURRENT_RPT); //用于存储\n\n\n//获取合并字段中清单编号，存于TXTM中\nlet fLen0 = $JE.getFieldDataLen(newRowBillCodeField, $CURRENT_DATA);\nfor(let M=0; M<fLen0; M++){\n    let SumTxt = $JE.getFieldValue(newRowBillCodeField, $CURRENT_DATA, M, '');\n\tlet bianhao = SumTxt.split('+');\n\t$JE.setFieldValue(TXTM, $CURRENT_DATA, M, bianhao[0]);\n\t$JE.setFieldValue(TXTK, $CURRENT_DATA, M, bianhao[2]);\n\t\n}\n\n//小计名称\nif ($TEXT.Label && $TEXT.Label.indexOf('小计') >= 0) {\n\tif (!$TEXT.hasOwnProperty('accCount')) {\n\t\t$TEXT.accCount = 0; //考虑到跨页的情况，需要额外的下标计数器来处理, $TIMES是不足够的\n\t}\n\tlet sumIdx = $TEXT.Label.indexOf('小计');\n\tlet preVal = $JE.getFieldValue(TXTM, $CURRENT_DATA, 0, '');\n\n\tlet fLen0 = $JE.getFieldDataLen(TXTM, $CURRENT_DATA);\n\tlet gIdx;\n\tif ($TEXT.accCount > 0 && fLen0 > 1) {\n\t\tlet cnt = 0;\n\t\tfor (gIdx = 1; gIdx < fLen0; gIdx++) {\n\t\t\tif (preVal !== $JE.getFieldValue(TXTM, $CURRENT_DATA, gIdx, '')) {\n\t\t\t\tcnt++;\n\t\t\t\tpreVal = $JE.getFieldValue(TXTM, $CURRENT_DATA, gIdx, '');\n\t\t\t}\n\t\t\tif (cnt === $TEXT.accCount) {\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t}\n\tif (preVal !== '') {\n\t\t$TEXT.Label = preVal.slice(0)  + $TEXT.Label.slice(sumIdx);\n\t}else{\n\t\t$TEXT.Label = $TEXT.Label.slice(sumIdx);\n\t}\n\t$TEXT.accCount++;\n}\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "中间计量单汇总表",
                        "font": "ReportTitle_Main",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "94.43",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50.28",
                            "Top": 0,
                            "Bottom": "48.89",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "合 同 段：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "50.28",
                            "Top": "48.89",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "50.28",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "48.89",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "编    号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "50.28",
                            "Right": 100,
                            "Top": "48.89",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "完成数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88.86",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "清单编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "13.09",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "13.09",
                        "Right": "32.17",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "计量单编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "32.17",
                        "Right": "50.28",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "起讫桩号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "50.28",
                        "Right": "66.3",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "工程部位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "66.30",
                        "Right": "81.2",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "81.2",
                        "Right": "88.86",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.69",
            "flow_field_s": [
                {
                    "FieldID": 2107,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "88.86",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2103,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "13.09",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2104,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": true,
                    "area": {
                        "Left": "13.09",
                        "Right": "32.17",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2120,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "32.17",
                        "Right": "50.28",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2110,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "50.28",
                        "Right": "66.30",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2113,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "66.30",
                        "Right": "81.20",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2105,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "81.20",
                        "Right": "88.86",
                        "Top": 0,
                        "Bottom": "100",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [
                {
                    "FieldID": 12265
                }
            ],
            "sum_field_s": [
                {
                    "FieldID": 2107,
                    "SumKey": "中间计量总量信息_本期数量"
                }
            ],
            "group_lines": [
                {
                    "SumKey_S": [
                        {
                            "FieldID": 2107,
                            "font": {
                                "Name": "宋体",
                                "FontBold": "T",
                                "FontAngle": 0,
                                "FontColor": "BLACK",
                                "FontHeight": 12,
                                "FontItalic": "F",
                                "FontStrikeOut": "F",
                                "FontUnderline": "F"
                            },
                            "control": "Column_Right",
                            "style": "Default_Normal",
                            "isAutoHeight": false,
                            "area": {
                                "Left": "88.86",
                                "Right": 100,
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            },
                            "SumKey": "中间计量总量信息_本期数量"
                        }
                    ],
                    "text_s": [
                        {
                            "Label": "小计",
                            "font": {
                                "Name": "宋体",
                                "FontBold": "T",
                                "FontAngle": 0,
                                "FontColor": "BLACK",
                                "FontHeight": 12,
                                "FontItalic": "F",
                                "FontStrikeOut": "F",
                                "FontUnderline": "F"
                            },
                            "control": "Column_Left",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": 0,
                                "Right": "13.09",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "13.09",
                                "Right": "32.17",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "32.17",
                                "Right": "50.28",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "50.28",
                                "Right": "66.3",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "66.3",
                                "Right": "81.2",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Default",
                            "style": "Default_None",
                            "Title": "",
                            "area": {
                                "Left": "81.2",
                                "Right": "88.86",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        }
                    ]
                }
            ]
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2103,
                "Name": "中间计量总量信息_编号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"code\")",
                "descr": "",
                "Title": "ID: 2103"
            },
            {
                "ID": 2104,
                "Name": "中间计量总量信息_名称",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"name\")",
                "descr": "",
                "Title": "ID: 2104"
            },
            {
                "ID": 2120,
                "Name": "中间计量总量信息_中间计量表号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"im_code\")",
                "descr": "",
                "Title": "ID: 2120"
            },
            {
                "ID": 2110,
                "Name": "中间计量总量信息_起止桩号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"peg\")",
                "descr": "",
                "Title": "ID: 2110"
            },
            {
                "ID": 2113,
                "Name": "中间计量总量信息_部位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"bw\")",
                "descr": "",
                "Title": "ID: 2113"
            },
            {
                "ID": 2105,
                "Name": "中间计量总量信息_单位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"unit\")",
                "descr": "",
                "Title": "ID: 2105"
            },
            {
                "ID": 2107,
                "Name": "中间计量总量信息_本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"jl\")",
                "descr": "",
                "Title": "ID: 2107",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12265,
            "Name": "新小计指标",
            "DataType": "string"
        },
        {
            "ID": 12266,
            "Name": "新存储指标",
            "DataType": "string"
        },
        {
            "ID": 12267,
            "Name": "新特殊文本存储",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": []
}