{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表2 清单支付报表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表2 清单支付报表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "1",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.80",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "SegmentEnd",
                    "Height": "0.79",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT); let dt = new Date(); rpt.Default_Value = dt.Format($ME.format); rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT)); ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT); ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT)); ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "处理主从数据关系",
            "run_type": "before_analyzing",
            "expression": "//标段属性章节数据\nlet chapterAllNo=$JE.F(1132,$CURRENT_RPT);//章节代码\nlet chapterAllName=$JE.F(1133,$CURRENT_RPT);//章节名称\nlet AllNoArray = $JE.getFieldValue(chapterAllNo, $CURRENT_DATA, 0, 0);\nlet AllNameArray = $JE.getFieldValue(chapterAllName, $CURRENT_DATA, 0, 0);\n\n//主数据章节、名称指标//主数据字段\nlet chaMasteName=$JE.F(1099,$CURRENT_RPT);//主数据指标\n\n//获取从数据章节\nlet chapterCNo=$JE.F(2552,$CURRENT_RPT);\nlet chapterBCode=$JE.F(2510,$CURRENT_RPT);\nlet chapterBCodeArr=$JE.getFieldValueArray(chapterBCode,$CURRENT_DATA);\n\nlet fLen1=$JE.getFieldDataLen(chapterBCode, $CURRENT_DATA);\n\n//处理原始列表(从数据)中章节编号为空的\nfor(let i=0;i<fLen1;i++){\n\t//处理清单编号为空的内容\n\tlet BCode = $JE.getFieldValue(chapterBCode, $CURRENT_DATA, i, '');\n\tif(BCode!=='' && BCode!==null){\n\t\t//非标准清单章节号都为空，要特殊处理\n\t\tlet chapterCode=$CTX_HELPER.getChapterCode(chapterBCodeArr[i], '-');\n\t\t\n\t\tlet orgChapterCode = $JE.getFieldValue(chapterCNo, $CURRENT_DATA, i, '');\n\t\t//拼接签约清单后，签约清单的章节为空，所以需要赋值\n\t\tif(orgChapterCode===null || orgChapterCode==='' || orgChapterCode==10000){\n\t\t\tif(chapterCode===null || chapterCode==='' || chapterCode==10000){\n\t\t\t\t//console.log('我是未计入章节');\n\t\t\t\t$JE.setFieldValue(chapterCNo, $CURRENT_DATA, i, '其他');\n\t\t\t}else{\n\t\t\t\t//console.log('我是签约清单');\n\t\t\t\t$JE.setFieldValue(chapterCNo, $CURRENT_DATA, i, chapterCode);\n\t\t\t}\t\t\n\t\t}\n\t}\t\n}\n\nlet chapterNoArr=$JE.getFieldValueArray(chapterCNo,$CURRENT_DATA);\nconsole.log(chapterNoArr);\n//去重方法\nfunction unique(arr) {\n    if (!Array.isArray(arr)) {\n        console.log('type error!')\n        return\n    }\n    var array = [];\n    for (var i = 0; i < arr.length; i++) {\n        if (array .indexOf(arr[i]) === -1) {\n            array .push(arr[i])\n        }\n    }\n    return array;\n}\n//去重后的章节数组\nlet uniqueChapArr=unique(chapterNoArr);\n//console.log(uniqueChapArr);\n\n//配置主数据\nfor(let i=0; i<uniqueChapArr.length;i++){\n\tfor(let j=0; j< AllNoArray.length;j++){\n\t\tlet tempno=AllNoArray[j];\t\t\n\t\tlet tempname=AllNameArray[j];\t\n\t\tif(uniqueChapArr[i]==tempno){\n\t\t\t//console.log('章节：%s  名称：%s',tempno,tempname);\n\t\t\t$JE.setFieldValue(chaMasteName, $CURRENT_DATA, i, tempno);\n\t\t\t\n\t\t\tbreak;\n\t\t}\n\t}\n\tif(uniqueChapArr[i]==='其他'){\n\t\t$JE.setFieldValue(chaMasteName, $CURRENT_DATA, i,uniqueChapArr[i] );\n\t\t\n\t}\n\n}\n\n\n\n\n\n\n\t",
            "format": ""
        },
        {
            "Name": "数据配置",
            "run_type": "before_analyzing",
            "expression": "let Bcode=$JE.F(2510,$CURRENT_RPT);\nlet Bname=$JE.F(2511,$CURRENT_RPT);\nlet Bunits=$JE.F(2512,$CURRENT_RPT);\nlet BunPrice=$JE.F(2513,$CURRENT_RPT);\n\nlet BGLcode=$JE.F(2401,$CURRENT_RPT);//变更清单编号\nlet BGLname=$JE.F(2402,$CURRENT_RPT);//变更清单名称\nlet BGLunits=$JE.F(2403,$CURRENT_RPT);//变更清单单位\nlet BGLprice=$JE.F(2404,$CURRENT_RPT);//变更清单单价\n\nlet QYquty=$JE.F(2553,$CURRENT_RPT);//签约数量\nlet QYtotal=$JE.F(2554,$CURRENT_RPT);//签约金额\nlet BGquty=$JE.F(2909,$CURRENT_RPT);//批复变更数量\nlet BGtotal=$JE.F(2912,$CURRENT_RPT);//批复变更金额\nlet EndQU=$JE.F(2547,$CURRENT_RPT);//截止本期完成数量\nlet EndTP=$JE.F(2548,$CURRENT_RPT);\nlet PreQU=$JE.F(2541,$CURRENT_RPT);//截止上期完成数量\nlet PreTP=$JE.F(2542,$CURRENT_RPT);\nlet GatQU=$JE.F(2534,$CURRENT_RPT);//本期完成数量\nlet GatTP=$JE.F(2535,$CURRENT_RPT);\n\nlet TZQU=$JE.F(2522,$CURRENT_RPT);//台账数量\nlet TZTP=$JE.F(2523,$CURRENT_RPT);\n\nlet chapterCNO=$JE.F(2552,$CURRENT_RPT);//从数据\nlet NewchapterCNO=$JE.F(1199,$CURRENT_RPT);//重新配置从数据\nlet chapterZNO=$JE.F(1099,$CURRENT_RPT);//主数据\n\n//新指标\nlet NewBcode=$JE.F(12265,$CURRENT_RPT);//主数据\nlet NewBname=$JE.F(12266,$CURRENT_RPT);\nlet NewBunits=$JE.F(12267,$CURRENT_RPT);\nlet NewBunPrice=$JE.F(12268,$CURRENT_RPT);\n\nlet NewQYquty=$JE.F(12269,$CURRENT_RPT);//新签约数量\nlet NewQYtotal=$JE.F(12270,$CURRENT_RPT);\nlet SubQU=$JE.F(12271,$CURRENT_RPT);//台账-签约数量\nlet SubTP=$JE.F(12272,$CURRENT_RPT);\nlet NewBGquty=$JE.F(12273,$CURRENT_RPT);//变更批复数量\nlet NewBGtotal=$JE.F(12274,$CURRENT_RPT);\nlet BghQU=$JE.F(12275,$CURRENT_RPT);//台账+变更批复数量\nlet BghTP=$JE.F(12276,$CURRENT_RPT);\n\nlet NewEndQU=$JE.F(12277,$CURRENT_RPT);\nlet NewEndTP=$JE.F(12278,$CURRENT_RPT);\nlet NewPreQU=$JE.F(12279,$CURRENT_RPT);\nlet NewPreTP=$JE.F(12280,$CURRENT_RPT);\nlet NewGatQU=$JE.F(12281,$CURRENT_RPT);\nlet NewGatTP=$JE.F(12282,$CURRENT_RPT);\n\n//新小计指标(小计直接调用上面新指标会导致数据重复累计，所以做新的小计指标供章统计使用)\nlet XJQY=$JE.F(12284,$CURRENT_RPT);//签约\nlet XJZTJQY=$JE.F(12285,$CURRENT_RPT);//台账-签约\nlet XJBGH=$JE.F(12286,$CURRENT_RPT);//台账+变更批复\nlet XJEnd=$JE.F(12287,$CURRENT_RPT);\nlet XJPre=$JE.F(12288,$CURRENT_RPT);\nlet XJGat=$JE.F(12289,$CURRENT_RPT);\n\n//筛选清单编号为空的项\nlet fLen1=$JE.getFieldDataLen(Bcode, $CURRENT_DATA);\nlet fLen2=$JE.getFieldDataLen(BGLcode, $CURRENT_DATA);\nlet K=0;\nfor(let i=0; i<fLen1; i++){\n\tlet BcodeT = $JE.getFieldValue(Bcode, $CURRENT_DATA, i, '');\n\tlet BnameT = $JE.getFieldValue(Bname, $CURRENT_DATA, i, '');\n\tif(BcodeT!=='' && BcodeT!==null){\n\t\tlet BunitsT = $JE.getFieldValue(Bunits, $CURRENT_DATA, i, '');\n\t\tlet BunPriceT = $JE.getFieldValue(BunPrice, $CURRENT_DATA, i, '');\n\t\t\n\t\tlet TZQUT = $JE.getFieldValue(TZQU, $CURRENT_DATA, i, '');//台账\n\t\tlet TZTPT = $JE.getFieldValue(TZTP, $CURRENT_DATA, i, '');\n\t\t\n\t\tlet QYqutyT = $JE.getFieldValue(QYquty, $CURRENT_DATA, i, '');//签约\n\t\tlet QYtotalT = $JE.getFieldValue(QYtotal, $CURRENT_DATA, i, '');\n\t\tlet sumBGLQ = 0;\n\t\tlet sumBGLT = 0;\n\t\tfor(let c=0; c<fLen2; c++){\n\t\t\tlet BGLcodeT = $JE.getFieldValue(BGLcode, $CURRENT_DATA, c, '');\n\t\t\tlet BGLnameT = $JE.getFieldValue(BGLname, $CURRENT_DATA, c, '');\n\t\t\tlet BGLunitsT = $JE.getFieldValue(BGLunits, $CURRENT_DATA, c, '');\n\t\t\tlet BGLpriceT = $JE.getFieldValue(BGLprice, $CURRENT_DATA, c, '');\n\t\t\t\n\t\t\tlet BGqutyT = $JE.getFieldValue(BGquty, $CURRENT_DATA, c, '');//变更令\n\t\t    let BGtotalT = $JE.getFieldValue(BGtotal, $CURRENT_DATA, c, '');\n\t\t\tif(BcodeT===BGLcodeT && BnameT===BGLnameT && BunitsT===BGLunitsT && BunPriceT===BGLpriceT){\n\t\t\t\tsumBGLQ=$CTX_HELPER.add(sumBGLQ,BGqutyT);\n\t\t\t\tsumBGLT=$CTX_HELPER.add(sumBGLT,BGtotalT);\n\t\t\t}\t\n\t\t}\n\t\t\n\t\t\n\t\t\n\t\t//赋值\n\t\t$JE.setFieldValue(NewBcode, $CURRENT_DATA, K, $JE.getFieldValue(Bcode, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewBname, $CURRENT_DATA, K, $JE.getFieldValue(Bname, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewBunits, $CURRENT_DATA, K, BunitsT);\n\t\t$JE.setFieldValue(NewBunPrice, $CURRENT_DATA, K, BunPriceT);\n\t\t$JE.setFieldValue(NewchapterCNO, $CURRENT_DATA, K, $JE.getFieldValue(chapterCNO, $CURRENT_DATA, i, ''));\n\t\t\n\t\t$JE.setFieldValue(NewQYquty, $CURRENT_DATA, K, QYqutyT);//签约清单\n\t\t$JE.setFieldValue(NewQYtotal, $CURRENT_DATA, K, QYtotalT);\n\t\t\n\t\t$JE.setFieldValue(SubQU, $CURRENT_DATA, K, $CTX_HELPER.sub(TZQUT,QYqutyT));\n\t\t$JE.setFieldValue(SubTP, $CURRENT_DATA, K, $CTX_HELPER.sub(TZTPT,QYtotalT));\n\t\t\n\t\t$JE.setFieldValue(NewBGquty, $CURRENT_DATA, K, sumBGLQ);//变更令批复\n\t\t$JE.setFieldValue(NewBGtotal, $CURRENT_DATA, K, sumBGLT);\n\t\t\n\t\t$JE.setFieldValue(BghQU, $CURRENT_DATA, K, $CTX_HELPER.add(TZQUT,sumBGLQ));\n\t\t$JE.setFieldValue(BghTP, $CURRENT_DATA, K, $CTX_HELPER.add(TZTPT,sumBGLT));\n\t\t\n\t\t$JE.setFieldValue(NewEndQU, $CURRENT_DATA, K, $JE.getFieldValue(EndQU, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewEndTP, $CURRENT_DATA, K, $JE.getFieldValue(EndTP, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewPreQU, $CURRENT_DATA, K, $JE.getFieldValue(PreQU, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewPreTP, $CURRENT_DATA, K, $JE.getFieldValue(PreTP, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewGatQU, $CURRENT_DATA, K, $JE.getFieldValue(GatQU, $CURRENT_DATA, i, ''));\n\t\t$JE.setFieldValue(NewGatTP, $CURRENT_DATA, K, $JE.getFieldValue(GatTP, $CURRENT_DATA, i, ''));\n\t\t\n\t\t//小计指标赋值\n\t\tif(BunitsT!=='' && BunPriceT!==''){\n\t\t\t$JE.setFieldValue(XJQY, $CURRENT_DATA, K, QYtotalT);\n\t\t\t$JE.setFieldValue(XJZTJQY, $CURRENT_DATA, K, $CTX_HELPER.sub(TZTPT,QYtotalT));\n\t\t\t$JE.setFieldValue(XJBGH, $CURRENT_DATA, K, $CTX_HELPER.add(TZTPT,sumBGLT));\n\t\t\t$JE.setFieldValue(XJEnd, $CURRENT_DATA, K, $JE.getFieldValue(EndTP, $CURRENT_DATA, i, ''));\n\t\t\t$JE.setFieldValue(XJPre, $CURRENT_DATA, K, $JE.getFieldValue(PreTP, $CURRENT_DATA, i, ''));\n\t\t\t$JE.setFieldValue(XJGat, $CURRENT_DATA, K, $JE.getFieldValue(GatTP, $CURRENT_DATA, i, ''));\n\t\t}\n\t\t\n\t\tK++;\n\t}\n}\n\t\n\n",
            "format": ""
        },
        {
            "Name": "表头处理",
            "run_type": "before_analyzing",
            "expression": "let Qzh=$JE.F(1130,$CURRENT_RPT);//起点桩号\nlet Zzh=$JE.F(1131,$CURRENT_RPT);\n\nlet QS=$JE.F(1300,$CURRENT_RPT);//期数\nlet HTBH=$JE.F(1102,$CURRENT_RPT);//合同编号\n\nlet NewTxt=$JE.F(12290,$CURRENT_RPT);//合同编号+期数\nlet NewZH=$JE.F(12291,$CURRENT_RPT);//桩号合并\n\n//桩号\nlet QzhT=$JE.getFieldValue(Qzh, $CURRENT_DATA, 0, '');\nlet ZzhT=$JE.getFieldValue(Zzh, $CURRENT_DATA, 0, '');\n$JE.setFieldValue(NewZH, $CURRENT_DATA, 0, QzhT+' ~ '+ZzhT);\n\n//期数\nlet HTBHJ=$JE.getFieldValue(HTBH, $CURRENT_DATA, 0, '');\nlet QSJ=$JE.getFieldValue(QS, $CURRENT_DATA, 0, '');\n//期数前缀补零\nif(QSJ<10){\n\tlet s = '0'+QSJ.toString(); \n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+s);\n}\nelse{\n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+QSJ);\n}\n\n\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表2 清单支付报表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "工程名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "40.02",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "70.01",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "40.02",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1153,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "40.02",
                            "Right": "70.01",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12291,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "施工里程：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "40.02",
                            "Right": "70.01",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12290,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "70.01",
                            "Right": 100,
                            "Top": "51.11",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12232,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "4.01",
                            "Right": "25.02",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12233,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "29.99",
                            "Right": "50.05",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12234,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.98",
                            "Right": "74.98",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12235,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "85",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "监理工程师：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "50.05",
                            "Right": "57.98",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主技术负责人：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "74.98",
                            "Right": "85",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "制表：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "4.01",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "25.02",
                            "Right": "29.99",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_1",
                "discrete_field_s": [
                    {
                        "FieldID": 1099,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Suffix": "章小计",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "6.02",
                            "Right": "16.05",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "清单编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "6.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "子目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "6.02",
                        "Right": "16.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "16.05",
                        "Right": "19.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "19.96",
                        "Right": "25.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "25.02",
                        "Right": "34.96",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "设计数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "34.96",
                        "Right": "44.99",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "复测后设计修正数",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "44.99",
                        "Right": "55.01",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更设计增减",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "55.01",
                        "Right": "65.04",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "55.01",
                        "Right": "59.98",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "总数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "65.04",
                        "Right": "68.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "总金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "68.96",
                        "Right": "74.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止上期末累计|完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74.02",
                        "Right": "83.00",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74.02",
                        "Right": "78.51",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "截止本期末累计|完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.00",
                        "Right": "91.98",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.00",
                        "Right": "87.49",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期实际完成",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "91.98",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "50.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "25.02",
                        "Right": "29.99",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "29.99",
                        "Right": "34.96",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "34.96",
                        "Right": "40.02",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40.02",
                        "Right": "44.99",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "44.99",
                        "Right": "50.05",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "50.05",
                        "Right": "55.01",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "59.98",
                        "Right": "65.04",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "78.51",
                        "Right": "83.00",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "87.49",
                        "Right": "91.98",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "91.98",
                        "Right": "95.99",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额|（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "95.99",
                        "Right": "100.00",
                        "Top": "50.00",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.79",
            "flow_field_s": [
                {
                    "FieldID": 12265,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "6.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12273,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "55.01",
                        "Right": "59.98",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12276,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "68.96",
                        "Right": "74.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12279,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "74.02",
                        "Right": "78.51",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12277,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "83.00",
                        "Right": "87.49",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12266,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "6.02",
                        "Right": "16.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12267,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "16.05",
                        "Right": "19.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12268,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "19.96",
                        "Right": "25.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12269,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "25.02",
                        "Right": "29.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12270,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "29.99",
                        "Right": "34.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12269,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "34.96",
                        "Right": "40.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12270,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40.02",
                        "Right": "44.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12271,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "44.99",
                        "Right": "50.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12272,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "50.05",
                        "Right": "55.01",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12274,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "59.98",
                        "Right": "65.04",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12275,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "65.04",
                        "Right": "68.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12280,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "78.51",
                        "Right": "83.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12278,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "87.49",
                        "Right": "91.98",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12281,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "91.98",
                        "Right": "95.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12282,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "95.99",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "newBand_1",
            "sum_field_s": [
                {
                    "FieldID": 12286,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "68.96",
                        "Right": "74.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12284,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "29.99",
                        "Right": "34.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12284,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40.02",
                        "Right": "44.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12285,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "50.05",
                        "Right": "55.01",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12274,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "59.98",
                        "Right": "65.04",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12288,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "78.51",
                        "Right": "83.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12287,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "87.49",
                        "Right": "91.98",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12289,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "95.99",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ],
            "text_s": [
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "6.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "55.01",
                        "Right": "59.98",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "74.02",
                        "Right": "78.51",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "83.00",
                        "Right": "87.49",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "16.05",
                        "Right": "19.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "19.96",
                        "Right": "25.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "25.02",
                        "Right": "29.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "34.96",
                        "Right": "40.02",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "44.99",
                        "Right": "50.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "65.04",
                        "Right": "68.96",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "91.98",
                        "Right": "95.99",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1153,
                "Name": "标段_技术参数_计划完工日期",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.planEndDate\")",
                "descr": "",
                "Title": "ID: 1153"
            },
            {
                "ID": 1199,
                "Name": "标段_空白",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"tender_info\", \"\")",
                "descr": "",
                "Title": "ID: 1199"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1130,
                "Name": "标段_技术参数_起点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startPeg\")",
                "descr": "",
                "Title": "ID: 1130"
            },
            {
                "ID": 1131,
                "Name": "标段_技术参数_终点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.endPeg\")",
                "descr": "",
                "Title": "ID: 1131"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            }
        ],
        "主数据指标_集合": [
            {
                "ID": 1099,
                "Name": "项目_空白",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"project\", \"\")",
                "descr": "",
                "Title": "ID: 1099",
                "isID": true,
                "IDSeq": 1
            }
        ],
        "从数据指标_集合": [
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2512,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2512"
            },
            {
                "ID": 2513,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2513",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2514,
                "Name": "签约-数量(deal_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_qty')",
                "descr": "",
                "Title": "ID: 2514",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2515,
                "Name": "签约-金额(deal_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_tp')",
                "descr": "",
                "Title": "ID: 2515",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2522,
                "Name": "台账-数量(quantity)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'quantity')",
                "descr": "",
                "Title": "ID: 2522",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2523,
                "Name": "台账-金额(total_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'total_price')",
                "descr": "",
                "Title": "ID: 2523",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2909,
                "Name": "变更清单-审批变更后数量(s_qty)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_qty')",
                "descr": "",
                "Title": "ID: 2909",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2905,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2534,
                "Name": "本期-完成-数量(gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_qty')",
                "descr": "",
                "Title": "ID: 2534",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2541,
                "Name": "截止上期-完成-数量(pre_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_qty')",
                "descr": "",
                "Title": "ID: 2541",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2547,
                "Name": "截止本期-完成-数量(end_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_qty')",
                "descr": "",
                "Title": "ID: 2547",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2552,
                "Name": "章节编号(chapter)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'chapter')",
                "descr": "",
                "Title": "ID: 2552"
            },
            {
                "ID": 1600,
                "Name": "签约清单信息_清单编号(code)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"code\")",
                "descr": "",
                "Title": "ID: 1600"
            },
            {
                "ID": 1601,
                "Name": "签约清单信息_名称(name)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"name\")",
                "descr": "",
                "Title": "ID: 1601"
            },
            {
                "ID": 1602,
                "Name": "签约清单信息_单位(unit)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit\")",
                "descr": "",
                "Title": "ID: 1602"
            },
            {
                "ID": 1604,
                "Name": "签约清单信息_单价(unit_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit_price\")",
                "descr": "",
                "Title": "ID: 1604",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")"
                }
            },
            {
                "ID": 1603,
                "Name": "签约清单信息_数量(quanitty)",
                "DataType": "number",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"quantity\")",
                "descr": "",
                "Title": "ID: 1603",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 1602,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 1605,
                "Name": "签约清单信息_合价(total_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"total_price\")",
                "descr": "",
                "Title": "ID: 1605",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            },
            {
                "ID": 2554,
                "Name": "预留扩展字段_2(ex_value2)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value2')",
                "descr": "",
                "Title": "ID: 2554"
            },
            {
                "ID": 2401,
                "Name": "变更清单信息_清单编号",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change_audit_list\", \"code\")",
                "descr": "",
                "Title": "ID: 2401"
            },
            {
                "ID": 2402,
                "Name": "变更清单信息_清单名称",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change_audit_list\", \"name\")",
                "descr": "",
                "Title": "ID: 2402"
            },
            {
                "ID": 2403,
                "Name": "变更清单信息_单位",
                "DataType": "string",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change_audit_list\", \"unit\")",
                "descr": "",
                "Title": "ID: 2403"
            },
            {
                "ID": 2404,
                "Name": "变更清单信息_单价",
                "DataType": "currency",
                "TableName": "change_audit_list",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"change_audit_list\", \"unit_price\")",
                "descr": "",
                "Title": "ID: 2404",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")"
                }
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 1199,
                "Name": "标段_空白",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"tender_info\", \"\")",
                "descr": "",
                "Title": "ID: 1199",
                "isID": true,
                "IDSeq": 1
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherGcl",
            "hint": "请使用mem_stage_bills下指标，注意事项:\n1. 以下字段，不管报表是否实际使用，均应添加至指标映射，且在此处应勾选（不要求顺序）:\n  清单编号(b_code), 名称(name), 单位(unit), 单价(unit_price), 树结构-是否子项(is_leaf)\n2. 汇总后，以下字段，均会失效, 请勿使用:\n  台账ID(id), 树结构-ID(ledger_id), 树结构父项-ID(ledger_pid),\n  树结构-层级(level), 树结构-同层排序(order), 树结构-完整路径(full_path),\n  图册号(drawing_code), 备注(memo), 节点类型(node_type), 总额计量(is_tp)\n3. 如需汇总\"未计入清单章节项\"，请勾选\"章节编号(chapter)\"字段\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                },
                {
                    "Name": "名称(name)",
                    "FieldID": 2511
                },
                {
                    "Name": "单位(unit)",
                    "FieldID": 2512
                },
                {
                    "Name": "单价(unit_price)",
                    "FieldID": 2513
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                }
            ],
            "自定义设置": ""
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "join",
            "hint": "用于处理类似于关联签约清单的情况，会改变主表的数据",
            "fields": [],
            "自定义设置": "{\n    \"main\":\"mem_stage_bills\",\n    \"sub\":\"deal_bills\",\n    \"keyFields\":[\n        {\"main\":\"b_code\",\"sub\":\"code\",\"type\":\"string\"},\n        {\"main\":\"name\",\"sub\":\"name\",\"type\":\"string\"},\n        {\"main\":\"unit\",\"sub\":\"unit\",\"type\":\"string\"},\n        {\"main\":\"unit_price\",\"sub\":\"unit_price\",\"type\":\"number\"}\n    ],\n    \"importFields\":[\n        {\"main\":\"ex_value1\",\"sub\":\"quantity\",\"type\": \"sum\"},\n        {\"main\":\"ex_value2\",\"sub\":\"total_price\",\"type\": \"sum\"}\n    ],\n    \"joinType\":\"outer\"\n}\n"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "sortGcl",
            "hint": "只对一张表，进行工程量清单排序，排序哪张表，根据勾选的清单编号字段决定:\ne.g.1 要对mem_stage_bills排序，需要勾选mem_stage_bills下的\"清单编号(b_code)\"字段\ne.g.2 要对mem_stage_im_zl排序，需要勾选mem_stage_im_zl下的\"中间计量总量信息_编号(code)\"字段\n特别的，如有\"未计入清单章节项\": \n  1. 默认\"未计入清单章节项\"排列在最后\n  2. 如须\"未计入清单章节项\"排在100章之后，请在清单编号字段后，依次勾选\"章节编号(chapter)\", \"名称(name)\"\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                }
            ],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12265,
            "Name": "新清单编号",
            "DataType": "string"
        },
        {
            "ID": 12266,
            "Name": "新子目名称",
            "DataType": "string"
        },
        {
            "ID": 12267,
            "Name": "新单位",
            "DataType": "string"
        },
        {
            "ID": 12268,
            "Name": "新单价",
            "DataType": "string"
        },
        {
            "ID": 12269,
            "Name": "新签约清单数量",
            "DataType": "string"
        },
        {
            "ID": 12270,
            "Name": "新签约清单金额",
            "DataType": "string"
        },
        {
            "ID": 12271,
            "Name": "新台账数量-签约",
            "DataType": "string"
        },
        {
            "ID": 12272,
            "Name": "新台账金额-签约",
            "DataType": "string"
        },
        {
            "ID": 12273,
            "Name": "新变更令批复数量",
            "DataType": "string"
        },
        {
            "ID": 12274,
            "Name": "新变更令批复金额",
            "DataType": "string"
        },
        {
            "ID": 12275,
            "Name": "新台账+变更令数量",
            "DataType": "string"
        },
        {
            "ID": 12276,
            "Name": "新台账+变更令金额",
            "DataType": "string"
        },
        {
            "ID": 12277,
            "Name": "新截止本期完成数量",
            "DataType": "string"
        },
        {
            "ID": 12278,
            "Name": "新截止本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12279,
            "Name": "新截止上期完成数量",
            "DataType": "string"
        },
        {
            "ID": 12280,
            "Name": "新截止上期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12281,
            "Name": "新本期完成数量",
            "DataType": "string"
        },
        {
            "ID": 12282,
            "Name": "新本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12284,
            "Name": "新小计-签约金额",
            "DataType": "string"
        },
        {
            "ID": 12285,
            "Name": "新小计-台账-签约",
            "DataType": "string"
        },
        {
            "ID": 12286,
            "Name": "新小计台账+变更",
            "DataType": "string"
        },
        {
            "ID": 12287,
            "Name": "新小计-截止本期",
            "DataType": "string"
        },
        {
            "ID": 12288,
            "Name": "新小计-截止上期",
            "DataType": "string"
        },
        {
            "ID": 12289,
            "Name": "新小计-本期",
            "DataType": "string"
        },
        {
            "ID": 12290,
            "Name": "新合同编号+期数",
            "DataType": "string"
        },
        {
            "ID": 12291,
            "Name": "新桩号合并",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12232,
            "Name": "制表",
            "DataType": "string"
        },
        {
            "ID": 12233,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12234,
            "Name": "监理工程师",
            "DataType": "string"
        },
        {
            "ID": 12235,
            "Name": "业主技术负责人",
            "DataType": "string"
        }
    ]
}