{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_B12中间计量支付汇总表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B12中间计量支付汇总表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.59",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.19",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "newBand_2",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "1",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.01",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "LastPage",
                    "Height": "0.61",
                    "Name": "newBand_1",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "日期格式转换",
            "run_type": "before_analyzing",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "综合设置",
            "run_type": "before_analyzing",
            "expression": "let QDFCodeID = $JE.F(2504,$CURRENT_RPT);\nlet XH = $JE.F(1900,$CURRENT_RPT);\nlet TZid = $JE.F(2501,$CURRENT_RPT);\nlet ZJid = $JE.F(1901,$CURRENT_RPT);\n\nlet Bcode = $JE.F(2510,$CURRENT_RPT);\nlet Name = $JE.F(2511,$CURRENT_RPT);\nlet Unitt = $JE.F(2512,$CURRENT_RPT);\nlet UnittP = $JE.F(2513,$CURRENT_RPT);\nlet GtpQ = $JE.F(2534,$CURRENT_RPT);\nlet GtpT = $JE.F(2535,$CURRENT_RPT);\nlet LedId = $JE.F(2503,$CURRENT_RPT);\n\nlet BH = $JE.F(1915,$CURRENT_RPT);\n\n//新指标\nlet NewBcode = $JE.F(12161,$CURRENT_RPT);\nlet NewName = $JE.F(12221,$CURRENT_RPT);\nlet NewUnitt = $JE.F(12222,$CURRENT_RPT);\nlet NewUnittP = $JE.F(12223,$CURRENT_RPT);\nlet NewGtpQ = $JE.F(12224,$CURRENT_RPT);\nlet NewGtpT = $JE.F(12225,$CURRENT_RPT);\nlet NewBH = $JE.F(12226,$CURRENT_RPT);\nlet NewLedId = $JE.F(12227,$CURRENT_RPT);\n\nlet fLen0 = $JE.getFieldDataLen(Bcode, $CURRENT_DATA);\nlet fLen1 = $JE.getFieldDataLen(XH, $CURRENT_DATA);\n\n//获取LedId并进行赋值给中间计量窗口的项目节\nfor(let J=0;J<fLen0;J++){\n\tfor(let A=0;A<fLen0;A++){\n\t\tlet TZidT = $JE.getFieldValue(TZid, $CURRENT_DATA, J, '');\n\t\tlet LedIdT = $JE.getFieldValue(LedId, $CURRENT_DATA, J, '');\n\t\tlet chapterCodeArr = [];\n\t\tfor(let F=0;F<fLen1;F++){\n\t\t\tlet ZJidT = $JE.getFieldValue(ZJid, $CURRENT_DATA, F, '');\n\t\t\tif(ZJidT===TZidT){\n\t\t\t\t$JE.setFieldValue(NewLedId, $CURRENT_DATA, F, LedIdT);\n\t\t\t\t\n\t\t\t}\n\t\t}\n\t}\n}\nlet arrycode=[];\nlet arryName=[];\nlet arryUnitt=[];\nlet arryUnittP=[];\nlet arryGtpQ=[];\nlet arryGtpT=[];\nlet arryLedId=[];\n\n//获取父项ID等于LedId的清单，并赋值中间计量表号\nfor(let i=0;i<fLen0;i++){\n\tlet CodeT = $JE.getFieldValue(Bcode, $CURRENT_DATA, i, '');\n\tlet NameT = $JE.getFieldValue(Name, $CURRENT_DATA, i, '');\n\tlet UnittT = $JE.getFieldValue(Unitt, $CURRENT_DATA, i, '');\n\tlet UnittPT = $JE.getFieldValue(UnittP, $CURRENT_DATA, i, '');\n\tlet GtpQT = $JE.getFieldValue(GtpQ, $CURRENT_DATA, i, '');\n\tlet GtpTT = $JE.getFieldValue(GtpT, $CURRENT_DATA, i, '');\n\tlet QDFCID = $JE.getFieldValue(QDFCodeID, $CURRENT_DATA, i, '');\n\t//console.log('清单ID',QDFCID);\n\tif(CodeT!=='' && GtpTT!==0){\n\t\t\tarrycode.push(CodeT);\n\t\t\tarryName.push(NameT);\n\t\t\tarryUnitt.push(UnittT);\n\t\t\tarryUnittP.push(UnittPT);\n\t\t\tarryGtpQ.push(GtpQT);\n\t\t\tarryGtpT.push(GtpTT);\n\t\t\tfor(let T=0;T<fLen1;T++){\n\t\t\t\tlet BHT = $JE.getFieldValue(BH, $CURRENT_DATA, T, '');\n\t\t\t\tlet FLedId = $JE.getFieldValue(NewLedId, $CURRENT_DATA, T, '');\n\t\t\t\t//console.log('清单ID','父项ID',QDFCID,FLedId);\n\t\t\t\tif(QDFCID==FLedId){\n\t\t\t\t\tarryLedId.push(BHT);\n\t\t\t\t\t//console.log('中间计量表号',BHT);\n\t\t\t\t}\n\t\t\t}\n\t}\n}\n\n\nfor(let M=0;M<arrycode.length;M++){\n\t\n\t$JE.setFieldValue(NewBcode, $CURRENT_DATA, M, arrycode[M]);\n\t$JE.setFieldValue(NewName, $CURRENT_DATA, M, arryName[M]);\n\t$JE.setFieldValue(NewUnitt, $CURRENT_DATA, M, arryUnitt[M]);\n\t$JE.setFieldValue(NewUnittP, $CURRENT_DATA, M, arryUnittP[M]);\n\t$JE.setFieldValue(NewGtpQ, $CURRENT_DATA, M, arryGtpQ[M]);\n\t$JE.setFieldValue(NewGtpT, $CURRENT_DATA, M, arryGtpT[M]);\n\t$JE.setFieldValue(NewBH, $CURRENT_DATA, M, arryLedId[M]);\n\tconsole.log('中间计量表号',arryLedId[M]);\n}\n\n//9. 因此表特殊性（从数据一个都不显示，全部显示离散数据），需要设置第一个从数据指标的data数量，否则会出现页码数量紊乱情况 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet dtlLen = $JE.getFieldDataLen(Bcode, $CURRENT_DATA), \n    fValIdx = $JE.getFieldDataLen(NewBcode, $CURRENT_DATA), \n\tdiff = dtlLen - fValIdx;\n\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(Bcode, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(Bcode, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}\n",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "中间计量支付汇总表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "40",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "期次：第",
                        "Suffix": "期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "84",
                            "Top": 0,
                            "Bottom": "51.11",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同段号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "28",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "56",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "84",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Label_Underline",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "84",
                            "Right": "92",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Default_Value": "共 X 页",
                        "area": {
                            "Left": "92",
                            "Right": "100",
                            "Top": "51.11",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "newBand_2",
                "discrete_field_s": [
                    {
                        "ParamID": 12229,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "8",
                            "Right": "33",
                            "Top": "0",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12230,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "44",
                            "Right": "66",
                            "Top": "0",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12231,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "74",
                            "Right": "100",
                            "Top": "0",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "8",
                            "Top": "0",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "44",
                            "Top": "0",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": "74",
                            "Top": "0",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12164,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "33",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12165,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "44",
                            "Right": "66",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12228,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "8",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程管理部：",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "44",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "经营部：",
                        "font": "Content",
                        "control": "Column_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "66",
                            "Right": "74",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "金额（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "80.92",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项目名称",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.05",
                        "Right": "29.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "45.54",
                        "Right": "54.60",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价（元）",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "70.33",
                        "Right": "80.92",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "清单编号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "凭证号",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "29.67",
                        "Right": "45.54",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "54.60",
                        "Right": "70.33",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.79",
            "flow_field_s": [
                {
                    "FieldID": 12225,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "80.92",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12221,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "9.05",
                        "Right": "29.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12222,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "45.54",
                        "Right": "54.60",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12223,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "70.33",
                        "Right": "80.92",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12161,
                    "font": "Content",
                    "control": "Column_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "9.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12226,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "29.67",
                        "Right": "45.54",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12224,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "54.60",
                        "Right": "70.33",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "newBand_1",
            "sum_field_s": [
                {
                    "FieldID": 12225,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "80.92",
                        "Right": 100,
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ],
            "text_s": [
                {
                    "Label": "合计",
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "9.05",
                        "Right": "29.67",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "45.54",
                        "Right": "54.60",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "70.33",
                        "Right": "80.92",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "9.05",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "29.67",
                        "Right": "45.54",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "",
                    "font": "Content",
                    "control": "Content_Left",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "54.60",
                        "Right": "70.33",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.company')",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.code\")",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty(\"tender_info\", \"chapter.name\")",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 2903,
                "Name": "变更清单-清单编号(code)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'code')",
                "descr": "",
                "Title": "ID: 2903"
            },
            {
                "ID": 2904,
                "Name": "变更清单-名称(name)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'name')",
                "descr": "",
                "Title": "ID: 2904"
            },
            {
                "ID": 2905,
                "Name": "变更清单-单位(unit)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2905"
            },
            {
                "ID": 2906,
                "Name": "变更清单-单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2906"
            },
            {
                "ID": 2909,
                "Name": "变更清单-审批变更后数量(s_qty)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_qty')",
                "descr": "",
                "Title": "ID: 2909"
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2512,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2512"
            },
            {
                "ID": 2513,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2513"
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 2514,
                "Name": "签约-数量(deal_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_qty')",
                "descr": "",
                "Title": "ID: 2514"
            },
            {
                "ID": 2515,
                "Name": "签约-金额(deal_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'deal_tp')",
                "descr": "",
                "Title": "ID: 2515"
            },
            {
                "ID": 2534,
                "Name": "本期-完成-数量(gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_qty')",
                "descr": "",
                "Title": "ID: 2534"
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535"
            },
            {
                "ID": 2516,
                "Name": "施工复核-数量(sgfh_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'sgfh_qty')",
                "descr": "",
                "Title": "ID: 2516",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2512,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'precision')"
                }
            },
            {
                "ID": 2517,
                "Name": "施工复核-金额(sgfh_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'sgfh_tp')",
                "descr": "",
                "Title": "ID: 2517",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2541,
                "Name": "截止上期-完成-数量(pre_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_qty')",
                "descr": "",
                "Title": "ID: 2541"
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542"
            },
            {
                "ID": 2547,
                "Name": "截止本期-完成-数量(end_gather_qty)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_qty')",
                "descr": "",
                "Title": "ID: 2547"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548"
            },
            {
                "ID": 2550,
                "Name": "截止本期完成率(%)(final_ratio)",
                "DataType": "double",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'final_ratio')",
                "descr": "",
                "Title": "ID: 2550"
            },
            {
                "ID": 2553,
                "Name": "预留扩展字段_1(ex_value1)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value1')",
                "descr": "",
                "Title": "ID: 2553"
            },
            {
                "ID": 2554,
                "Name": "预留扩展字段_2(ex_value2)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ex_value2')",
                "descr": "",
                "Title": "ID: 2554"
            },
            {
                "ID": 1600,
                "Name": "签约清单信息_清单编号(code)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"code\")",
                "descr": "",
                "Title": "ID: 1600"
            },
            {
                "ID": 1601,
                "Name": "签约清单信息_名称(name)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"name\")",
                "descr": "",
                "Title": "ID: 1601"
            },
            {
                "ID": 1602,
                "Name": "签约清单信息_单位(unit)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit\")",
                "descr": "",
                "Title": "ID: 1602"
            },
            {
                "ID": 1604,
                "Name": "签约清单信息_单价(unit_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"unit_price\")",
                "descr": "",
                "Title": "ID: 1604",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.up\")"
                }
            },
            {
                "ID": 2552,
                "Name": "章节编号(chapter)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'chapter')",
                "descr": "",
                "Title": "ID: 2552"
            },
            {
                "ID": 1916,
                "Name": "中间计量0号台账信息_交工证书",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_tz\", \"doc_code\")",
                "descr": "",
                "Title": "ID: 1916"
            },
            {
                "ID": 1900,
                "Name": "中间计量0号台账信息_id",
                "DataType": "int",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_tz\", \"id\")",
                "descr": "",
                "Title": "ID: 1900"
            },
            {
                "ID": 1901,
                "Name": "中间计量0号台账信息_台账id",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_tz\", \"lid\")",
                "descr": "",
                "Title": "ID: 1901"
            },
            {
                "ID": 2504,
                "Name": "树结构-父项ID(ledger_pid)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ledger_pid')",
                "descr": "",
                "Title": "ID: 2504"
            },
            {
                "ID": 2501,
                "Name": "台账ID(id)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'id')",
                "descr": "",
                "Title": "ID: 2501"
            },
            {
                "ID": 1915,
                "Name": "中间计量0号台账信息_中间计量表号",
                "DataType": "string",
                "TableName": "mem_stage_im_tz",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_tz\", \"im_code\")",
                "descr": "",
                "Title": "ID: 1915"
            },
            {
                "ID": 2503,
                "Name": "树结构-ID(ledger_id)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'ledger_id')",
                "descr": "",
                "Title": "ID: 2503"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "sortGcl",
            "hint": "只对一张表，进行工程量清单排序，排序哪张表，根据勾选的清单编号字段决定:\ne.g.1 要对mem_stage_bills排序，需要勾选mem_stage_bills下的\"清单编号(b_code)\"字段\ne.g.2 要对mem_stage_im_zl排序，需要勾选mem_stage_im_zl下的\"中间计量总量信息_编号(code)\"字段\n特别的，如有\"未计入清单章节项\": \n  1. 默认\"未计入清单章节项\"排列在最后\n  2. 如须\"未计入清单章节项\"排在100章之后，请在清单编号字段后，依次勾选\"章节编号(chapter)\", \"名称(name)\"\n",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                }
            ],
            "自定义设置": ""
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12161,
            "Name": "新清单编号",
            "DataType": "string"
        },
        {
            "ID": 12221,
            "Name": "新名称",
            "DataType": "string"
        },
        {
            "ID": 12222,
            "Name": "单位",
            "DataType": "string"
        },
        {
            "ID": 12223,
            "Name": "单价",
            "DataType": "string"
        },
        {
            "ID": 12224,
            "Name": "本期完成数量",
            "DataType": "string"
        },
        {
            "ID": 12225,
            "Name": "本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12226,
            "Name": "中间计量表号",
            "DataType": "string"
        },
        {
            "ID": 12227,
            "Name": "中间计量节点ID",
            "DataType": "string"
        },
        {
            "ID": 12244,
            "Name": "总合计",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12229,
            "Name": "承包人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12230,
            "Name": "工程管理部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12231,
            "Name": "经营部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12164,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12165,
            "Name": "工程管理部",
            "DataType": "string"
        },
        {
            "ID": 12228,
            "Name": "经营部",
            "DataType": "string"
        }
    ]
}
