{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_目录_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "目录",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Content_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "text_s": [
                    {
                        "Label": "中期计量支付表格目录",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "text_s": [
                    {
                        "Label": "序号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": 0,
                            "Bottom": "6.62",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "编   号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": 0,
                            "Bottom": "6.62",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "名         称",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "6.62",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "1",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "6.62",
                            "Bottom": "13.34",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B01",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "6.62",
                            "Bottom": "13.34",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中期支付证书",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "6.62",
                            "Bottom": "13.34",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "2",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "13.34",
                            "Bottom": "19.96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B02",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "13.34",
                            "Bottom": "19.96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程清单计量报表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "13.34",
                            "Bottom": "19.96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "3",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "19.96",
                            "Bottom": "26.68",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B03",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "19.96",
                            "Bottom": "26.68",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计日工一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "19.96",
                            "Bottom": "26.68",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "4",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "26.68",
                            "Bottom": "33.30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B04",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "26.68",
                            "Bottom": "33.30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计日工计量表（清单）",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "26.68",
                            "Bottom": "33.30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "5",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "33.30",
                            "Bottom": "40.02",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B05",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "33.30",
                            "Bottom": "40.02",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程变更一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "33.30",
                            "Bottom": "40.02",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "6",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "40.02",
                            "Bottom": "46.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B06",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "40.02",
                            "Bottom": "46.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "价格调整一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "40.02",
                            "Bottom": "46.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "7",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "46.64",
                            "Bottom": "53.36",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B07",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "46.64",
                            "Bottom": "53.36",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "材料调差计量表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "46.64",
                            "Bottom": "53.36",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "8",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "53.36",
                            "Bottom": "59.98",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B08-1",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "53.36",
                            "Bottom": "59.98",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "考核费用扣回及返还一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "53.36",
                            "Bottom": "59.98",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "9",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "59.98",
                            "Bottom": "66.70",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B08-2",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "59.98",
                            "Bottom": "66.70",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "奖罚金额计量表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "59.98",
                            "Bottom": "66.70",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "10",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "66.70",
                            "Bottom": "73.32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B09",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "66.70",
                            "Bottom": "73.32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "扣回动员预付款一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "66.70",
                            "Bottom": "73.32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "11",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "73.32",
                            "Bottom": "80.04",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B10",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "73.32",
                            "Bottom": "80.04",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "扣回材料设备预付款一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "73.32",
                            "Bottom": "80.04",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "12",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "80.04",
                            "Bottom": "86.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B11",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "80.04",
                            "Bottom": "86.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "扣回甲供材料一览表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "80.04",
                            "Bottom": "86.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "13",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "86.66",
                            "Bottom": "93.38",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B12",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "86.66",
                            "Bottom": "93.38",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中间计量支付汇总表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "86.66",
                            "Bottom": "93.38",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "14",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "18.48",
                            "Top": "93.38",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "B13",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "18.48",
                            "Right": "43.13",
                            "Top": "93.38",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中间计量表",
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "43.13",
                            "Right": "100.00",
                            "Top": "93.38",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": []
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1100,
                "Name": "标段_ID",
                "DataType": "int",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"id\")",
                "descr": "",
                "Title": "ID: 1100"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": []
}
