{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_计量会签表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "计量会签表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.70",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.12",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.01",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "期数格式",
            "run_type": "before_paging",
            "expression": "let QiShu = $JE.F(1300,$CURRENT_RPT);\n\nlet Bcode = $JE.getFieldValue( QiShu, $CURRENT_DATA, 0, '');\nif(Bcode<10){\n   let t=\"0\" +Bcode;\n   $JE.setFieldValue(QiShu , $CURRENT_DATA,0, t);\n}",
            "format": ""
        },
        {
            "Name": "新日期格式",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\n\nlet Newrpt = $JE.F(12233,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\";\n        let NewQRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\" +shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n        $JE.setFieldValue(Newrpt, $CURRENT_DATA, 0, NewQRiQiValue );\n}",
            "format": ""
        },
        {
            "Name": "累计完成比例",
            "run_type": "before_paging",
            "expression": "let Gtp = $JE.F(2535,$CURRENT_RPT);\nlet Etp = $JE.F(2548,$CURRENT_RPT);\nlet BGH= $JE.F(2549,$CURRENT_RPT);\nlet isleaf= $JE.F(2508,$CURRENT_RPT);\n\nlet NewBFB= $JE.F(12195,$CURRENT_RPT);\nlet NewEnd= $JE.F(12196,$CURRENT_RPT);\nlet newGTP= $JE.F(12198,$CURRENT_RPT);\n\nlet fLen0 = $JE.getFieldDataLen(isleaf , $CURRENT_DATA);\nlet fLen1 = $JE.getFieldDataLen(Gtp , $CURRENT_DATA);\nconsole.log('456',fLen1);\t  \nlet  Glj=0;\nlet  Elj=0;\nlet  Blj=0;\nfor(let i=0;i<fLen0;i++){\n     let CCT = $JE.getFieldValue(isleaf , $CURRENT_DATA, i, '');\n\tif(CCT==1){\n\t  let GtpJE = $JE.getFieldValue(Gtp , $CURRENT_DATA, i, '');\n\t  let EtpE = $JE.getFieldValue(Etp , $CURRENT_DATA, i, '');\n\t  let BGHJE = $JE.getFieldValue(BGH , $CURRENT_DATA, i, '');\n      console.log('本期121',GtpJE,EtpE,BGHJE,CCT);\t  \n\t  Glj= $CTX_HELPER.add(Glj,GtpJE );\n\t  Elj= $CTX_HELPER.add(Elj,EtpE );\n\t  Blj= $CTX_HELPER.add(Blj,BGHJE );\n\t  console.log('本期统计',Glj,Elj,Blj,CCT);\t\n\t}\n}\n$JE.setFieldValue(newGTP, $CURRENT_DATA, 0, Glj);\n$JE.setFieldValue(NewEnd, $CURRENT_DATA, 0, Elj);\n\nlet percent=$CTX_HELPER.round($CTX_HELPER.div(Elj, Blj)*100,2);\n$JE.setFieldValue(NewBFB, $CURRENT_DATA, 0, percent);\nconsole.log('本期计量',Glj);\nconsole.log('累计计量',Elj);\nconsole.log('台账计量',Blj);\nconsole.log('累计比例',percent);\n\n\n\n//9. 因此表特殊性（从数据一个都不显示，全部显示离散数据），需要设置第一个从数据指标的data数量，否则会出现页码数量紊乱情况 \n//   !!!记得计算式类型要设置为：数据分析前运行\nlet dtlLen = $JE.getFieldDataLen(Gtp, $CURRENT_DATA), \n    fValIdx = $JE.getFieldDataLen(newGTP, $CURRENT_DATA), \n\tdiff = dtlLen - fValIdx;\n\nif (diff > 0) {\n\tfor (let ix = 1; ix <= diff; ix++) {\n\t\t$JE.removeFieldValue(Gtp, $CURRENT_DATA, dtlLen - ix);\n\t}\n} else if (diff < 0) {\n\tfor (let ix = 0; ix < (0 - diff); ix++) {\n\t\t$JE.setFieldValue(Gtp, $CURRENT_DATA, dtlLen + ix, 0);\n\t}\n}",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "39.22",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计量支付会签单",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "39.22",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "36.49",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "Prefix": "合同段号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "36.49",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "期次：第",
                        "Suffix": "期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "36.49",
                            "Right": "64.76",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Content",
                        "control": "Header",
                        "style": "Label_Underline",
                        "Prefix": "合同编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "36.49",
                            "Right": "64.76",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "64.76",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12233,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "Prefix": "截止日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "64.76",
                            "Right": 100,
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12214,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "21.17",
                            "Right": "44.71",
                            "Top": "12",
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12213,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "64.76",
                            "Right": 100,
                            "Top": "12",
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12199,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "24",
                            "Bottom": "28",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12206,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": "100",
                            "Top": "24",
                            "Bottom": "28",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12200,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "36",
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12207,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": "100",
                            "Top": "36",
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12201,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "48",
                            "Bottom": "52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12208,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "48",
                            "Bottom": "52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12202,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "60",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12209,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "60",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12203,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "72",
                            "Bottom": "76",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12210,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "72",
                            "Bottom": "76",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12204,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "84",
                            "Bottom": "88",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12211,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "84",
                            "Bottom": "88",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12205,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42.48",
                            "Right": "64.76",
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12212,
                        "font": "Content",
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "",
                        "area": {
                            "Left": "74.79",
                            "Right": 100,
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": " 致",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "4.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "支付报表，本期完成计量",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "55.01",
                            "Right": "74.79",
                            "Top": "4.00",
                            "Bottom": "8.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "  根据合同条款，现报上",
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "21.17",
                            "Top": "4.00",
                            "Bottom": "8.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元，累计完成占合同总额",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.01",
                            "Right": "43.04",
                            "Top": "8.00",
                            "Bottom": "12.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "%，请审核。",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "50.00",
                            "Right": "100.00",
                            "Top": "8.00",
                            "Bottom": "12.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "44.71",
                            "Right": "64.76",
                            "Top": "12.00",
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "工程管理部意见：",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "16.00",
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "24.00",
                            "Bottom": "28.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "36.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "48.00",
                            "Bottom": "52.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "物资设备部意见：",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "40.00",
                            "Bottom": "44.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "技术负责人意见：",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "52.00",
                            "Bottom": "56.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "安全环保部意见:",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "28.00",
                            "Bottom": "32.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "72.00",
                            "Bottom": "76.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "84.00",
                            "Bottom": "88.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "96.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "  承包人：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "21.17",
                            "Top": "12",
                            "Bottom": "16.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "24.00",
                            "Bottom": "28.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "24.00",
                            "Bottom": "28.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "36.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "36.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "48.00",
                            "Bottom": "52.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "48.00",
                            "Bottom": "52.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "72.00",
                            "Bottom": "76.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "72.00",
                            "Bottom": "76.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "生产负责人意见:",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100",
                            "Top": "76.00",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "84.00",
                            "Bottom": "88.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "84.00",
                            "Bottom": "88.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "项目负责人意见:",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100",
                            "Top": "88.00",
                            "Bottom": "92.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "14.62",
                            "Top": "96.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "25.77",
                            "Top": "96.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "经营部意见：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100",
                            "Top": "64.00",
                            "Bottom": "68.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "负责人签字：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "25.77",
                            "Right": "42.48",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元，至本期末累",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "84.68",
                            "Right": "100.00",
                            "Top": "4.00",
                            "Bottom": "8.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计完成计量",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "10.03",
                            "Top": "8.00",
                            "Bottom": "12.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "24.00",
                            "Bottom": "28.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "24.00",
                            "Bottom": "28.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "36.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "36.00",
                            "Bottom": "40.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "48.00",
                            "Bottom": "52.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "48.00",
                            "Bottom": "52.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "10.03",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "10.03",
                            "Right": "14.62",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "21.17",
                            "Right": "22.01",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "22.01",
                            "Right": "25.77",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "Header_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "60.00",
                            "Bottom": "64.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "72.00",
                            "Bottom": "76.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "72.00",
                            "Bottom": "76.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "84.00",
                            "Bottom": "88.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "84.00",
                            "Bottom": "88.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "14.62",
                            "Right": "21.17",
                            "Top": "96.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "64.76",
                            "Right": "74.79",
                            "Top": "96.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "20",
                            "Bottom": "24",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "32",
                            "Bottom": "36",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "44",
                            "Bottom": "48",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "56",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "68",
                            "Bottom": "72",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "80",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "92",
                            "Bottom": "96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 1103,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "21.17",
                        "Right": "36.49",
                        "Top": "4.00",
                        "Bottom": "8.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12196,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "10.03",
                        "Right": "22.01",
                        "Top": "8.00",
                        "Bottom": "12.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1312,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "Prefix": "（",
                    "Suffix": "）",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42.48",
                        "Right": "55.01",
                        "Top": "4.00",
                        "Bottom": "8",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12195,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "43.04",
                        "Right": "50.00",
                        "Top": "8.00",
                        "Bottom": "12.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1300,
                    "font": "Content",
                    "control": "Title",
                    "style": "Default_None",
                    "Prefix": "第",
                    "Suffix": "期",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "36.49",
                        "Right": "42.48",
                        "Top": "4.00",
                        "Bottom": "8.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12198,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "74.79",
                        "Right": "84.68",
                        "Top": "4",
                        "Bottom": "8",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 2505,
                "Name": "树结构-层级(level)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'level')",
                "descr": "",
                "Title": "ID: 2505"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2549,
                "Name": "(台账 + 截止本期变更)-金额(final_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'final_tp')",
                "descr": "",
                "Title": "ID: 2549",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12195,
            "Name": "累计完成占合同+变更",
            "DataType": "string"
        },
        {
            "ID": 12196,
            "Name": "截止本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12198,
            "Name": "本期完成",
            "DataType": "string"
        },
        {
            "ID": 12233,
            "Name": "新期截止日期",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12206,
            "Name": "工程管理部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12207,
            "Name": "安全环保部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12208,
            "Name": "物资设备部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12209,
            "Name": "经营部_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12210,
            "Name": "技术负责人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12211,
            "Name": "生产负责人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12212,
            "Name": "项目负责人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12213,
            "Name": "承包人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12199,
            "Name": "工程管理部",
            "DataType": "string"
        },
        {
            "ID": 12200,
            "Name": "安全环保部",
            "DataType": "string"
        },
        {
            "ID": 12201,
            "Name": "物资设备部",
            "DataType": "string"
        },
        {
            "ID": 12202,
            "Name": "经营部",
            "DataType": "string"
        },
        {
            "ID": 12203,
            "Name": "技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12204,
            "Name": "生产负责人",
            "DataType": "string"
        },
        {
            "ID": 12205,
            "Name": "项目负责人",
            "DataType": "string"
        },
        {
            "ID": 12214,
            "Name": "承包人",
            "DataType": "string"
        }
    ]
}
